#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1024
#define LARGE_STATE_COUNT 2
#define SYMBOL_COUNT 196
#define ALIAS_COUNT 1
#define TOKEN_COUNT 95
#define EXTERNAL_TOKEN_COUNT 25
#define FIELD_COUNT 30
#define MAX_ALIAS_SEQUENCE_LENGTH 7
#define PRODUCTION_ID_COUNT 61

enum ts_symbol_identifiers {
  anon_sym_LT_BANG = 1,
  aux_sym_doctype_token1 = 2,
  anon_sym_GT = 3,
  sym__doctype = 4,
  anon_sym_LT = 5,
  anon_sym_SLASH_GT = 6,
  anon_sym_LT_SLASH = 7,
  sym_attribute_name = 8,
  sym_attribute_value = 9,
  sym_entity = 10,
  anon_sym_SQUOTE = 11,
  aux_sym_quoted_attribute_value_token1 = 12,
  anon_sym_DQUOTE = 13,
  aux_sym_quoted_attribute_value_token2 = 14,
  sym_text = 15,
  anon_sym_LBRACE = 16,
  anon_sym_RBRACE = 17,
  anon_sym_SEMI = 18,
  anon_sym_LPAREN = 19,
  anon_sym_RPAREN = 20,
  anon_sym_prefetch = 21,
  anon_sym_when = 22,
  anon_sym_on = 23,
  anon_sym_after = 24,
  anon_sym_minimum = 25,
  anon_sym_ms = 26,
  anon_sym_s = 27,
  anon_sym_of = 28,
  anon_sym_track = 29,
  anon_sym_let = 30,
  anon_sym_COMMA = 31,
  anon_sym_as = 32,
  anon_sym_EQ = 33,
  anon_sym_plural = 34,
  anon_sym_select = 35,
  sym_icu_category = 36,
  anon_sym_PLUS = 37,
  anon_sym_STAR = 38,
  anon_sym_COLON = 39,
  anon_sym_else = 40,
  anon_sym_context = 41,
  anon_sym_LBRACK = 42,
  anon_sym_RBRACK = 43,
  anon_sym_LBRACK_LPAREN = 44,
  anon_sym_RPAREN_RBRACK = 45,
  anon_sym_LBRACK_AT = 46,
  anon_sym_BANG = 47,
  anon_sym_QMARK = 48,
  anon_sym_QMARK_QMARK = 49,
  anon_sym_PIPE_PIPE = 50,
  anon_sym_AMP_AMP = 51,
  anon_sym_PIPE = 52,
  sym_identifier = 53,
  sym__escape_sequence = 54,
  aux_sym_string_token1 = 55,
  aux_sym_string_token2 = 56,
  sym_number = 57,
  anon_sym_DOT = 58,
  anon_sym_QMARK_DOT = 59,
  anon_sym_BANG_DOT = 60,
  sym__closing_bracket = 61,
  anon_sym_DASH = 62,
  anon_sym_SLASH = 63,
  anon_sym_PERCENT = 64,
  anon_sym_EQ_EQ = 65,
  anon_sym_EQ_EQ_EQ = 66,
  anon_sym_BANG_EQ = 67,
  anon_sym_BANG_EQ_EQ = 68,
  anon_sym_LT_EQ = 69,
  anon_sym_GT_EQ = 70,
  sym__start_tag_name = 71,
  sym__script_start_tag_name = 72,
  sym__style_start_tag_name = 73,
  sym__end_tag_name = 74,
  sym_erroneous_end_tag_name = 75,
  sym__implicit_end_tag = 76,
  sym_raw_text = 77,
  sym_comment = 78,
  sym__interpolation_start = 79,
  sym__interpolation_end = 80,
  sym_if_start = 81,
  sym_else_start = 82,
  sym_for_start = 83,
  sym_switch_start = 84,
  sym_case_start = 85,
  sym_default_start = 86,
  sym_defer_start = 87,
  sym_let_start = 88,
  sym_empty_start = 89,
  sym_placeholder_start = 90,
  sym_loading_start = 91,
  sym_error_start = 92,
  sym_else_if_start = 93,
  sym_at_sign = 94,
  sym_document = 95,
  sym_doctype = 96,
  sym__node = 97,
  sym_element = 98,
  sym_script_element = 99,
  sym_style_element = 100,
  sym_start_tag = 101,
  sym_script_start_tag = 102,
  sym_style_start_tag = 103,
  sym_self_closing_tag = 104,
  sym_end_tag = 105,
  sym_erroneous_end_tag = 106,
  sym_attribute = 107,
  sym_quoted_attribute_value = 108,
  sym_statement_block = 109,
  sym__any_statement = 110,
  sym__alternative_statement = 111,
  sym_let_statement = 112,
  sym_switch_statement = 113,
  sym_switch_body = 114,
  sym_case_statement = 115,
  sym_default_statement = 116,
  sym_defer_statement = 117,
  sym_placeholder_statement = 118,
  sym_loading_statement = 119,
  sym_error_statement = 120,
  sym_defer_trigger = 121,
  sym_placeholder_minimum = 122,
  sym_loading_condition = 123,
  sym_defer_trigger_condition = 124,
  sym_timed_expression = 125,
  sym_for_statement = 126,
  sym_empty_statement = 127,
  sym_for_declaration = 128,
  sym_for_reference = 129,
  sym_if_statement = 130,
  sym_else_if_statement = 131,
  sym_else_statement = 132,
  sym_if_condition = 133,
  sym_if_reference = 134,
  sym__any_expression = 135,
  sym_assignment_expression = 136,
  sym_icu_expression = 137,
  sym_icu_clause = 138,
  sym_icu_case = 139,
  sym_interpolation = 140,
  sym_concatenation_expression = 141,
  sym_structural_directive = 142,
  sym_structural_expression = 143,
  sym_structural_declaration = 144,
  sym_structural_assignment = 145,
  sym__alias = 146,
  sym__else_template_expression = 147,
  sym__context_expression = 148,
  sym_property_binding = 149,
  sym_event_binding = 150,
  sym_two_way_binding = 151,
  sym_animation_binding = 152,
  sym__binding_assignment = 153,
  sym_binding_name = 154,
  sym__normal_attribute = 155,
  sym_expression = 156,
  sym_unary_expression = 157,
  sym_binary_expression = 158,
  sym_ternary_expression = 159,
  sym_nullish_coalescing_expression = 160,
  sym_conditional_expression = 161,
  sym_pipe_sequence = 162,
  sym_pipe_call = 163,
  sym_pipe_arguments = 164,
  sym__primitive = 165,
  sym_object = 166,
  sym_pair = 167,
  sym_array = 168,
  sym_string = 169,
  sym_group = 170,
  sym_call_expression = 171,
  sym_arguments = 172,
  sym_member_expression = 173,
  sym_bracket_expression = 174,
  sym_static_member_expression = 175,
  sym__single_quote = 176,
  sym__double_quote = 177,
  sym__binary_op = 178,
  aux_sym_document_repeat1 = 179,
  aux_sym_start_tag_repeat1 = 180,
  aux_sym_switch_body_repeat1 = 181,
  aux_sym_defer_trigger_repeat1 = 182,
  aux_sym_for_reference_repeat1 = 183,
  aux_sym_if_statement_repeat1 = 184,
  aux_sym_icu_expression_repeat1 = 185,
  aux_sym_concatenation_expression_repeat1 = 186,
  aux_sym_structural_declaration_repeat1 = 187,
  aux_sym__binding_assignment_repeat1 = 188,
  aux_sym_pipe_sequence_repeat1 = 189,
  aux_sym_pipe_arguments_repeat1 = 190,
  aux_sym_object_repeat1 = 191,
  aux_sym_array_repeat1 = 192,
  aux_sym_string_repeat1 = 193,
  aux_sym_string_repeat2 = 194,
  aux_sym_arguments_repeat1 = 195,
  alias_sym_conditional_operator = 196,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [anon_sym_LT_BANG] = "<!",
  [aux_sym_doctype_token1] = "doctype_token1",
  [anon_sym_GT] = ">",
  [sym__doctype] = "doctype",
  [anon_sym_LT] = "<",
  [anon_sym_SLASH_GT] = "/>",
  [anon_sym_LT_SLASH] = "</",
  [sym_attribute_name] = "attribute_name",
  [sym_attribute_value] = "attribute_value",
  [sym_entity] = "entity",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_quoted_attribute_value_token1] = "attribute_value",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_quoted_attribute_value_token2] = "attribute_value",
  [sym_text] = "text",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_SEMI] = ";",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_prefetch] = "prefetch_keyword",
  [anon_sym_when] = "special_keyword",
  [anon_sym_on] = "special_keyword",
  [anon_sym_after] = "special_keyword",
  [anon_sym_minimum] = "special_keyword",
  [anon_sym_ms] = "unit",
  [anon_sym_s] = "unit",
  [anon_sym_of] = "special_keyword",
  [anon_sym_track] = "special_keyword",
  [anon_sym_let] = "special_keyword",
  [anon_sym_COMMA] = ",",
  [anon_sym_as] = "special_keyword",
  [anon_sym_EQ] = "=",
  [anon_sym_plural] = "plural",
  [anon_sym_select] = "select",
  [sym_icu_category] = "icu_category",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_COLON] = ":",
  [anon_sym_else] = "special_keyword",
  [anon_sym_context] = "special_keyword",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LBRACK_LPAREN] = "[(",
  [anon_sym_RPAREN_RBRACK] = ")]",
  [anon_sym_LBRACK_AT] = "[@",
  [anon_sym_BANG] = "unary_operator",
  [anon_sym_QMARK] = "ternary_operator",
  [anon_sym_QMARK_QMARK] = "coalescing_operator",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "pipe_operator",
  [sym_identifier] = "identifier",
  [sym__escape_sequence] = "_escape_sequence",
  [aux_sym_string_token1] = "string_token1",
  [aux_sym_string_token2] = "string_token2",
  [sym_number] = "number",
  [anon_sym_DOT] = ".",
  [anon_sym_QMARK_DOT] = "\?.",
  [anon_sym_BANG_DOT] = "!.",
  [sym__closing_bracket] = "_closing_bracket",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [sym__start_tag_name] = "tag_name",
  [sym__script_start_tag_name] = "tag_name",
  [sym__style_start_tag_name] = "tag_name",
  [sym__end_tag_name] = "tag_name",
  [sym_erroneous_end_tag_name] = "erroneous_end_tag_name",
  [sym__implicit_end_tag] = "_implicit_end_tag",
  [sym_raw_text] = "raw_text",
  [sym_comment] = "comment",
  [sym__interpolation_start] = "{{",
  [sym__interpolation_end] = "}}",
  [sym_if_start] = "control_keyword",
  [sym_else_start] = "control_keyword",
  [sym_for_start] = "control_keyword",
  [sym_switch_start] = "control_keyword",
  [sym_case_start] = "control_keyword",
  [sym_default_start] = "control_keyword",
  [sym_defer_start] = "control_keyword",
  [sym_let_start] = "control_keyword",
  [sym_empty_start] = "control_keyword",
  [sym_placeholder_start] = "control_keyword",
  [sym_loading_start] = "control_keyword",
  [sym_error_start] = "control_keyword",
  [sym_else_if_start] = "control_keyword",
  [sym_at_sign] = "at_sign",
  [sym_document] = "document",
  [sym_doctype] = "doctype",
  [sym__node] = "_node",
  [sym_element] = "element",
  [sym_script_element] = "script_element",
  [sym_style_element] = "style_element",
  [sym_start_tag] = "start_tag",
  [sym_script_start_tag] = "start_tag",
  [sym_style_start_tag] = "start_tag",
  [sym_self_closing_tag] = "self_closing_tag",
  [sym_end_tag] = "end_tag",
  [sym_erroneous_end_tag] = "erroneous_end_tag",
  [sym_attribute] = "attribute",
  [sym_quoted_attribute_value] = "quoted_attribute_value",
  [sym_statement_block] = "statement_block",
  [sym__any_statement] = "_any_statement",
  [sym__alternative_statement] = "_alternative_statement",
  [sym_let_statement] = "let_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_body] = "switch_body",
  [sym_case_statement] = "case_statement",
  [sym_default_statement] = "default_statement",
  [sym_defer_statement] = "defer_statement",
  [sym_placeholder_statement] = "placeholder_statement",
  [sym_loading_statement] = "loading_statement",
  [sym_error_statement] = "error_statement",
  [sym_defer_trigger] = "defer_trigger",
  [sym_placeholder_minimum] = "placeholder_minimum",
  [sym_loading_condition] = "loading_condition",
  [sym_defer_trigger_condition] = "defer_trigger_condition",
  [sym_timed_expression] = "timed_expression",
  [sym_for_statement] = "for_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_for_declaration] = "for_declaration",
  [sym_for_reference] = "for_reference",
  [sym_if_statement] = "if_statement",
  [sym_else_if_statement] = "else_if_statement",
  [sym_else_statement] = "else_statement",
  [sym_if_condition] = "if_condition",
  [sym_if_reference] = "if_reference",
  [sym__any_expression] = "_any_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_icu_expression] = "icu_expression",
  [sym_icu_clause] = "icu_clause",
  [sym_icu_case] = "icu_case",
  [sym_interpolation] = "interpolation",
  [sym_concatenation_expression] = "concatenation_expression",
  [sym_structural_directive] = "structural_directive",
  [sym_structural_expression] = "structural_expression",
  [sym_structural_declaration] = "structural_declaration",
  [sym_structural_assignment] = "structural_assignment",
  [sym__alias] = "_alias",
  [sym__else_template_expression] = "_else_template_expression",
  [sym__context_expression] = "_context_expression",
  [sym_property_binding] = "property_binding",
  [sym_event_binding] = "event_binding",
  [sym_two_way_binding] = "two_way_binding",
  [sym_animation_binding] = "animation_binding",
  [sym__binding_assignment] = "_binding_assignment",
  [sym_binding_name] = "binding_name",
  [sym__normal_attribute] = "_normal_attribute",
  [sym_expression] = "expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_ternary_expression] = "ternary_expression",
  [sym_nullish_coalescing_expression] = "nullish_coalescing_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_pipe_sequence] = "pipe_sequence",
  [sym_pipe_call] = "pipe_call",
  [sym_pipe_arguments] = "pipe_arguments",
  [sym__primitive] = "_primitive",
  [sym_object] = "object",
  [sym_pair] = "pair",
  [sym_array] = "array",
  [sym_string] = "string",
  [sym_group] = "group",
  [sym_call_expression] = "call_expression",
  [sym_arguments] = "arguments",
  [sym_member_expression] = "member_expression",
  [sym_bracket_expression] = "bracket_expression",
  [sym_static_member_expression] = "static_member_expression",
  [sym__single_quote] = "_single_quote",
  [sym__double_quote] = "_double_quote",
  [sym__binary_op] = "_binary_op",
  [aux_sym_document_repeat1] = "document_repeat1",
  [aux_sym_start_tag_repeat1] = "start_tag_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_defer_trigger_repeat1] = "defer_trigger_repeat1",
  [aux_sym_for_reference_repeat1] = "for_reference_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_icu_expression_repeat1] = "icu_expression_repeat1",
  [aux_sym_concatenation_expression_repeat1] = "concatenation_expression_repeat1",
  [aux_sym_structural_declaration_repeat1] = "structural_declaration_repeat1",
  [aux_sym__binding_assignment_repeat1] = "_binding_assignment_repeat1",
  [aux_sym_pipe_sequence_repeat1] = "pipe_sequence_repeat1",
  [aux_sym_pipe_arguments_repeat1] = "pipe_arguments_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [alias_sym_conditional_operator] = "conditional_operator",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [anon_sym_LT_BANG] = anon_sym_LT_BANG,
  [aux_sym_doctype_token1] = aux_sym_doctype_token1,
  [anon_sym_GT] = anon_sym_GT,
  [sym__doctype] = sym__doctype,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_SLASH_GT] = anon_sym_SLASH_GT,
  [anon_sym_LT_SLASH] = anon_sym_LT_SLASH,
  [sym_attribute_name] = sym_attribute_name,
  [sym_attribute_value] = sym_attribute_value,
  [sym_entity] = sym_entity,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_quoted_attribute_value_token1] = sym_attribute_value,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_quoted_attribute_value_token2] = sym_attribute_value,
  [sym_text] = sym_text,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_prefetch] = anon_sym_prefetch,
  [anon_sym_when] = anon_sym_when,
  [anon_sym_on] = anon_sym_when,
  [anon_sym_after] = anon_sym_when,
  [anon_sym_minimum] = anon_sym_when,
  [anon_sym_ms] = anon_sym_ms,
  [anon_sym_s] = anon_sym_ms,
  [anon_sym_of] = anon_sym_when,
  [anon_sym_track] = anon_sym_when,
  [anon_sym_let] = anon_sym_when,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_as] = anon_sym_when,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_plural] = anon_sym_plural,
  [anon_sym_select] = anon_sym_select,
  [sym_icu_category] = sym_icu_category,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_else] = anon_sym_when,
  [anon_sym_context] = anon_sym_when,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LBRACK_LPAREN] = anon_sym_LBRACK_LPAREN,
  [anon_sym_RPAREN_RBRACK] = anon_sym_RPAREN_RBRACK,
  [anon_sym_LBRACK_AT] = anon_sym_LBRACK_AT,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [sym_identifier] = sym_identifier,
  [sym__escape_sequence] = sym__escape_sequence,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [aux_sym_string_token2] = aux_sym_string_token2,
  [sym_number] = sym_number,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_QMARK_DOT] = anon_sym_QMARK_DOT,
  [anon_sym_BANG_DOT] = anon_sym_BANG_DOT,
  [sym__closing_bracket] = sym__closing_bracket,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [sym__start_tag_name] = sym__start_tag_name,
  [sym__script_start_tag_name] = sym__start_tag_name,
  [sym__style_start_tag_name] = sym__start_tag_name,
  [sym__end_tag_name] = sym__start_tag_name,
  [sym_erroneous_end_tag_name] = sym_erroneous_end_tag_name,
  [sym__implicit_end_tag] = sym__implicit_end_tag,
  [sym_raw_text] = sym_raw_text,
  [sym_comment] = sym_comment,
  [sym__interpolation_start] = sym__interpolation_start,
  [sym__interpolation_end] = sym__interpolation_end,
  [sym_if_start] = sym_if_start,
  [sym_else_start] = sym_if_start,
  [sym_for_start] = sym_if_start,
  [sym_switch_start] = sym_if_start,
  [sym_case_start] = sym_if_start,
  [sym_default_start] = sym_if_start,
  [sym_defer_start] = sym_if_start,
  [sym_let_start] = sym_if_start,
  [sym_empty_start] = sym_if_start,
  [sym_placeholder_start] = sym_if_start,
  [sym_loading_start] = sym_if_start,
  [sym_error_start] = sym_if_start,
  [sym_else_if_start] = sym_if_start,
  [sym_at_sign] = sym_at_sign,
  [sym_document] = sym_document,
  [sym_doctype] = sym_doctype,
  [sym__node] = sym__node,
  [sym_element] = sym_element,
  [sym_script_element] = sym_script_element,
  [sym_style_element] = sym_style_element,
  [sym_start_tag] = sym_start_tag,
  [sym_script_start_tag] = sym_start_tag,
  [sym_style_start_tag] = sym_start_tag,
  [sym_self_closing_tag] = sym_self_closing_tag,
  [sym_end_tag] = sym_end_tag,
  [sym_erroneous_end_tag] = sym_erroneous_end_tag,
  [sym_attribute] = sym_attribute,
  [sym_quoted_attribute_value] = sym_quoted_attribute_value,
  [sym_statement_block] = sym_statement_block,
  [sym__any_statement] = sym__any_statement,
  [sym__alternative_statement] = sym__alternative_statement,
  [sym_let_statement] = sym_let_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_case_statement] = sym_case_statement,
  [sym_default_statement] = sym_default_statement,
  [sym_defer_statement] = sym_defer_statement,
  [sym_placeholder_statement] = sym_placeholder_statement,
  [sym_loading_statement] = sym_loading_statement,
  [sym_error_statement] = sym_error_statement,
  [sym_defer_trigger] = sym_defer_trigger,
  [sym_placeholder_minimum] = sym_placeholder_minimum,
  [sym_loading_condition] = sym_loading_condition,
  [sym_defer_trigger_condition] = sym_defer_trigger_condition,
  [sym_timed_expression] = sym_timed_expression,
  [sym_for_statement] = sym_for_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_for_declaration] = sym_for_declaration,
  [sym_for_reference] = sym_for_reference,
  [sym_if_statement] = sym_if_statement,
  [sym_else_if_statement] = sym_else_if_statement,
  [sym_else_statement] = sym_else_statement,
  [sym_if_condition] = sym_if_condition,
  [sym_if_reference] = sym_if_reference,
  [sym__any_expression] = sym__any_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_icu_expression] = sym_icu_expression,
  [sym_icu_clause] = sym_icu_clause,
  [sym_icu_case] = sym_icu_case,
  [sym_interpolation] = sym_interpolation,
  [sym_concatenation_expression] = sym_concatenation_expression,
  [sym_structural_directive] = sym_structural_directive,
  [sym_structural_expression] = sym_structural_expression,
  [sym_structural_declaration] = sym_structural_declaration,
  [sym_structural_assignment] = sym_structural_assignment,
  [sym__alias] = sym__alias,
  [sym__else_template_expression] = sym__else_template_expression,
  [sym__context_expression] = sym__context_expression,
  [sym_property_binding] = sym_property_binding,
  [sym_event_binding] = sym_event_binding,
  [sym_two_way_binding] = sym_two_way_binding,
  [sym_animation_binding] = sym_animation_binding,
  [sym__binding_assignment] = sym__binding_assignment,
  [sym_binding_name] = sym_binding_name,
  [sym__normal_attribute] = sym__normal_attribute,
  [sym_expression] = sym_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_nullish_coalescing_expression] = sym_nullish_coalescing_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_pipe_sequence] = sym_pipe_sequence,
  [sym_pipe_call] = sym_pipe_call,
  [sym_pipe_arguments] = sym_pipe_arguments,
  [sym__primitive] = sym__primitive,
  [sym_object] = sym_object,
  [sym_pair] = sym_pair,
  [sym_array] = sym_array,
  [sym_string] = sym_string,
  [sym_group] = sym_group,
  [sym_call_expression] = sym_call_expression,
  [sym_arguments] = sym_arguments,
  [sym_member_expression] = sym_member_expression,
  [sym_bracket_expression] = sym_bracket_expression,
  [sym_static_member_expression] = sym_static_member_expression,
  [sym__single_quote] = sym__single_quote,
  [sym__double_quote] = sym__double_quote,
  [sym__binary_op] = sym__binary_op,
  [aux_sym_document_repeat1] = aux_sym_document_repeat1,
  [aux_sym_start_tag_repeat1] = aux_sym_start_tag_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_defer_trigger_repeat1] = aux_sym_defer_trigger_repeat1,
  [aux_sym_for_reference_repeat1] = aux_sym_for_reference_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_icu_expression_repeat1] = aux_sym_icu_expression_repeat1,
  [aux_sym_concatenation_expression_repeat1] = aux_sym_concatenation_expression_repeat1,
  [aux_sym_structural_declaration_repeat1] = aux_sym_structural_declaration_repeat1,
  [aux_sym__binding_assignment_repeat1] = aux_sym__binding_assignment_repeat1,
  [aux_sym_pipe_sequence_repeat1] = aux_sym_pipe_sequence_repeat1,
  [aux_sym_pipe_arguments_repeat1] = aux_sym_pipe_arguments_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [alias_sym_conditional_operator] = alias_sym_conditional_operator,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_LT_BANG] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_doctype_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [sym__doctype] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASH] = {
    .visible = true,
    .named = false,
  },
  [sym_attribute_name] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_value] = {
    .visible = true,
    .named = true,
  },
  [sym_entity] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_quoted_attribute_value_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_quoted_attribute_value_token2] = {
    .visible = true,
    .named = true,
  },
  [sym_text] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_prefetch] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_when] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_on] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_after] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_minimum] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_ms] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_s] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_track] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_plural] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_select] = {
    .visible = true,
    .named = false,
  },
  [sym_icu_category] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_context] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__escape_sequence] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_DOT] = {
    .visible = true,
    .named = false,
  },
  [sym__closing_bracket] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [sym__start_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym__script_start_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym__style_start_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym__end_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym_erroneous_end_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym__implicit_end_tag] = {
    .visible = false,
    .named = true,
  },
  [sym_raw_text] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__interpolation_start] = {
    .visible = true,
    .named = false,
  },
  [sym__interpolation_end] = {
    .visible = true,
    .named = false,
  },
  [sym_if_start] = {
    .visible = true,
    .named = true,
  },
  [sym_else_start] = {
    .visible = true,
    .named = true,
  },
  [sym_for_start] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_start] = {
    .visible = true,
    .named = true,
  },
  [sym_case_start] = {
    .visible = true,
    .named = true,
  },
  [sym_default_start] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_start] = {
    .visible = true,
    .named = true,
  },
  [sym_let_start] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_start] = {
    .visible = true,
    .named = true,
  },
  [sym_placeholder_start] = {
    .visible = true,
    .named = true,
  },
  [sym_loading_start] = {
    .visible = true,
    .named = true,
  },
  [sym_error_start] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_start] = {
    .visible = true,
    .named = true,
  },
  [sym_at_sign] = {
    .visible = true,
    .named = true,
  },
  [sym_document] = {
    .visible = true,
    .named = true,
  },
  [sym_doctype] = {
    .visible = true,
    .named = true,
  },
  [sym__node] = {
    .visible = false,
    .named = true,
  },
  [sym_element] = {
    .visible = true,
    .named = true,
  },
  [sym_script_element] = {
    .visible = true,
    .named = true,
  },
  [sym_style_element] = {
    .visible = true,
    .named = true,
  },
  [sym_start_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_script_start_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_style_start_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_self_closing_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_end_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_erroneous_end_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_attribute_value] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym__any_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__alternative_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_let_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_default_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_placeholder_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_loading_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_error_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_trigger] = {
    .visible = true,
    .named = true,
  },
  [sym_placeholder_minimum] = {
    .visible = true,
    .named = true,
  },
  [sym_loading_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_trigger_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_timed_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_for_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_if_reference] = {
    .visible = true,
    .named = true,
  },
  [sym__any_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_icu_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_icu_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_icu_case] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_structural_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_structural_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_structural_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_structural_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym__alias] = {
    .visible = false,
    .named = true,
  },
  [sym__else_template_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__context_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_property_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_event_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_two_way_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_animation_binding] = {
    .visible = true,
    .named = true,
  },
  [sym__binding_assignment] = {
    .visible = false,
    .named = true,
  },
  [sym_binding_name] = {
    .visible = true,
    .named = true,
  },
  [sym__normal_attribute] = {
    .visible = false,
    .named = true,
  },
  [sym_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullish_coalescing_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pipe_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_pipe_call] = {
    .visible = true,
    .named = true,
  },
  [sym_pipe_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym__primitive] = {
    .visible = false,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_group] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_bracket_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_static_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__single_quote] = {
    .visible = false,
    .named = true,
  },
  [sym__double_quote] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_op] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_document_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_start_tag_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_defer_trigger_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_reference_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_icu_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenation_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_structural_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__binding_assignment_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pipe_sequence_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pipe_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_conditional_operator] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_alternative_condition = 3,
  field_argument = 4,
  field_arguments = 5,
  field_body = 6,
  field_call = 7,
  field_condition = 8,
  field_consequence = 9,
  field_declaration = 10,
  field_default = 11,
  field_empty = 12,
  field_error = 13,
  field_function = 14,
  field_key = 15,
  field_left = 16,
  field_loading = 17,
  field_minimum = 18,
  field_name = 19,
  field_named = 20,
  field_object = 21,
  field_operator = 22,
  field_pipes = 23,
  field_placeholder = 24,
  field_property = 25,
  field_reference = 26,
  field_right = 27,
  field_track = 28,
  field_trigger = 29,
  field_value = 30,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_alternative_condition] = "alternative_condition",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_call] = "call",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_declaration] = "declaration",
  [field_default] = "default",
  [field_empty] = "empty",
  [field_error] = "error",
  [field_function] = "function",
  [field_key] = "key",
  [field_left] = "left",
  [field_loading] = "loading",
  [field_minimum] = "minimum",
  [field_name] = "name",
  [field_named] = "named",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_pipes] = "pipes",
  [field_placeholder] = "placeholder",
  [field_property] = "property",
  [field_reference] = "reference",
  [field_right] = "right",
  [field_track] = "track",
  [field_trigger] = "trigger",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 6},
  [2] = {.index = 6, .length = 1},
  [3] = {.index = 7, .length = 1},
  [4] = {.index = 8, .length = 1},
  [5] = {.index = 9, .length = 1},
  [6] = {.index = 10, .length = 1},
  [7] = {.index = 11, .length = 1},
  [8] = {.index = 12, .length = 1},
  [9] = {.index = 13, .length = 12},
  [10] = {.index = 25, .length = 2},
  [11] = {.index = 27, .length = 1},
  [12] = {.index = 28, .length = 1},
  [13] = {.index = 29, .length = 6},
  [14] = {.index = 35, .length = 1},
  [15] = {.index = 36, .length = 2},
  [16] = {.index = 38, .length = 3},
  [17] = {.index = 41, .length = 2},
  [18] = {.index = 43, .length = 1},
  [19] = {.index = 44, .length = 2},
  [20] = {.index = 46, .length = 2},
  [21] = {.index = 48, .length = 1},
  [22] = {.index = 49, .length = 1},
  [23] = {.index = 50, .length = 2},
  [24] = {.index = 52, .length = 1},
  [25] = {.index = 53, .length = 2},
  [26] = {.index = 55, .length = 2},
  [27] = {.index = 57, .length = 2},
  [28] = {.index = 59, .length = 2},
  [29] = {.index = 61, .length = 2},
  [30] = {.index = 63, .length = 2},
  [31] = {.index = 65, .length = 1},
  [32] = {.index = 66, .length = 2},
  [33] = {.index = 68, .length = 2},
  [34] = {.index = 70, .length = 1},
  [35] = {.index = 71, .length = 3},
  [36] = {.index = 74, .length = 1},
  [37] = {.index = 75, .length = 8},
  [38] = {.index = 83, .length = 3},
  [39] = {.index = 86, .length = 1},
  [40] = {.index = 87, .length = 2},
  [41] = {.index = 89, .length = 1},
  [42] = {.index = 90, .length = 2},
  [43] = {.index = 92, .length = 9},
  [44] = {.index = 101, .length = 2},
  [45] = {.index = 103, .length = 3},
  [46] = {.index = 106, .length = 2},
  [47] = {.index = 108, .length = 3},
  [48] = {.index = 111, .length = 2},
  [49] = {.index = 113, .length = 1},
  [50] = {.index = 114, .length = 1},
  [51] = {.index = 115, .length = 2},
  [52] = {.index = 117, .length = 2},
  [53] = {.index = 119, .length = 1},
  [54] = {.index = 120, .length = 6},
  [55] = {.index = 126, .length = 3},
  [56] = {.index = 129, .length = 2},
  [57] = {.index = 131, .length = 3},
  [58] = {.index = 134, .length = 4},
  [59] = {.index = 138, .length = 1},
  [60] = {.index = 139, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_alternative, 0, .inherited = true},
    {field_alternative_condition, 0, .inherited = true},
    {field_empty, 0, .inherited = true},
    {field_error, 0, .inherited = true},
    {field_loading, 0, .inherited = true},
    {field_placeholder, 0, .inherited = true},
  [6] =
    {field_placeholder, 0},
  [7] =
    {field_loading, 0},
  [8] =
    {field_error, 0},
  [9] =
    {field_empty, 0},
  [10] =
    {field_alternative_condition, 0},
  [11] =
    {field_alternative, 0},
  [12] =
    {field_body, 1},
  [13] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
    {field_alternative_condition, 0, .inherited = true},
    {field_alternative_condition, 1, .inherited = true},
    {field_empty, 0, .inherited = true},
    {field_empty, 1, .inherited = true},
    {field_error, 0, .inherited = true},
    {field_error, 1, .inherited = true},
    {field_loading, 0, .inherited = true},
    {field_loading, 1, .inherited = true},
    {field_placeholder, 0, .inherited = true},
    {field_placeholder, 1, .inherited = true},
  [25] =
    {field_operator, 0},
    {field_value, 1},
  [27] =
    {field_pipes, 1},
  [28] =
    {field_body, 2},
  [29] =
    {field_alternative, 1, .inherited = true},
    {field_alternative_condition, 1, .inherited = true},
    {field_empty, 1, .inherited = true},
    {field_error, 1, .inherited = true},
    {field_loading, 1, .inherited = true},
    {field_placeholder, 1, .inherited = true},
  [35] =
    {field_function, 0},
  [36] =
    {field_condition, 0},
    {field_default, 2},
  [38] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [41] =
    {field_left, 0},
    {field_right, 2},
  [43] =
    {field_name, 0},
  [44] =
    {field_object, 0},
    {field_property, 2},
  [46] =
    {field_call, 2},
    {field_object, 0},
  [48] =
    {field_trigger, 1},
  [49] =
    {field_condition, 1},
  [50] =
    {field_name, 0},
    {field_value, 2},
  [52] =
    {field_minimum, 1},
  [53] =
    {field_key, 0},
    {field_value, 2},
  [55] =
    {field_arguments, 2},
    {field_function, 0},
  [57] =
    {field_arguments, 1},
    {field_name, 0},
  [59] =
    {field_condition, 2},
    {field_consequence, 4},
  [61] =
    {field_body, 4},
    {field_declaration, 2},
  [63] =
    {field_body, 4},
    {field_value, 2},
  [65] =
    {field_trigger, 2},
  [66] =
    {field_condition, 1},
    {field_condition, 2, .inherited = true},
  [68] =
    {field_condition, 0, .inherited = true},
    {field_condition, 1, .inherited = true},
  [70] =
    {field_value, 1},
  [71] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [74] =
    {field_argument, 1},
  [75] =
    {field_alternative, 5, .inherited = true},
    {field_alternative_condition, 5, .inherited = true},
    {field_condition, 2},
    {field_consequence, 4},
    {field_empty, 5, .inherited = true},
    {field_error, 5, .inherited = true},
    {field_loading, 5, .inherited = true},
    {field_placeholder, 5, .inherited = true},
  [83] =
    {field_condition, 2},
    {field_consequence, 5},
    {field_reference, 3},
  [86] =
    {field_alias, 1},
  [87] =
    {field_condition, 1},
    {field_condition, 3},
  [89] =
    {field_trigger, 3},
  [90] =
    {field_argument, 1},
    {field_argument, 2, .inherited = true},
  [92] =
    {field_alternative, 6, .inherited = true},
    {field_alternative_condition, 6, .inherited = true},
    {field_condition, 2},
    {field_consequence, 5},
    {field_empty, 6, .inherited = true},
    {field_error, 6, .inherited = true},
    {field_loading, 6, .inherited = true},
    {field_placeholder, 6, .inherited = true},
    {field_reference, 3},
  [101] =
    {field_alias, 1},
    {field_alias, 2, .inherited = true},
  [103] =
    {field_body, 6},
    {field_declaration, 2},
    {field_reference, 4},
  [106] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [108] =
    {field_name, 0},
    {field_track, 5},
    {field_value, 2},
  [111] =
    {field_alias, 0, .inherited = true},
    {field_alias, 1, .inherited = true},
  [113] =
    {field_alias, 1, .inherited = true},
  [114] =
    {field_named, 1, .inherited = true},
  [115] =
    {field_alias, 1, .inherited = true},
    {field_name, 0},
  [117] =
    {field_alias, 1, .inherited = true},
    {field_named, 2, .inherited = true},
  [119] =
    {field_named, 2, .inherited = true},
  [120] =
    {field_alternative, 2, .inherited = true},
    {field_alternative_condition, 2, .inherited = true},
    {field_empty, 2, .inherited = true},
    {field_error, 2, .inherited = true},
    {field_loading, 2, .inherited = true},
    {field_placeholder, 2, .inherited = true},
  [126] =
    {field_name, 0},
    {field_operator, 1},
    {field_value, 2},
  [129] =
    {field_alias, 1, .inherited = true},
    {field_named, 3, .inherited = true},
  [131] =
    {field_name, 1},
    {field_operator, 2},
    {field_value, 3},
  [134] =
    {field_alias, 3, .inherited = true},
    {field_name, 0},
    {field_operator, 1},
    {field_value, 2},
  [138] =
    {field_named, 1},
  [139] =
    {field_alias, 4, .inherited = true},
    {field_name, 1},
    {field_operator, 2},
    {field_value, 3},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [17] = {
    [1] = alias_sym_conditional_operator,
  },
  [35] = {
    [3] = anon_sym_QMARK,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 3,
  [5] = 2,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 8,
  [10] = 6,
  [11] = 8,
  [12] = 12,
  [13] = 13,
  [14] = 7,
  [15] = 7,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 19,
  [23] = 17,
  [24] = 17,
  [25] = 20,
  [26] = 19,
  [27] = 18,
  [28] = 19,
  [29] = 17,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 19,
  [34] = 17,
  [35] = 35,
  [36] = 17,
  [37] = 37,
  [38] = 38,
  [39] = 19,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 31,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 44,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 52,
  [56] = 41,
  [57] = 44,
  [58] = 21,
  [59] = 43,
  [60] = 19,
  [61] = 46,
  [62] = 47,
  [63] = 35,
  [64] = 64,
  [65] = 65,
  [66] = 53,
  [67] = 37,
  [68] = 51,
  [69] = 49,
  [70] = 38,
  [71] = 30,
  [72] = 40,
  [73] = 48,
  [74] = 54,
  [75] = 65,
  [76] = 32,
  [77] = 64,
  [78] = 44,
  [79] = 44,
  [80] = 17,
  [81] = 42,
  [82] = 44,
  [83] = 17,
  [84] = 19,
  [85] = 85,
  [86] = 44,
  [87] = 17,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 89,
  [92] = 92,
  [93] = 19,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 19,
  [99] = 94,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 19,
  [104] = 17,
  [105] = 105,
  [106] = 17,
  [107] = 107,
  [108] = 18,
  [109] = 17,
  [110] = 110,
  [111] = 88,
  [112] = 90,
  [113] = 19,
  [114] = 114,
  [115] = 115,
  [116] = 116,
  [117] = 107,
  [118] = 118,
  [119] = 110,
  [120] = 96,
  [121] = 121,
  [122] = 122,
  [123] = 115,
  [124] = 114,
  [125] = 114,
  [126] = 97,
  [127] = 118,
  [128] = 100,
  [129] = 129,
  [130] = 95,
  [131] = 114,
  [132] = 105,
  [133] = 118,
  [134] = 118,
  [135] = 100,
  [136] = 129,
  [137] = 97,
  [138] = 114,
  [139] = 115,
  [140] = 129,
  [141] = 96,
  [142] = 118,
  [143] = 118,
  [144] = 114,
  [145] = 92,
  [146] = 107,
  [147] = 100,
  [148] = 148,
  [149] = 114,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 129,
  [154] = 129,
  [155] = 115,
  [156] = 105,
  [157] = 129,
  [158] = 114,
  [159] = 159,
  [160] = 160,
  [161] = 114,
  [162] = 118,
  [163] = 129,
  [164] = 129,
  [165] = 114,
  [166] = 21,
  [167] = 118,
  [168] = 19,
  [169] = 169,
  [170] = 114,
  [171] = 171,
  [172] = 114,
  [173] = 118,
  [174] = 17,
  [175] = 97,
  [176] = 118,
  [177] = 20,
  [178] = 160,
  [179] = 179,
  [180] = 129,
  [181] = 102,
  [182] = 182,
  [183] = 107,
  [184] = 129,
  [185] = 185,
  [186] = 114,
  [187] = 129,
  [188] = 105,
  [189] = 118,
  [190] = 114,
  [191] = 191,
  [192] = 192,
  [193] = 96,
  [194] = 114,
  [195] = 195,
  [196] = 129,
  [197] = 114,
  [198] = 198,
  [199] = 118,
  [200] = 118,
  [201] = 114,
  [202] = 53,
  [203] = 40,
  [204] = 37,
  [205] = 44,
  [206] = 182,
  [207] = 44,
  [208] = 150,
  [209] = 198,
  [210] = 171,
  [211] = 100,
  [212] = 48,
  [213] = 31,
  [214] = 179,
  [215] = 185,
  [216] = 92,
  [217] = 97,
  [218] = 110,
  [219] = 195,
  [220] = 44,
  [221] = 92,
  [222] = 44,
  [223] = 169,
  [224] = 49,
  [225] = 110,
  [226] = 42,
  [227] = 46,
  [228] = 52,
  [229] = 192,
  [230] = 44,
  [231] = 38,
  [232] = 30,
  [233] = 35,
  [234] = 41,
  [235] = 44,
  [236] = 236,
  [237] = 236,
  [238] = 97,
  [239] = 236,
  [240] = 44,
  [241] = 100,
  [242] = 236,
  [243] = 243,
  [244] = 243,
  [245] = 245,
  [246] = 245,
  [247] = 243,
  [248] = 245,
  [249] = 243,
  [250] = 245,
  [251] = 243,
  [252] = 245,
  [253] = 245,
  [254] = 243,
  [255] = 245,
  [256] = 100,
  [257] = 243,
  [258] = 245,
  [259] = 245,
  [260] = 243,
  [261] = 243,
  [262] = 243,
  [263] = 97,
  [264] = 245,
  [265] = 243,
  [266] = 245,
  [267] = 243,
  [268] = 245,
  [269] = 245,
  [270] = 243,
  [271] = 110,
  [272] = 272,
  [273] = 273,
  [274] = 100,
  [275] = 97,
  [276] = 100,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 97,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 100,
  [286] = 97,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 102,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 105,
  [297] = 97,
  [298] = 298,
  [299] = 299,
  [300] = 92,
  [301] = 97,
  [302] = 302,
  [303] = 303,
  [304] = 96,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 96,
  [310] = 310,
  [311] = 105,
  [312] = 107,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 95,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 100,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 107,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 100,
  [332] = 332,
  [333] = 333,
  [334] = 306,
  [335] = 288,
  [336] = 336,
  [337] = 185,
  [338] = 110,
  [339] = 339,
  [340] = 283,
  [341] = 92,
  [342] = 273,
  [343] = 343,
  [344] = 169,
  [345] = 343,
  [346] = 343,
  [347] = 325,
  [348] = 313,
  [349] = 192,
  [350] = 324,
  [351] = 305,
  [352] = 323,
  [353] = 322,
  [354] = 96,
  [355] = 320,
  [356] = 319,
  [357] = 302,
  [358] = 318,
  [359] = 272,
  [360] = 332,
  [361] = 317,
  [362] = 315,
  [363] = 333,
  [364] = 198,
  [365] = 150,
  [366] = 314,
  [367] = 310,
  [368] = 171,
  [369] = 182,
  [370] = 327,
  [371] = 308,
  [372] = 372,
  [373] = 328,
  [374] = 277,
  [375] = 278,
  [376] = 279,
  [377] = 280,
  [378] = 282,
  [379] = 284,
  [380] = 287,
  [381] = 329,
  [382] = 289,
  [383] = 290,
  [384] = 179,
  [385] = 195,
  [386] = 343,
  [387] = 330,
  [388] = 307,
  [389] = 292,
  [390] = 293,
  [391] = 294,
  [392] = 295,
  [393] = 298,
  [394] = 299,
  [395] = 303,
  [396] = 396,
  [397] = 100,
  [398] = 97,
  [399] = 399,
  [400] = 400,
  [401] = 401,
  [402] = 402,
  [403] = 403,
  [404] = 404,
  [405] = 402,
  [406] = 406,
  [407] = 402,
  [408] = 408,
  [409] = 406,
  [410] = 410,
  [411] = 402,
  [412] = 107,
  [413] = 413,
  [414] = 402,
  [415] = 415,
  [416] = 403,
  [417] = 413,
  [418] = 402,
  [419] = 400,
  [420] = 402,
  [421] = 408,
  [422] = 402,
  [423] = 402,
  [424] = 403,
  [425] = 403,
  [426] = 401,
  [427] = 402,
  [428] = 410,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 18,
  [433] = 431,
  [434] = 434,
  [435] = 429,
  [436] = 431,
  [437] = 431,
  [438] = 431,
  [439] = 429,
  [440] = 430,
  [441] = 441,
  [442] = 431,
  [443] = 431,
  [444] = 430,
  [445] = 110,
  [446] = 431,
  [447] = 431,
  [448] = 92,
  [449] = 431,
  [450] = 450,
  [451] = 431,
  [452] = 452,
  [453] = 431,
  [454] = 452,
  [455] = 431,
  [456] = 431,
  [457] = 431,
  [458] = 429,
  [459] = 431,
  [460] = 431,
  [461] = 461,
  [462] = 429,
  [463] = 46,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 18,
  [468] = 464,
  [469] = 465,
  [470] = 466,
  [471] = 465,
  [472] = 21,
  [473] = 473,
  [474] = 20,
  [475] = 41,
  [476] = 171,
  [477] = 473,
  [478] = 478,
  [479] = 479,
  [480] = 150,
  [481] = 49,
  [482] = 40,
  [483] = 30,
  [484] = 38,
  [485] = 37,
  [486] = 35,
  [487] = 46,
  [488] = 31,
  [489] = 489,
  [490] = 53,
  [491] = 52,
  [492] = 18,
  [493] = 493,
  [494] = 48,
  [495] = 18,
  [496] = 496,
  [497] = 496,
  [498] = 95,
  [499] = 92,
  [500] = 18,
  [501] = 107,
  [502] = 96,
  [503] = 96,
  [504] = 107,
  [505] = 96,
  [506] = 105,
  [507] = 105,
  [508] = 95,
  [509] = 110,
  [510] = 105,
  [511] = 198,
  [512] = 185,
  [513] = 169,
  [514] = 110,
  [515] = 18,
  [516] = 96,
  [517] = 182,
  [518] = 198,
  [519] = 105,
  [520] = 179,
  [521] = 185,
  [522] = 182,
  [523] = 105,
  [524] = 96,
  [525] = 95,
  [526] = 107,
  [527] = 195,
  [528] = 92,
  [529] = 18,
  [530] = 179,
  [531] = 192,
  [532] = 96,
  [533] = 105,
  [534] = 107,
  [535] = 179,
  [536] = 182,
  [537] = 92,
  [538] = 110,
  [539] = 198,
  [540] = 185,
  [541] = 541,
  [542] = 542,
  [543] = 542,
  [544] = 95,
  [545] = 545,
  [546] = 110,
  [547] = 95,
  [548] = 18,
  [549] = 541,
  [550] = 545,
  [551] = 198,
  [552] = 96,
  [553] = 553,
  [554] = 96,
  [555] = 105,
  [556] = 105,
  [557] = 96,
  [558] = 542,
  [559] = 559,
  [560] = 545,
  [561] = 92,
  [562] = 96,
  [563] = 542,
  [564] = 18,
  [565] = 545,
  [566] = 566,
  [567] = 179,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 198,
  [574] = 182,
  [575] = 182,
  [576] = 182,
  [577] = 182,
  [578] = 578,
  [579] = 179,
  [580] = 580,
  [581] = 107,
  [582] = 198,
  [583] = 185,
  [584] = 96,
  [585] = 179,
  [586] = 185,
  [587] = 559,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 198,
  [594] = 594,
  [595] = 179,
  [596] = 185,
  [597] = 105,
  [598] = 566,
  [599] = 95,
  [600] = 105,
  [601] = 96,
  [602] = 602,
  [603] = 185,
  [604] = 570,
  [605] = 179,
  [606] = 572,
  [607] = 569,
  [608] = 105,
  [609] = 591,
  [610] = 610,
  [611] = 580,
  [612] = 578,
  [613] = 185,
  [614] = 107,
  [615] = 95,
  [616] = 92,
  [617] = 107,
  [618] = 571,
  [619] = 588,
  [620] = 96,
  [621] = 179,
  [622] = 622,
  [623] = 182,
  [624] = 590,
  [625] = 198,
  [626] = 182,
  [627] = 198,
  [628] = 96,
  [629] = 105,
  [630] = 589,
  [631] = 568,
  [632] = 95,
  [633] = 592,
  [634] = 110,
  [635] = 185,
  [636] = 182,
  [637] = 637,
  [638] = 637,
  [639] = 185,
  [640] = 640,
  [641] = 641,
  [642] = 642,
  [643] = 643,
  [644] = 644,
  [645] = 637,
  [646] = 646,
  [647] = 622,
  [648] = 648,
  [649] = 649,
  [650] = 650,
  [651] = 92,
  [652] = 110,
  [653] = 182,
  [654] = 644,
  [655] = 92,
  [656] = 641,
  [657] = 182,
  [658] = 646,
  [659] = 659,
  [660] = 110,
  [661] = 637,
  [662] = 662,
  [663] = 105,
  [664] = 664,
  [665] = 662,
  [666] = 662,
  [667] = 664,
  [668] = 662,
  [669] = 669,
  [670] = 662,
  [671] = 669,
  [672] = 664,
  [673] = 673,
  [674] = 662,
  [675] = 675,
  [676] = 676,
  [677] = 677,
  [678] = 664,
  [679] = 662,
  [680] = 664,
  [681] = 662,
  [682] = 95,
  [683] = 664,
  [684] = 684,
  [685] = 664,
  [686] = 662,
  [687] = 662,
  [688] = 662,
  [689] = 662,
  [690] = 664,
  [691] = 669,
  [692] = 664,
  [693] = 676,
  [694] = 677,
  [695] = 182,
  [696] = 662,
  [697] = 664,
  [698] = 698,
  [699] = 664,
  [700] = 676,
  [701] = 198,
  [702] = 677,
  [703] = 664,
  [704] = 664,
  [705] = 662,
  [706] = 662,
  [707] = 179,
  [708] = 684,
  [709] = 675,
  [710] = 664,
  [711] = 698,
  [712] = 107,
  [713] = 713,
  [714] = 662,
  [715] = 662,
  [716] = 669,
  [717] = 677,
  [718] = 676,
  [719] = 95,
  [720] = 105,
  [721] = 664,
  [722] = 675,
  [723] = 723,
  [724] = 684,
  [725] = 675,
  [726] = 684,
  [727] = 649,
  [728] = 107,
  [729] = 664,
  [730] = 664,
  [731] = 731,
  [732] = 732,
  [733] = 733,
  [734] = 734,
  [735] = 735,
  [736] = 736,
  [737] = 737,
  [738] = 738,
  [739] = 92,
  [740] = 110,
  [741] = 110,
  [742] = 742,
  [743] = 743,
  [744] = 744,
  [745] = 745,
  [746] = 746,
  [747] = 747,
  [748] = 748,
  [749] = 749,
  [750] = 750,
  [751] = 731,
  [752] = 752,
  [753] = 753,
  [754] = 754,
  [755] = 755,
  [756] = 756,
  [757] = 757,
  [758] = 92,
  [759] = 759,
  [760] = 759,
  [761] = 746,
  [762] = 734,
  [763] = 757,
  [764] = 742,
  [765] = 765,
  [766] = 756,
  [767] = 753,
  [768] = 736,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 310,
  [773] = 773,
  [774] = 774,
  [775] = 775,
  [776] = 776,
  [777] = 777,
  [778] = 778,
  [779] = 779,
  [780] = 780,
  [781] = 771,
  [782] = 782,
  [783] = 783,
  [784] = 777,
  [785] = 773,
  [786] = 778,
  [787] = 778,
  [788] = 777,
  [789] = 789,
  [790] = 790,
  [791] = 791,
  [792] = 783,
  [793] = 771,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 798,
  [799] = 799,
  [800] = 800,
  [801] = 801,
  [802] = 802,
  [803] = 803,
  [804] = 182,
  [805] = 805,
  [806] = 805,
  [807] = 771,
  [808] = 789,
  [809] = 809,
  [810] = 810,
  [811] = 791,
  [812] = 800,
  [813] = 327,
  [814] = 777,
  [815] = 778,
  [816] = 816,
  [817] = 817,
  [818] = 818,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 779,
  [825] = 776,
  [826] = 826,
  [827] = 774,
  [828] = 828,
  [829] = 775,
  [830] = 830,
  [831] = 802,
  [832] = 832,
  [833] = 833,
  [834] = 834,
  [835] = 835,
  [836] = 795,
  [837] = 837,
  [838] = 838,
  [839] = 839,
  [840] = 840,
  [841] = 841,
  [842] = 842,
  [843] = 843,
  [844] = 844,
  [845] = 845,
  [846] = 846,
  [847] = 847,
  [848] = 848,
  [849] = 840,
  [850] = 850,
  [851] = 843,
  [852] = 841,
  [853] = 840,
  [854] = 846,
  [855] = 842,
  [856] = 839,
  [857] = 857,
  [858] = 850,
  [859] = 840,
  [860] = 860,
  [861] = 843,
  [862] = 848,
  [863] = 840,
  [864] = 840,
  [865] = 847,
  [866] = 866,
  [867] = 837,
  [868] = 845,
  [869] = 869,
  [870] = 844,
  [871] = 871,
  [872] = 872,
  [873] = 840,
  [874] = 874,
  [875] = 843,
  [876] = 876,
  [877] = 860,
  [878] = 878,
  [879] = 840,
  [880] = 880,
  [881] = 881,
  [882] = 882,
  [883] = 883,
  [884] = 884,
  [885] = 885,
  [886] = 886,
  [887] = 866,
  [888] = 840,
  [889] = 889,
  [890] = 840,
  [891] = 869,
  [892] = 892,
  [893] = 893,
  [894] = 840,
  [895] = 895,
  [896] = 885,
  [897] = 876,
  [898] = 898,
  [899] = 899,
  [900] = 840,
  [901] = 901,
  [902] = 840,
  [903] = 903,
  [904] = 840,
  [905] = 899,
  [906] = 840,
  [907] = 880,
  [908] = 908,
  [909] = 909,
  [910] = 892,
  [911] = 893,
  [912] = 898,
  [913] = 913,
  [914] = 914,
  [915] = 915,
  [916] = 913,
  [917] = 903,
  [918] = 857,
  [919] = 919,
  [920] = 920,
  [921] = 921,
  [922] = 922,
  [923] = 840,
  [924] = 924,
  [925] = 921,
  [926] = 926,
  [927] = 927,
  [928] = 914,
  [929] = 901,
  [930] = 930,
  [931] = 924,
  [932] = 909,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 935,
  [939] = 934,
  [940] = 940,
  [941] = 941,
  [942] = 942,
  [943] = 943,
  [944] = 944,
  [945] = 945,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 949,
  [950] = 950,
  [951] = 951,
  [952] = 952,
  [953] = 953,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 953,
  [958] = 958,
  [959] = 959,
  [960] = 960,
  [961] = 961,
  [962] = 937,
  [963] = 963,
  [964] = 964,
  [965] = 965,
  [966] = 966,
  [967] = 967,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 971,
  [972] = 972,
  [973] = 959,
  [974] = 974,
  [975] = 975,
  [976] = 976,
  [977] = 977,
  [978] = 978,
  [979] = 979,
  [980] = 980,
  [981] = 963,
  [982] = 964,
  [983] = 983,
  [984] = 984,
  [985] = 985,
  [986] = 986,
  [987] = 948,
  [988] = 988,
  [989] = 940,
  [990] = 990,
  [991] = 991,
  [992] = 966,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 941,
  [997] = 942,
  [998] = 943,
  [999] = 954,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 975,
  [1004] = 985,
  [1005] = 959,
  [1006] = 1006,
  [1007] = 959,
  [1008] = 953,
  [1009] = 953,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 991,
  [1013] = 951,
  [1014] = 1011,
  [1015] = 988,
  [1016] = 1006,
  [1017] = 995,
  [1018] = 1001,
  [1019] = 990,
  [1020] = 968,
  [1021] = 994,
  [1022] = 993,
  [1023] = 967,
};

static TSCharacterRange sym_attribute_name_character_set_1[] = {
  {0, 0x08}, {0x0e, 0x1f}, {'!', '!'}, {'#', '&'}, {'+', '-'}, {'/', ';'}, {'?', 'Z'}, {'\\', '\\'},
  {'^', 0x10ffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(96);
      ADVANCE_MAP(
        '!', 204,
        '"', 160,
        '%', 249,
        '&', 12,
        '\'', 157,
        '(', 167,
        ')', 168,
        '*', 191,
        '+', 190,
        ',', 181,
        '-', 245,
        '.', 242,
        '/', 248,
        ':', 192,
        ';', 166,
        '<', 104,
        '=', 185,
        '>', 101,
        '?', 205,
        '[', 198,
        '\\', 73,
        ']', 199,
        'a', 40,
        'c', 60,
        'e', 48,
        'l', 36,
        'm', 46,
        'o', 41,
        'p', 50,
        's', 176,
        't', 61,
        'w', 44,
        '{', 164,
        '|', 209,
        '}', 165,
        'D', 82,
        'd', 82,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(94);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(240);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '!', 21,
        '"', 160,
        '%', 249,
        '&', 14,
        '\'', 157,
        '(', 167,
        ')', 23,
        '*', 191,
        '+', 190,
        ',', 181,
        '-', 246,
        '.', 242,
        '/', 247,
        ':', 192,
        '<', 105,
        '=', 22,
        '>', 101,
        '?', 205,
        '[', 197,
        '|', 209,
        '}', 165,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1);
      if (('$' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '!', 21,
        '"', 160,
        '%', 249,
        '&', 14,
        '(', 167,
        ')', 168,
        '*', 191,
        '+', 190,
        ',', 181,
        '-', 245,
        '.', 242,
        '/', 247,
        ':', 192,
        ';', 166,
        '<', 105,
        '=', 185,
        '>', 101,
        '?', 205,
        '[', 197,
        ']', 199,
        'a', 64,
        'p', 49,
        's', 34,
        '|', 209,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(2);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '!', 203,
        '"', 160,
        '\'', 157,
        '(', 167,
        ')', 168,
        ';', 166,
        '[', 197,
        '{', 164,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(210);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 4:
      if (lookahead == '!') ADVANCE(203);
      if (lookahead == '"') ADVANCE(160);
      if (lookahead == '\'') ADVANCE(157);
      if (lookahead == '(') ADVANCE(167);
      if (lookahead == '[') ADVANCE(197);
      if (lookahead == 'l') ADVANCE(211);
      if (lookahead == '{') ADVANCE(164);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(210);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 20,
        '"', 160,
        '&', 14,
        '\'', 157,
        '(', 167,
        ')', 168,
        '+', 190,
        ',', 181,
        '.', 242,
        ':', 192,
        ';', 166,
        '=', 184,
        '?', 205,
        '[', 197,
        ']', 199,
        '|', 209,
        '}', 165,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(5);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 6:
      if (lookahead == '"') ADVANCE(160);
      if (lookahead == '\'') ADVANCE(157);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6);
      if (lookahead != 0 &&
          (lookahead < '<' || '>' < lookahead)) ADVANCE(116);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '"', 160,
        '(', 167,
        '*', 191,
        '/', 234,
        '>', 100,
        '[', 198,
        '\\', 233,
        '\'', 232,
        ')', 232,
        '.', 232,
        '<', 232,
        '=', 232,
        ']', 232,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(232);
      if (lookahead != 0) ADVANCE(236);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '"', 160,
        '(', 167,
        '*', 191,
        '>', 100,
        '[', 198,
        '\\', 233,
        '\'', 232,
        ')', 232,
        '.', 232,
        '<', 232,
        '=', 232,
        ']', 232,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(232);
      if (lookahead != 0) ADVANCE(236);
      END_STATE();
    case 9:
      if (lookahead == '"') ADVANCE(160);
      if (lookahead == ',') ADVANCE(181);
      if (lookahead == ':') ADVANCE(192);
      if (lookahead == ';') ADVANCE(166);
      if (lookahead == '=') ADVANCE(184);
      if (lookahead == 'a') ADVANCE(217);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(9);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 10:
      if (lookahead == '"') ADVANCE(160);
      if (lookahead == '\\') ADVANCE(235);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(232);
      if (lookahead != 0) ADVANCE(232);
      END_STATE();
    case 11:
      if (lookahead == '"') ADVANCE(160);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(161);
      if (lookahead != 0) ADVANCE(162);
      END_STATE();
    case 12:
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '&') ADVANCE(208);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(156);
      END_STATE();
    case 13:
      if (lookahead == '#') ADVANCE(85);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(156);
      END_STATE();
    case 14:
      if (lookahead == '&') ADVANCE(208);
      END_STATE();
    case 15:
      if (lookahead == '\'') ADVANCE(157);
      if (lookahead == '\\') ADVANCE(238);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(237);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      if (lookahead != 0) ADVANCE(237);
      END_STATE();
    case 16:
      if (lookahead == '\'') ADVANCE(157);
      if (lookahead == '\\') ADVANCE(238);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(237);
      if (lookahead != 0) ADVANCE(237);
      END_STATE();
    case 17:
      if (lookahead == '\'') ADVANCE(157);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(158);
      if (lookahead != 0) ADVANCE(159);
      END_STATE();
    case 18:
      if (lookahead == '(') ADVANCE(167);
      if (lookahead == '*') ADVANCE(191);
      if (lookahead == '/') ADVANCE(108);
      if (lookahead == '=') ADVANCE(184);
      if (lookahead == '>') ADVANCE(100);
      if (lookahead == '[') ADVANCE(198);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(18);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || '*' < lookahead) &&
          lookahead != '.' &&
          lookahead != '/' &&
          (lookahead < '<' || '>' < lookahead) &&
          lookahead != ']') ADVANCE(115);
      END_STATE();
    case 19:
      if (lookahead == '(') ADVANCE(167);
      if (lookahead == '*') ADVANCE(191);
      if (lookahead == '=') ADVANCE(184);
      if (lookahead == '>') ADVANCE(100);
      if (lookahead == '[') ADVANCE(198);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(19);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || '*' < lookahead) &&
          lookahead != '.' &&
          (lookahead < '<' || '>' < lookahead) &&
          lookahead != ']') ADVANCE(115);
      END_STATE();
    case 20:
      if (lookahead == '.') ADVANCE(244);
      END_STATE();
    case 21:
      if (lookahead == '.') ADVANCE(244);
      if (lookahead == '=') ADVANCE(252);
      END_STATE();
    case 22:
      if (lookahead == '=') ADVANCE(250);
      END_STATE();
    case 23:
      if (lookahead == ']') ADVANCE(201);
      END_STATE();
    case 24:
      if (lookahead == 'a') ADVANCE(26);
      END_STATE();
    case 25:
      if (lookahead == 'a') ADVANCE(51);
      END_STATE();
    case 26:
      if (lookahead == 'c') ADVANCE(47);
      END_STATE();
    case 27:
      if (lookahead == 'c') ADVANCE(216);
      if (lookahead == 'e') ADVANCE(214);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(27);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 28:
      if (lookahead == 'c') ADVANCE(216);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(28);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 29:
      if (lookahead == 'c') ADVANCE(43);
      END_STATE();
    case 30:
      if (lookahead == 'c') ADVANCE(68);
      END_STATE();
    case 31:
      if (lookahead == 'e') ADVANCE(42);
      END_STATE();
    case 32:
      if (lookahead == 'e') ADVANCE(193);
      END_STATE();
    case 33:
      if (lookahead == 'e') ADVANCE(76);
      END_STATE();
    case 34:
      if (lookahead == 'e') ADVANCE(53);
      END_STATE();
    case 35:
      if (lookahead == 'e') ADVANCE(62);
      END_STATE();
    case 36:
      if (lookahead == 'e') ADVANCE(67);
      END_STATE();
    case 37:
      if (lookahead == 'e') ADVANCE(30);
      END_STATE();
    case 38:
      if (lookahead == 'e') ADVANCE(70);
      END_STATE();
    case 39:
      if (lookahead == 'e') ADVANCE(58);
      END_STATE();
    case 40:
      if (lookahead == 'f') ADVANCE(71);
      if (lookahead == 's') ADVANCE(182);
      END_STATE();
    case 41:
      if (lookahead == 'f') ADVANCE(177);
      if (lookahead == 'n') ADVANCE(171);
      END_STATE();
    case 42:
      if (lookahead == 'f') ADVANCE(38);
      END_STATE();
    case 43:
      if (lookahead == 'h') ADVANCE(169);
      END_STATE();
    case 44:
      if (lookahead == 'h') ADVANCE(39);
      END_STATE();
    case 45:
      if (lookahead == 'i') ADVANCE(55);
      END_STATE();
    case 46:
      if (lookahead == 'i') ADVANCE(57);
      if (lookahead == 's') ADVANCE(174);
      END_STATE();
    case 47:
      if (lookahead == 'k') ADVANCE(178);
      END_STATE();
    case 48:
      if (lookahead == 'l') ADVANCE(66);
      END_STATE();
    case 49:
      if (lookahead == 'l') ADVANCE(75);
      END_STATE();
    case 50:
      if (lookahead == 'l') ADVANCE(75);
      if (lookahead == 'r') ADVANCE(31);
      END_STATE();
    case 51:
      if (lookahead == 'l') ADVANCE(186);
      END_STATE();
    case 52:
      if (lookahead == 'l') ADVANCE(211);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(52);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 53:
      if (lookahead == 'l') ADVANCE(37);
      END_STATE();
    case 54:
      if (lookahead == 'm') ADVANCE(173);
      END_STATE();
    case 55:
      if (lookahead == 'm') ADVANCE(74);
      END_STATE();
    case 56:
      if (lookahead == 'm') ADVANCE(65);
      if (lookahead == 's') ADVANCE(175);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(56);
      END_STATE();
    case 57:
      if (lookahead == 'n') ADVANCE(45);
      END_STATE();
    case 58:
      if (lookahead == 'n') ADVANCE(170);
      END_STATE();
    case 59:
      if (lookahead == 'n') ADVANCE(72);
      END_STATE();
    case 60:
      if (lookahead == 'o') ADVANCE(59);
      END_STATE();
    case 61:
      if (lookahead == 'r') ADVANCE(24);
      END_STATE();
    case 62:
      if (lookahead == 'r') ADVANCE(172);
      END_STATE();
    case 63:
      if (lookahead == 'r') ADVANCE(25);
      END_STATE();
    case 64:
      if (lookahead == 's') ADVANCE(182);
      END_STATE();
    case 65:
      if (lookahead == 's') ADVANCE(174);
      END_STATE();
    case 66:
      if (lookahead == 's') ADVANCE(32);
      END_STATE();
    case 67:
      if (lookahead == 't') ADVANCE(179);
      END_STATE();
    case 68:
      if (lookahead == 't') ADVANCE(187);
      END_STATE();
    case 69:
      if (lookahead == 't') ADVANCE(195);
      END_STATE();
    case 70:
      if (lookahead == 't') ADVANCE(29);
      END_STATE();
    case 71:
      if (lookahead == 't') ADVANCE(35);
      END_STATE();
    case 72:
      if (lookahead == 't') ADVANCE(33);
      END_STATE();
    case 73:
      if (lookahead == 'u') ADVANCE(77);
      if (lookahead == 'x') ADVANCE(93);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(226);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(229);
      if (lookahead != 0) ADVANCE(224);
      END_STATE();
    case 74:
      if (lookahead == 'u') ADVANCE(54);
      END_STATE();
    case 75:
      if (lookahead == 'u') ADVANCE(63);
      END_STATE();
    case 76:
      if (lookahead == 'x') ADVANCE(69);
      END_STATE();
    case 77:
      if (lookahead == '{') ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(89);
      END_STATE();
    case 78:
      if (lookahead == '}') ADVANCE(165);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(188);
      if (lookahead != 0 &&
          lookahead != '{') ADVANCE(189);
      END_STATE();
    case 79:
      if (lookahead == '}') ADVANCE(224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(79);
      END_STATE();
    case 80:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(84);
      END_STATE();
    case 81:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(102);
      END_STATE();
    case 82:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(80);
      END_STATE();
    case 83:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(81);
      END_STATE();
    case 84:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(86);
      END_STATE();
    case 85:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(122);
      END_STATE();
    case 86:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(83);
      END_STATE();
    case 87:
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(87);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '@' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(163);
      END_STATE();
    case 88:
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(98);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(99);
      END_STATE();
    case 89:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(93);
      END_STATE();
    case 90:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(224);
      END_STATE();
    case 91:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(127);
      END_STATE();
    case 92:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(79);
      END_STATE();
    case 93:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(90);
      END_STATE();
    case 94:
      if (eof) ADVANCE(96);
      ADVANCE_MAP(
        '!', 204,
        '"', 160,
        '%', 249,
        '&', 12,
        '\'', 157,
        '(', 167,
        ')', 168,
        '*', 191,
        '+', 190,
        ',', 181,
        '-', 245,
        '.', 242,
        '/', 248,
        ':', 192,
        ';', 166,
        '<', 104,
        '=', 185,
        '>', 101,
        '?', 205,
        '[', 198,
        ']', 199,
        'a', 40,
        'c', 60,
        'e', 48,
        'l', 36,
        'm', 46,
        'o', 41,
        'p', 50,
        's', 176,
        't', 61,
        'w', 44,
        '{', 164,
        '|', 209,
        '}', 165,
        'D', 82,
        'd', 82,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(94);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(240);
      END_STATE();
    case 95:
      if (eof) ADVANCE(96);
      if (lookahead == '&') ADVANCE(13);
      if (lookahead == '<') ADVANCE(103);
      if (lookahead == '>') ADVANCE(100);
      if (lookahead == '{') ADVANCE(164);
      if (lookahead == '}') ADVANCE(165);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(95);
      if (lookahead != 0 &&
          lookahead != '@') ADVANCE(163);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_LT_BANG);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(aux_sym_doctype_token1);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(98);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(99);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(aux_sym_doctype_token1);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(99);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(255);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym__doctype);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '!') ADVANCE(97);
      if (lookahead == '/') ADVANCE(107);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '!') ADVANCE(97);
      if (lookahead == '/') ADVANCE(107);
      if (lookahead == '=') ADVANCE(254);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(254);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_SLASH_GT);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_LT_SLASH);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym_attribute_name);
      if (lookahead == '>') ADVANCE(106);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_attribute_name);
      if (lookahead == '{') ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(111);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_attribute_name);
      if (lookahead == '}') ADVANCE(231);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(110);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym_attribute_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(114);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym_attribute_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(231);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_attribute_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(110);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym_attribute_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(112);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym_attribute_name);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym_attribute_value);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          lookahead != '\'' &&
          (lookahead < '<' || '>' < lookahead)) ADVANCE(116);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_entity);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(118);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(119);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(120);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(121);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(118);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(123);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(124);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(125);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(126);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(118);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(128);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(130);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(131);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(132);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(133);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(134);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(135);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(136);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(137);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(138);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(139);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(140);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(141);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(142);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(143);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(144);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(145);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(146);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(147);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(148);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(149);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(150);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(151);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(152);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(153);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(154);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(155);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(aux_sym_quoted_attribute_value_token1);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(158);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(159);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(aux_sym_quoted_attribute_value_token1);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(159);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(aux_sym_quoted_attribute_value_token2);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(161);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(162);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(aux_sym_quoted_attribute_value_token2);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(162);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_text);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(87);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '@' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(163);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_prefetch);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_when);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_on);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_after);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_minimum);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_ms);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_s);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_s);
      if (lookahead == 'e') ADVANCE(53);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_track);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_let);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(250);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_plural);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_select);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(sym_icu_category);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(188);
      if (lookahead != 0 &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(189);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(sym_icu_category);
      if (lookahead != 0 &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(189);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_context);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_context);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '(') ADVANCE(200);
      if (lookahead == '@') ADVANCE(202);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_LBRACK_LPAREN);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_RPAREN_RBRACK);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_LBRACK_AT);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '.') ADVANCE(244);
      if (lookahead == '=') ADVANCE(252);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(243);
      if (lookahead == '?') ADVANCE(206);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(207);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(241);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(210);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(219);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(194);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(222);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(218);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(221);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(215);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(183);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(212);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(180);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(196);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(213);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x') ADVANCE(220);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym__escape_sequence);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (lookahead == '\n') ADVANCE(224);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(231);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (lookahead == '\n' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(224);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(224);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(231);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(227);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(228);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym__escape_sequence);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '\r') ADVANCE(226);
      if (lookahead == '?') ADVANCE(225);
      if (lookahead == 'u') ADVANCE(109);
      if (lookahead == 'x') ADVANCE(114);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(230);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == '"' ||
          ('\'' <= lookahead && lookahead <= '*') ||
          lookahead == '.' ||
          ('<' <= lookahead && lookahead <= '>') ||
          lookahead == '[' ||
          lookahead == ']') ADVANCE(224);
      if (lookahead != 0) ADVANCE(231);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '>') ADVANCE(106);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == 'u') ADVANCE(77);
      if (lookahead == 'x') ADVANCE(93);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(226);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(229);
      if (lookahead != 0) ADVANCE(224);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(aux_sym_string_token2);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == 'u') ADVANCE(77);
      if (lookahead == 'x') ADVANCE(93);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(226);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(229);
      if (lookahead != 0) ADVANCE(224);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(241);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(240);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_number);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(241);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_QMARK_DOT);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_BANG_DOT);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '>') ADVANCE(106);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(251);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(253);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 95, .external_lex_state = 2},
  [2] = {.lex_state = 95, .external_lex_state = 3},
  [3] = {.lex_state = 95, .external_lex_state = 3},
  [4] = {.lex_state = 95, .external_lex_state = 3},
  [5] = {.lex_state = 95, .external_lex_state = 3},
  [6] = {.lex_state = 95, .external_lex_state = 2},
  [7] = {.lex_state = 95, .external_lex_state = 2},
  [8] = {.lex_state = 95, .external_lex_state = 2},
  [9] = {.lex_state = 95, .external_lex_state = 2},
  [10] = {.lex_state = 95, .external_lex_state = 3},
  [11] = {.lex_state = 95, .external_lex_state = 2},
  [12] = {.lex_state = 95, .external_lex_state = 2},
  [13] = {.lex_state = 95, .external_lex_state = 2},
  [14] = {.lex_state = 95, .external_lex_state = 2},
  [15] = {.lex_state = 95, .external_lex_state = 2},
  [16] = {.lex_state = 95, .external_lex_state = 2},
  [17] = {.lex_state = 2, .external_lex_state = 4},
  [18] = {.lex_state = 2, .external_lex_state = 4},
  [19] = {.lex_state = 2, .external_lex_state = 4},
  [20] = {.lex_state = 1, .external_lex_state = 4},
  [21] = {.lex_state = 2, .external_lex_state = 4},
  [22] = {.lex_state = 2, .external_lex_state = 4},
  [23] = {.lex_state = 1, .external_lex_state = 4},
  [24] = {.lex_state = 2, .external_lex_state = 4},
  [25] = {.lex_state = 2, .external_lex_state = 4},
  [26] = {.lex_state = 1, .external_lex_state = 4},
  [27] = {.lex_state = 1, .external_lex_state = 4},
  [28] = {.lex_state = 1, .external_lex_state = 4},
  [29] = {.lex_state = 1, .external_lex_state = 4},
  [30] = {.lex_state = 2, .external_lex_state = 4},
  [31] = {.lex_state = 2, .external_lex_state = 4},
  [32] = {.lex_state = 95, .external_lex_state = 2},
  [33] = {.lex_state = 1, .external_lex_state = 4},
  [34] = {.lex_state = 2, .external_lex_state = 4},
  [35] = {.lex_state = 2, .external_lex_state = 4},
  [36] = {.lex_state = 1, .external_lex_state = 4},
  [37] = {.lex_state = 2, .external_lex_state = 4},
  [38] = {.lex_state = 2, .external_lex_state = 4},
  [39] = {.lex_state = 2, .external_lex_state = 4},
  [40] = {.lex_state = 2, .external_lex_state = 4},
  [41] = {.lex_state = 2, .external_lex_state = 4},
  [42] = {.lex_state = 2, .external_lex_state = 4},
  [43] = {.lex_state = 95, .external_lex_state = 2},
  [44] = {.lex_state = 2, .external_lex_state = 4},
  [45] = {.lex_state = 1, .external_lex_state = 4},
  [46] = {.lex_state = 2, .external_lex_state = 4},
  [47] = {.lex_state = 95, .external_lex_state = 2},
  [48] = {.lex_state = 2, .external_lex_state = 4},
  [49] = {.lex_state = 2, .external_lex_state = 4},
  [50] = {.lex_state = 2, .external_lex_state = 4},
  [51] = {.lex_state = 95, .external_lex_state = 2},
  [52] = {.lex_state = 2, .external_lex_state = 4},
  [53] = {.lex_state = 2, .external_lex_state = 4},
  [54] = {.lex_state = 95, .external_lex_state = 2},
  [55] = {.lex_state = 1, .external_lex_state = 4},
  [56] = {.lex_state = 1, .external_lex_state = 4},
  [57] = {.lex_state = 2, .external_lex_state = 4},
  [58] = {.lex_state = 1, .external_lex_state = 4},
  [59] = {.lex_state = 95, .external_lex_state = 3},
  [60] = {.lex_state = 2, .external_lex_state = 4},
  [61] = {.lex_state = 1, .external_lex_state = 4},
  [62] = {.lex_state = 95, .external_lex_state = 3},
  [63] = {.lex_state = 1, .external_lex_state = 4},
  [64] = {.lex_state = 4, .external_lex_state = 4},
  [65] = {.lex_state = 3, .external_lex_state = 4},
  [66] = {.lex_state = 1, .external_lex_state = 4},
  [67] = {.lex_state = 1, .external_lex_state = 4},
  [68] = {.lex_state = 95, .external_lex_state = 3},
  [69] = {.lex_state = 1, .external_lex_state = 4},
  [70] = {.lex_state = 1, .external_lex_state = 4},
  [71] = {.lex_state = 1, .external_lex_state = 4},
  [72] = {.lex_state = 1, .external_lex_state = 4},
  [73] = {.lex_state = 1, .external_lex_state = 4},
  [74] = {.lex_state = 95, .external_lex_state = 3},
  [75] = {.lex_state = 3, .external_lex_state = 4},
  [76] = {.lex_state = 95, .external_lex_state = 3},
  [77] = {.lex_state = 4, .external_lex_state = 4},
  [78] = {.lex_state = 1, .external_lex_state = 4},
  [79] = {.lex_state = 1, .external_lex_state = 4},
  [80] = {.lex_state = 2, .external_lex_state = 4},
  [81] = {.lex_state = 1, .external_lex_state = 4},
  [82] = {.lex_state = 2, .external_lex_state = 4},
  [83] = {.lex_state = 2, .external_lex_state = 4},
  [84] = {.lex_state = 2, .external_lex_state = 4},
  [85] = {.lex_state = 3, .external_lex_state = 4},
  [86] = {.lex_state = 1, .external_lex_state = 4},
  [87] = {.lex_state = 2, .external_lex_state = 5},
  [88] = {.lex_state = 3, .external_lex_state = 4},
  [89] = {.lex_state = 3, .external_lex_state = 4},
  [90] = {.lex_state = 3, .external_lex_state = 4},
  [91] = {.lex_state = 3, .external_lex_state = 4},
  [92] = {.lex_state = 2, .external_lex_state = 4},
  [93] = {.lex_state = 2, .external_lex_state = 4},
  [94] = {.lex_state = 3, .external_lex_state = 4},
  [95] = {.lex_state = 2, .external_lex_state = 4},
  [96] = {.lex_state = 2, .external_lex_state = 4},
  [97] = {.lex_state = 2, .external_lex_state = 4},
  [98] = {.lex_state = 2, .external_lex_state = 5},
  [99] = {.lex_state = 3, .external_lex_state = 4},
  [100] = {.lex_state = 2, .external_lex_state = 4},
  [101] = {.lex_state = 2, .external_lex_state = 4},
  [102] = {.lex_state = 2, .external_lex_state = 4},
  [103] = {.lex_state = 2, .external_lex_state = 5},
  [104] = {.lex_state = 2, .external_lex_state = 5},
  [105] = {.lex_state = 2, .external_lex_state = 4},
  [106] = {.lex_state = 2, .external_lex_state = 5},
  [107] = {.lex_state = 2, .external_lex_state = 4},
  [108] = {.lex_state = 2, .external_lex_state = 5},
  [109] = {.lex_state = 2, .external_lex_state = 4},
  [110] = {.lex_state = 2, .external_lex_state = 4},
  [111] = {.lex_state = 3, .external_lex_state = 4},
  [112] = {.lex_state = 3, .external_lex_state = 4},
  [113] = {.lex_state = 2, .external_lex_state = 5},
  [114] = {.lex_state = 3, .external_lex_state = 4},
  [115] = {.lex_state = 3, .external_lex_state = 4},
  [116] = {.lex_state = 3, .external_lex_state = 4},
  [117] = {.lex_state = 1, .external_lex_state = 4},
  [118] = {.lex_state = 3, .external_lex_state = 4},
  [119] = {.lex_state = 1, .external_lex_state = 4},
  [120] = {.lex_state = 1, .external_lex_state = 4},
  [121] = {.lex_state = 3, .external_lex_state = 4},
  [122] = {.lex_state = 3, .external_lex_state = 4},
  [123] = {.lex_state = 3, .external_lex_state = 4},
  [124] = {.lex_state = 3, .external_lex_state = 4},
  [125] = {.lex_state = 3, .external_lex_state = 4},
  [126] = {.lex_state = 1, .external_lex_state = 4},
  [127] = {.lex_state = 3, .external_lex_state = 4},
  [128] = {.lex_state = 1, .external_lex_state = 4},
  [129] = {.lex_state = 3, .external_lex_state = 4},
  [130] = {.lex_state = 1, .external_lex_state = 4},
  [131] = {.lex_state = 3, .external_lex_state = 4},
  [132] = {.lex_state = 1, .external_lex_state = 4},
  [133] = {.lex_state = 3, .external_lex_state = 4},
  [134] = {.lex_state = 3, .external_lex_state = 4},
  [135] = {.lex_state = 2, .external_lex_state = 4},
  [136] = {.lex_state = 3, .external_lex_state = 4},
  [137] = {.lex_state = 2, .external_lex_state = 4},
  [138] = {.lex_state = 3, .external_lex_state = 4},
  [139] = {.lex_state = 3, .external_lex_state = 4},
  [140] = {.lex_state = 3, .external_lex_state = 4},
  [141] = {.lex_state = 1, .external_lex_state = 4},
  [142] = {.lex_state = 3, .external_lex_state = 4},
  [143] = {.lex_state = 3, .external_lex_state = 4},
  [144] = {.lex_state = 3, .external_lex_state = 4},
  [145] = {.lex_state = 1, .external_lex_state = 4},
  [146] = {.lex_state = 1, .external_lex_state = 4},
  [147] = {.lex_state = 1, .external_lex_state = 4},
  [148] = {.lex_state = 3, .external_lex_state = 4},
  [149] = {.lex_state = 3, .external_lex_state = 4},
  [150] = {.lex_state = 2, .external_lex_state = 4},
  [151] = {.lex_state = 3, .external_lex_state = 4},
  [152] = {.lex_state = 3, .external_lex_state = 4},
  [153] = {.lex_state = 3, .external_lex_state = 4},
  [154] = {.lex_state = 3, .external_lex_state = 4},
  [155] = {.lex_state = 3, .external_lex_state = 4},
  [156] = {.lex_state = 1, .external_lex_state = 4},
  [157] = {.lex_state = 3, .external_lex_state = 4},
  [158] = {.lex_state = 3, .external_lex_state = 4},
  [159] = {.lex_state = 2, .external_lex_state = 4},
  [160] = {.lex_state = 2, .external_lex_state = 4},
  [161] = {.lex_state = 3, .external_lex_state = 4},
  [162] = {.lex_state = 3, .external_lex_state = 4},
  [163] = {.lex_state = 3, .external_lex_state = 4},
  [164] = {.lex_state = 3, .external_lex_state = 4},
  [165] = {.lex_state = 3, .external_lex_state = 4},
  [166] = {.lex_state = 2, .external_lex_state = 5},
  [167] = {.lex_state = 3, .external_lex_state = 4},
  [168] = {.lex_state = 2, .external_lex_state = 5},
  [169] = {.lex_state = 2, .external_lex_state = 4},
  [170] = {.lex_state = 3, .external_lex_state = 4},
  [171] = {.lex_state = 2, .external_lex_state = 4},
  [172] = {.lex_state = 3, .external_lex_state = 4},
  [173] = {.lex_state = 3, .external_lex_state = 4},
  [174] = {.lex_state = 2, .external_lex_state = 5},
  [175] = {.lex_state = 1, .external_lex_state = 4},
  [176] = {.lex_state = 3, .external_lex_state = 4},
  [177] = {.lex_state = 2, .external_lex_state = 5},
  [178] = {.lex_state = 2, .external_lex_state = 5},
  [179] = {.lex_state = 2, .external_lex_state = 4},
  [180] = {.lex_state = 3, .external_lex_state = 4},
  [181] = {.lex_state = 1, .external_lex_state = 4},
  [182] = {.lex_state = 2, .external_lex_state = 4},
  [183] = {.lex_state = 2, .external_lex_state = 4},
  [184] = {.lex_state = 3, .external_lex_state = 4},
  [185] = {.lex_state = 2, .external_lex_state = 4},
  [186] = {.lex_state = 3, .external_lex_state = 4},
  [187] = {.lex_state = 3, .external_lex_state = 4},
  [188] = {.lex_state = 2, .external_lex_state = 4},
  [189] = {.lex_state = 3, .external_lex_state = 4},
  [190] = {.lex_state = 3, .external_lex_state = 4},
  [191] = {.lex_state = 3, .external_lex_state = 4},
  [192] = {.lex_state = 2, .external_lex_state = 4},
  [193] = {.lex_state = 2, .external_lex_state = 4},
  [194] = {.lex_state = 3, .external_lex_state = 4},
  [195] = {.lex_state = 2, .external_lex_state = 4},
  [196] = {.lex_state = 3, .external_lex_state = 4},
  [197] = {.lex_state = 3, .external_lex_state = 4},
  [198] = {.lex_state = 2, .external_lex_state = 4},
  [199] = {.lex_state = 3, .external_lex_state = 4},
  [200] = {.lex_state = 3, .external_lex_state = 4},
  [201] = {.lex_state = 3, .external_lex_state = 4},
  [202] = {.lex_state = 2, .external_lex_state = 5},
  [203] = {.lex_state = 2, .external_lex_state = 5},
  [204] = {.lex_state = 2, .external_lex_state = 5},
  [205] = {.lex_state = 2, .external_lex_state = 5},
  [206] = {.lex_state = 1, .external_lex_state = 4},
  [207] = {.lex_state = 2, .external_lex_state = 5},
  [208] = {.lex_state = 1, .external_lex_state = 4},
  [209] = {.lex_state = 1, .external_lex_state = 4},
  [210] = {.lex_state = 1, .external_lex_state = 4},
  [211] = {.lex_state = 2, .external_lex_state = 4},
  [212] = {.lex_state = 2, .external_lex_state = 5},
  [213] = {.lex_state = 2, .external_lex_state = 5},
  [214] = {.lex_state = 1, .external_lex_state = 4},
  [215] = {.lex_state = 1, .external_lex_state = 4},
  [216] = {.lex_state = 2, .external_lex_state = 4},
  [217] = {.lex_state = 2, .external_lex_state = 4},
  [218] = {.lex_state = 2, .external_lex_state = 4},
  [219] = {.lex_state = 1, .external_lex_state = 4},
  [220] = {.lex_state = 2, .external_lex_state = 5},
  [221] = {.lex_state = 1, .external_lex_state = 4},
  [222] = {.lex_state = 2, .external_lex_state = 4},
  [223] = {.lex_state = 1, .external_lex_state = 4},
  [224] = {.lex_state = 2, .external_lex_state = 5},
  [225] = {.lex_state = 1, .external_lex_state = 4},
  [226] = {.lex_state = 2, .external_lex_state = 5},
  [227] = {.lex_state = 2, .external_lex_state = 5},
  [228] = {.lex_state = 2, .external_lex_state = 5},
  [229] = {.lex_state = 1, .external_lex_state = 4},
  [230] = {.lex_state = 2, .external_lex_state = 5},
  [231] = {.lex_state = 2, .external_lex_state = 5},
  [232] = {.lex_state = 2, .external_lex_state = 5},
  [233] = {.lex_state = 2, .external_lex_state = 5},
  [234] = {.lex_state = 2, .external_lex_state = 5},
  [235] = {.lex_state = 2, .external_lex_state = 4},
  [236] = {.lex_state = 3, .external_lex_state = 4},
  [237] = {.lex_state = 3, .external_lex_state = 4},
  [238] = {.lex_state = 1, .external_lex_state = 4},
  [239] = {.lex_state = 3, .external_lex_state = 4},
  [240] = {.lex_state = 2, .external_lex_state = 5},
  [241] = {.lex_state = 1, .external_lex_state = 4},
  [242] = {.lex_state = 3, .external_lex_state = 4},
  [243] = {.lex_state = 3, .external_lex_state = 4},
  [244] = {.lex_state = 3, .external_lex_state = 4},
  [245] = {.lex_state = 3, .external_lex_state = 4},
  [246] = {.lex_state = 3, .external_lex_state = 4},
  [247] = {.lex_state = 3, .external_lex_state = 4},
  [248] = {.lex_state = 3, .external_lex_state = 4},
  [249] = {.lex_state = 3, .external_lex_state = 4},
  [250] = {.lex_state = 3, .external_lex_state = 4},
  [251] = {.lex_state = 3, .external_lex_state = 4},
  [252] = {.lex_state = 3, .external_lex_state = 4},
  [253] = {.lex_state = 3, .external_lex_state = 4},
  [254] = {.lex_state = 3, .external_lex_state = 4},
  [255] = {.lex_state = 3, .external_lex_state = 4},
  [256] = {.lex_state = 2, .external_lex_state = 4},
  [257] = {.lex_state = 3, .external_lex_state = 4},
  [258] = {.lex_state = 3, .external_lex_state = 4},
  [259] = {.lex_state = 3, .external_lex_state = 4},
  [260] = {.lex_state = 3, .external_lex_state = 4},
  [261] = {.lex_state = 3, .external_lex_state = 4},
  [262] = {.lex_state = 3, .external_lex_state = 4},
  [263] = {.lex_state = 2, .external_lex_state = 4},
  [264] = {.lex_state = 3, .external_lex_state = 4},
  [265] = {.lex_state = 3, .external_lex_state = 4},
  [266] = {.lex_state = 3, .external_lex_state = 4},
  [267] = {.lex_state = 3, .external_lex_state = 4},
  [268] = {.lex_state = 3, .external_lex_state = 4},
  [269] = {.lex_state = 3, .external_lex_state = 4},
  [270] = {.lex_state = 3, .external_lex_state = 4},
  [271] = {.lex_state = 2, .external_lex_state = 5},
  [272] = {.lex_state = 95, .external_lex_state = 2},
  [273] = {.lex_state = 95, .external_lex_state = 2},
  [274] = {.lex_state = 2, .external_lex_state = 4},
  [275] = {.lex_state = 2, .external_lex_state = 5},
  [276] = {.lex_state = 2, .external_lex_state = 4},
  [277] = {.lex_state = 95, .external_lex_state = 2},
  [278] = {.lex_state = 95, .external_lex_state = 2},
  [279] = {.lex_state = 95, .external_lex_state = 2},
  [280] = {.lex_state = 95, .external_lex_state = 2},
  [281] = {.lex_state = 2, .external_lex_state = 5},
  [282] = {.lex_state = 95, .external_lex_state = 2},
  [283] = {.lex_state = 95, .external_lex_state = 2},
  [284] = {.lex_state = 95, .external_lex_state = 2},
  [285] = {.lex_state = 2, .external_lex_state = 5},
  [286] = {.lex_state = 2, .external_lex_state = 4},
  [287] = {.lex_state = 95, .external_lex_state = 2},
  [288] = {.lex_state = 95, .external_lex_state = 2},
  [289] = {.lex_state = 95, .external_lex_state = 2},
  [290] = {.lex_state = 95, .external_lex_state = 2},
  [291] = {.lex_state = 2, .external_lex_state = 5},
  [292] = {.lex_state = 95, .external_lex_state = 2},
  [293] = {.lex_state = 95, .external_lex_state = 2},
  [294] = {.lex_state = 95, .external_lex_state = 2},
  [295] = {.lex_state = 95, .external_lex_state = 2},
  [296] = {.lex_state = 2, .external_lex_state = 5},
  [297] = {.lex_state = 2, .external_lex_state = 4},
  [298] = {.lex_state = 95, .external_lex_state = 2},
  [299] = {.lex_state = 95, .external_lex_state = 2},
  [300] = {.lex_state = 2, .external_lex_state = 5},
  [301] = {.lex_state = 2, .external_lex_state = 5},
  [302] = {.lex_state = 95, .external_lex_state = 2},
  [303] = {.lex_state = 95, .external_lex_state = 2},
  [304] = {.lex_state = 2, .external_lex_state = 5},
  [305] = {.lex_state = 95, .external_lex_state = 2},
  [306] = {.lex_state = 95, .external_lex_state = 2},
  [307] = {.lex_state = 95, .external_lex_state = 2},
  [308] = {.lex_state = 95, .external_lex_state = 2},
  [309] = {.lex_state = 2, .external_lex_state = 5},
  [310] = {.lex_state = 95, .external_lex_state = 2},
  [311] = {.lex_state = 2, .external_lex_state = 5},
  [312] = {.lex_state = 2, .external_lex_state = 5},
  [313] = {.lex_state = 95, .external_lex_state = 2},
  [314] = {.lex_state = 95, .external_lex_state = 2},
  [315] = {.lex_state = 95, .external_lex_state = 2},
  [316] = {.lex_state = 2, .external_lex_state = 5},
  [317] = {.lex_state = 95, .external_lex_state = 2},
  [318] = {.lex_state = 95, .external_lex_state = 2},
  [319] = {.lex_state = 95, .external_lex_state = 2},
  [320] = {.lex_state = 95, .external_lex_state = 2},
  [321] = {.lex_state = 2, .external_lex_state = 5},
  [322] = {.lex_state = 95, .external_lex_state = 2},
  [323] = {.lex_state = 95, .external_lex_state = 2},
  [324] = {.lex_state = 95, .external_lex_state = 2},
  [325] = {.lex_state = 95, .external_lex_state = 2},
  [326] = {.lex_state = 2, .external_lex_state = 5},
  [327] = {.lex_state = 95, .external_lex_state = 2},
  [328] = {.lex_state = 95, .external_lex_state = 2},
  [329] = {.lex_state = 95, .external_lex_state = 2},
  [330] = {.lex_state = 95, .external_lex_state = 2},
  [331] = {.lex_state = 2, .external_lex_state = 5},
  [332] = {.lex_state = 95, .external_lex_state = 2},
  [333] = {.lex_state = 95, .external_lex_state = 2},
  [334] = {.lex_state = 95, .external_lex_state = 3},
  [335] = {.lex_state = 95, .external_lex_state = 3},
  [336] = {.lex_state = 95, .external_lex_state = 3},
  [337] = {.lex_state = 2, .external_lex_state = 5},
  [338] = {.lex_state = 2, .external_lex_state = 5},
  [339] = {.lex_state = 95, .external_lex_state = 3},
  [340] = {.lex_state = 95, .external_lex_state = 3},
  [341] = {.lex_state = 2, .external_lex_state = 5},
  [342] = {.lex_state = 95, .external_lex_state = 3},
  [343] = {.lex_state = 3, .external_lex_state = 4},
  [344] = {.lex_state = 2, .external_lex_state = 5},
  [345] = {.lex_state = 3, .external_lex_state = 4},
  [346] = {.lex_state = 3, .external_lex_state = 4},
  [347] = {.lex_state = 95, .external_lex_state = 3},
  [348] = {.lex_state = 95, .external_lex_state = 3},
  [349] = {.lex_state = 2, .external_lex_state = 5},
  [350] = {.lex_state = 95, .external_lex_state = 3},
  [351] = {.lex_state = 95, .external_lex_state = 3},
  [352] = {.lex_state = 95, .external_lex_state = 3},
  [353] = {.lex_state = 95, .external_lex_state = 3},
  [354] = {.lex_state = 2, .external_lex_state = 4},
  [355] = {.lex_state = 95, .external_lex_state = 3},
  [356] = {.lex_state = 95, .external_lex_state = 3},
  [357] = {.lex_state = 95, .external_lex_state = 3},
  [358] = {.lex_state = 95, .external_lex_state = 3},
  [359] = {.lex_state = 95, .external_lex_state = 3},
  [360] = {.lex_state = 95, .external_lex_state = 3},
  [361] = {.lex_state = 95, .external_lex_state = 3},
  [362] = {.lex_state = 95, .external_lex_state = 3},
  [363] = {.lex_state = 95, .external_lex_state = 3},
  [364] = {.lex_state = 2, .external_lex_state = 5},
  [365] = {.lex_state = 2, .external_lex_state = 5},
  [366] = {.lex_state = 95, .external_lex_state = 3},
  [367] = {.lex_state = 95, .external_lex_state = 3},
  [368] = {.lex_state = 2, .external_lex_state = 5},
  [369] = {.lex_state = 2, .external_lex_state = 5},
  [370] = {.lex_state = 95, .external_lex_state = 3},
  [371] = {.lex_state = 95, .external_lex_state = 3},
  [372] = {.lex_state = 3, .external_lex_state = 4},
  [373] = {.lex_state = 95, .external_lex_state = 3},
  [374] = {.lex_state = 95, .external_lex_state = 3},
  [375] = {.lex_state = 95, .external_lex_state = 3},
  [376] = {.lex_state = 95, .external_lex_state = 3},
  [377] = {.lex_state = 95, .external_lex_state = 3},
  [378] = {.lex_state = 95, .external_lex_state = 3},
  [379] = {.lex_state = 95, .external_lex_state = 3},
  [380] = {.lex_state = 95, .external_lex_state = 3},
  [381] = {.lex_state = 95, .external_lex_state = 3},
  [382] = {.lex_state = 95, .external_lex_state = 3},
  [383] = {.lex_state = 95, .external_lex_state = 3},
  [384] = {.lex_state = 2, .external_lex_state = 5},
  [385] = {.lex_state = 2, .external_lex_state = 5},
  [386] = {.lex_state = 3, .external_lex_state = 4},
  [387] = {.lex_state = 95, .external_lex_state = 3},
  [388] = {.lex_state = 95, .external_lex_state = 3},
  [389] = {.lex_state = 95, .external_lex_state = 3},
  [390] = {.lex_state = 95, .external_lex_state = 3},
  [391] = {.lex_state = 95, .external_lex_state = 3},
  [392] = {.lex_state = 95, .external_lex_state = 3},
  [393] = {.lex_state = 95, .external_lex_state = 3},
  [394] = {.lex_state = 95, .external_lex_state = 3},
  [395] = {.lex_state = 95, .external_lex_state = 3},
  [396] = {.lex_state = 2, .external_lex_state = 4},
  [397] = {.lex_state = 2, .external_lex_state = 5},
  [398] = {.lex_state = 2, .external_lex_state = 5},
  [399] = {.lex_state = 3, .external_lex_state = 4},
  [400] = {.lex_state = 3, .external_lex_state = 4},
  [401] = {.lex_state = 3, .external_lex_state = 4},
  [402] = {.lex_state = 3, .external_lex_state = 4},
  [403] = {.lex_state = 3, .external_lex_state = 4},
  [404] = {.lex_state = 3, .external_lex_state = 4},
  [405] = {.lex_state = 3, .external_lex_state = 4},
  [406] = {.lex_state = 3, .external_lex_state = 4},
  [407] = {.lex_state = 3, .external_lex_state = 4},
  [408] = {.lex_state = 3, .external_lex_state = 4},
  [409] = {.lex_state = 3, .external_lex_state = 4},
  [410] = {.lex_state = 3, .external_lex_state = 4},
  [411] = {.lex_state = 3, .external_lex_state = 4},
  [412] = {.lex_state = 2, .external_lex_state = 4},
  [413] = {.lex_state = 3, .external_lex_state = 4},
  [414] = {.lex_state = 3, .external_lex_state = 4},
  [415] = {.lex_state = 3, .external_lex_state = 4},
  [416] = {.lex_state = 3, .external_lex_state = 4},
  [417] = {.lex_state = 3, .external_lex_state = 4},
  [418] = {.lex_state = 3, .external_lex_state = 4},
  [419] = {.lex_state = 3, .external_lex_state = 4},
  [420] = {.lex_state = 3, .external_lex_state = 4},
  [421] = {.lex_state = 3, .external_lex_state = 4},
  [422] = {.lex_state = 3, .external_lex_state = 4},
  [423] = {.lex_state = 3, .external_lex_state = 4},
  [424] = {.lex_state = 3, .external_lex_state = 4},
  [425] = {.lex_state = 3, .external_lex_state = 4},
  [426] = {.lex_state = 3, .external_lex_state = 4},
  [427] = {.lex_state = 3, .external_lex_state = 4},
  [428] = {.lex_state = 3, .external_lex_state = 4},
  [429] = {.lex_state = 3, .external_lex_state = 4},
  [430] = {.lex_state = 3, .external_lex_state = 4},
  [431] = {.lex_state = 3, .external_lex_state = 4},
  [432] = {.lex_state = 5, .external_lex_state = 4},
  [433] = {.lex_state = 3, .external_lex_state = 4},
  [434] = {.lex_state = 3, .external_lex_state = 4},
  [435] = {.lex_state = 3, .external_lex_state = 4},
  [436] = {.lex_state = 3, .external_lex_state = 4},
  [437] = {.lex_state = 3, .external_lex_state = 4},
  [438] = {.lex_state = 3, .external_lex_state = 4},
  [439] = {.lex_state = 3, .external_lex_state = 4},
  [440] = {.lex_state = 3, .external_lex_state = 4},
  [441] = {.lex_state = 3, .external_lex_state = 4},
  [442] = {.lex_state = 3, .external_lex_state = 4},
  [443] = {.lex_state = 3, .external_lex_state = 4},
  [444] = {.lex_state = 3, .external_lex_state = 4},
  [445] = {.lex_state = 2, .external_lex_state = 4},
  [446] = {.lex_state = 3, .external_lex_state = 4},
  [447] = {.lex_state = 3, .external_lex_state = 4},
  [448] = {.lex_state = 2, .external_lex_state = 4},
  [449] = {.lex_state = 3, .external_lex_state = 4},
  [450] = {.lex_state = 3, .external_lex_state = 4},
  [451] = {.lex_state = 3, .external_lex_state = 4},
  [452] = {.lex_state = 3, .external_lex_state = 4},
  [453] = {.lex_state = 3, .external_lex_state = 4},
  [454] = {.lex_state = 3, .external_lex_state = 4},
  [455] = {.lex_state = 3, .external_lex_state = 4},
  [456] = {.lex_state = 3, .external_lex_state = 4},
  [457] = {.lex_state = 3, .external_lex_state = 4},
  [458] = {.lex_state = 3, .external_lex_state = 4},
  [459] = {.lex_state = 3, .external_lex_state = 4},
  [460] = {.lex_state = 3, .external_lex_state = 4},
  [461] = {.lex_state = 3, .external_lex_state = 4},
  [462] = {.lex_state = 3, .external_lex_state = 4},
  [463] = {.lex_state = 2, .external_lex_state = 4},
  [464] = {.lex_state = 18, .external_lex_state = 6},
  [465] = {.lex_state = 2, .external_lex_state = 4},
  [466] = {.lex_state = 18, .external_lex_state = 6},
  [467] = {.lex_state = 5, .external_lex_state = 4},
  [468] = {.lex_state = 18, .external_lex_state = 6},
  [469] = {.lex_state = 2, .external_lex_state = 4},
  [470] = {.lex_state = 18, .external_lex_state = 6},
  [471] = {.lex_state = 2, .external_lex_state = 4},
  [472] = {.lex_state = 5, .external_lex_state = 4},
  [473] = {.lex_state = 18, .external_lex_state = 6},
  [474] = {.lex_state = 5, .external_lex_state = 4},
  [475] = {.lex_state = 5, .external_lex_state = 4},
  [476] = {.lex_state = 5, .external_lex_state = 4},
  [477] = {.lex_state = 19, .external_lex_state = 4},
  [478] = {.lex_state = 19, .external_lex_state = 4},
  [479] = {.lex_state = 19, .external_lex_state = 4},
  [480] = {.lex_state = 5, .external_lex_state = 4},
  [481] = {.lex_state = 5, .external_lex_state = 4},
  [482] = {.lex_state = 5, .external_lex_state = 4},
  [483] = {.lex_state = 5, .external_lex_state = 4},
  [484] = {.lex_state = 5, .external_lex_state = 4},
  [485] = {.lex_state = 5, .external_lex_state = 4},
  [486] = {.lex_state = 5, .external_lex_state = 4},
  [487] = {.lex_state = 5, .external_lex_state = 4},
  [488] = {.lex_state = 5, .external_lex_state = 4},
  [489] = {.lex_state = 19, .external_lex_state = 4},
  [490] = {.lex_state = 5, .external_lex_state = 4},
  [491] = {.lex_state = 5, .external_lex_state = 4},
  [492] = {.lex_state = 2, .external_lex_state = 4},
  [493] = {.lex_state = 19, .external_lex_state = 4},
  [494] = {.lex_state = 5, .external_lex_state = 4},
  [495] = {.lex_state = 2, .external_lex_state = 4},
  [496] = {.lex_state = 7, .external_lex_state = 6},
  [497] = {.lex_state = 8, .external_lex_state = 4},
  [498] = {.lex_state = 0, .external_lex_state = 4},
  [499] = {.lex_state = 5, .external_lex_state = 4},
  [500] = {.lex_state = 2, .external_lex_state = 5},
  [501] = {.lex_state = 5, .external_lex_state = 4},
  [502] = {.lex_state = 5, .external_lex_state = 4},
  [503] = {.lex_state = 0, .external_lex_state = 4},
  [504] = {.lex_state = 5, .external_lex_state = 4},
  [505] = {.lex_state = 5, .external_lex_state = 4},
  [506] = {.lex_state = 5, .external_lex_state = 4},
  [507] = {.lex_state = 0, .external_lex_state = 4},
  [508] = {.lex_state = 5, .external_lex_state = 4},
  [509] = {.lex_state = 5, .external_lex_state = 4},
  [510] = {.lex_state = 5, .external_lex_state = 4},
  [511] = {.lex_state = 0, .external_lex_state = 4},
  [512] = {.lex_state = 5, .external_lex_state = 4},
  [513] = {.lex_state = 5, .external_lex_state = 4},
  [514] = {.lex_state = 5, .external_lex_state = 4},
  [515] = {.lex_state = 2, .external_lex_state = 4},
  [516] = {.lex_state = 0, .external_lex_state = 4},
  [517] = {.lex_state = 5, .external_lex_state = 4},
  [518] = {.lex_state = 5, .external_lex_state = 4},
  [519] = {.lex_state = 0, .external_lex_state = 4},
  [520] = {.lex_state = 0, .external_lex_state = 4},
  [521] = {.lex_state = 0, .external_lex_state = 4},
  [522] = {.lex_state = 0, .external_lex_state = 4},
  [523] = {.lex_state = 0, .external_lex_state = 4},
  [524] = {.lex_state = 0, .external_lex_state = 4},
  [525] = {.lex_state = 0, .external_lex_state = 4},
  [526] = {.lex_state = 0, .external_lex_state = 4},
  [527] = {.lex_state = 5, .external_lex_state = 4},
  [528] = {.lex_state = 5, .external_lex_state = 4},
  [529] = {.lex_state = 2, .external_lex_state = 4},
  [530] = {.lex_state = 5, .external_lex_state = 4},
  [531] = {.lex_state = 5, .external_lex_state = 4},
  [532] = {.lex_state = 0, .external_lex_state = 4},
  [533] = {.lex_state = 0, .external_lex_state = 4},
  [534] = {.lex_state = 0, .external_lex_state = 4},
  [535] = {.lex_state = 0, .external_lex_state = 4},
  [536] = {.lex_state = 0, .external_lex_state = 4},
  [537] = {.lex_state = 0, .external_lex_state = 4},
  [538] = {.lex_state = 0, .external_lex_state = 4},
  [539] = {.lex_state = 0, .external_lex_state = 4},
  [540] = {.lex_state = 0, .external_lex_state = 4},
  [541] = {.lex_state = 18, .external_lex_state = 6},
  [542] = {.lex_state = 5, .external_lex_state = 4},
  [543] = {.lex_state = 5, .external_lex_state = 4},
  [544] = {.lex_state = 0, .external_lex_state = 5},
  [545] = {.lex_state = 5, .external_lex_state = 4},
  [546] = {.lex_state = 0, .external_lex_state = 4},
  [547] = {.lex_state = 0, .external_lex_state = 4},
  [548] = {.lex_state = 2, .external_lex_state = 5},
  [549] = {.lex_state = 19, .external_lex_state = 4},
  [550] = {.lex_state = 5, .external_lex_state = 4},
  [551] = {.lex_state = 5, .external_lex_state = 4},
  [552] = {.lex_state = 0, .external_lex_state = 4},
  [553] = {.lex_state = 5, .external_lex_state = 4},
  [554] = {.lex_state = 0, .external_lex_state = 5},
  [555] = {.lex_state = 0, .external_lex_state = 5},
  [556] = {.lex_state = 0, .external_lex_state = 4},
  [557] = {.lex_state = 0, .external_lex_state = 4},
  [558] = {.lex_state = 5, .external_lex_state = 4},
  [559] = {.lex_state = 18, .external_lex_state = 6},
  [560] = {.lex_state = 5, .external_lex_state = 4},
  [561] = {.lex_state = 0, .external_lex_state = 4},
  [562] = {.lex_state = 0, .external_lex_state = 4},
  [563] = {.lex_state = 5, .external_lex_state = 4},
  [564] = {.lex_state = 2, .external_lex_state = 4},
  [565] = {.lex_state = 5, .external_lex_state = 4},
  [566] = {.lex_state = 18, .external_lex_state = 6},
  [567] = {.lex_state = 5, .external_lex_state = 4},
  [568] = {.lex_state = 18, .external_lex_state = 6},
  [569] = {.lex_state = 18, .external_lex_state = 6},
  [570] = {.lex_state = 18, .external_lex_state = 6},
  [571] = {.lex_state = 18, .external_lex_state = 6},
  [572] = {.lex_state = 18, .external_lex_state = 6},
  [573] = {.lex_state = 0, .external_lex_state = 4},
  [574] = {.lex_state = 0, .external_lex_state = 4},
  [575] = {.lex_state = 0, .external_lex_state = 4},
  [576] = {.lex_state = 0, .external_lex_state = 5},
  [577] = {.lex_state = 0, .external_lex_state = 4},
  [578] = {.lex_state = 18, .external_lex_state = 6},
  [579] = {.lex_state = 0, .external_lex_state = 4},
  [580] = {.lex_state = 18, .external_lex_state = 6},
  [581] = {.lex_state = 0, .external_lex_state = 5},
  [582] = {.lex_state = 0, .external_lex_state = 5},
  [583] = {.lex_state = 0, .external_lex_state = 4},
  [584] = {.lex_state = 0, .external_lex_state = 5},
  [585] = {.lex_state = 0, .external_lex_state = 5},
  [586] = {.lex_state = 0, .external_lex_state = 4},
  [587] = {.lex_state = 19, .external_lex_state = 4},
  [588] = {.lex_state = 18, .external_lex_state = 6},
  [589] = {.lex_state = 18, .external_lex_state = 6},
  [590] = {.lex_state = 18, .external_lex_state = 6},
  [591] = {.lex_state = 18, .external_lex_state = 6},
  [592] = {.lex_state = 18, .external_lex_state = 6},
  [593] = {.lex_state = 0, .external_lex_state = 4},
  [594] = {.lex_state = 0, .external_lex_state = 4},
  [595] = {.lex_state = 0, .external_lex_state = 4},
  [596] = {.lex_state = 0, .external_lex_state = 4},
  [597] = {.lex_state = 0, .external_lex_state = 5},
  [598] = {.lex_state = 19, .external_lex_state = 4},
  [599] = {.lex_state = 0, .external_lex_state = 5},
  [600] = {.lex_state = 0, .external_lex_state = 5},
  [601] = {.lex_state = 0, .external_lex_state = 5},
  [602] = {.lex_state = 9, .external_lex_state = 4},
  [603] = {.lex_state = 0, .external_lex_state = 5},
  [604] = {.lex_state = 19, .external_lex_state = 4},
  [605] = {.lex_state = 0, .external_lex_state = 4},
  [606] = {.lex_state = 19, .external_lex_state = 4},
  [607] = {.lex_state = 19, .external_lex_state = 4},
  [608] = {.lex_state = 0, .external_lex_state = 4},
  [609] = {.lex_state = 19, .external_lex_state = 4},
  [610] = {.lex_state = 5, .external_lex_state = 4},
  [611] = {.lex_state = 19, .external_lex_state = 4},
  [612] = {.lex_state = 19, .external_lex_state = 4},
  [613] = {.lex_state = 0, .external_lex_state = 5},
  [614] = {.lex_state = 0, .external_lex_state = 4},
  [615] = {.lex_state = 0, .external_lex_state = 4},
  [616] = {.lex_state = 0, .external_lex_state = 5},
  [617] = {.lex_state = 0, .external_lex_state = 4},
  [618] = {.lex_state = 19, .external_lex_state = 4},
  [619] = {.lex_state = 19, .external_lex_state = 4},
  [620] = {.lex_state = 0, .external_lex_state = 5},
  [621] = {.lex_state = 0, .external_lex_state = 5},
  [622] = {.lex_state = 2, .external_lex_state = 4},
  [623] = {.lex_state = 0, .external_lex_state = 5},
  [624] = {.lex_state = 19, .external_lex_state = 4},
  [625] = {.lex_state = 0, .external_lex_state = 4},
  [626] = {.lex_state = 5, .external_lex_state = 4},
  [627] = {.lex_state = 0, .external_lex_state = 5},
  [628] = {.lex_state = 0, .external_lex_state = 4},
  [629] = {.lex_state = 0, .external_lex_state = 4},
  [630] = {.lex_state = 19, .external_lex_state = 4},
  [631] = {.lex_state = 19, .external_lex_state = 4},
  [632] = {.lex_state = 0, .external_lex_state = 4},
  [633] = {.lex_state = 19, .external_lex_state = 4},
  [634] = {.lex_state = 0, .external_lex_state = 5},
  [635] = {.lex_state = 0, .external_lex_state = 4},
  [636] = {.lex_state = 0, .external_lex_state = 4},
  [637] = {.lex_state = 2, .external_lex_state = 4},
  [638] = {.lex_state = 2, .external_lex_state = 4},
  [639] = {.lex_state = 0, .external_lex_state = 5},
  [640] = {.lex_state = 0, .external_lex_state = 4},
  [641] = {.lex_state = 2, .external_lex_state = 4},
  [642] = {.lex_state = 95, .external_lex_state = 7},
  [643] = {.lex_state = 2, .external_lex_state = 4},
  [644] = {.lex_state = 95, .external_lex_state = 7},
  [645] = {.lex_state = 2, .external_lex_state = 4},
  [646] = {.lex_state = 0, .external_lex_state = 4},
  [647] = {.lex_state = 1, .external_lex_state = 4},
  [648] = {.lex_state = 2, .external_lex_state = 4},
  [649] = {.lex_state = 2, .external_lex_state = 4},
  [650] = {.lex_state = 2, .external_lex_state = 4},
  [651] = {.lex_state = 0, .external_lex_state = 4},
  [652] = {.lex_state = 0, .external_lex_state = 4},
  [653] = {.lex_state = 0, .external_lex_state = 5},
  [654] = {.lex_state = 95, .external_lex_state = 7},
  [655] = {.lex_state = 0, .external_lex_state = 4},
  [656] = {.lex_state = 2, .external_lex_state = 5},
  [657] = {.lex_state = 0, .external_lex_state = 4},
  [658] = {.lex_state = 0, .external_lex_state = 4},
  [659] = {.lex_state = 15, .external_lex_state = 4},
  [660] = {.lex_state = 0, .external_lex_state = 4},
  [661] = {.lex_state = 2, .external_lex_state = 4},
  [662] = {.lex_state = 2, .external_lex_state = 4},
  [663] = {.lex_state = 0, .external_lex_state = 4},
  [664] = {.lex_state = 2, .external_lex_state = 4},
  [665] = {.lex_state = 2, .external_lex_state = 4},
  [666] = {.lex_state = 2, .external_lex_state = 4},
  [667] = {.lex_state = 2, .external_lex_state = 4},
  [668] = {.lex_state = 2, .external_lex_state = 4},
  [669] = {.lex_state = 2, .external_lex_state = 4},
  [670] = {.lex_state = 2, .external_lex_state = 4},
  [671] = {.lex_state = 2, .external_lex_state = 4},
  [672] = {.lex_state = 2, .external_lex_state = 4},
  [673] = {.lex_state = 0, .external_lex_state = 4},
  [674] = {.lex_state = 2, .external_lex_state = 4},
  [675] = {.lex_state = 10, .external_lex_state = 4},
  [676] = {.lex_state = 10, .external_lex_state = 4},
  [677] = {.lex_state = 16, .external_lex_state = 4},
  [678] = {.lex_state = 2, .external_lex_state = 4},
  [679] = {.lex_state = 2, .external_lex_state = 4},
  [680] = {.lex_state = 2, .external_lex_state = 4},
  [681] = {.lex_state = 2, .external_lex_state = 4},
  [682] = {.lex_state = 0, .external_lex_state = 4},
  [683] = {.lex_state = 2, .external_lex_state = 4},
  [684] = {.lex_state = 16, .external_lex_state = 4},
  [685] = {.lex_state = 2, .external_lex_state = 4},
  [686] = {.lex_state = 2, .external_lex_state = 4},
  [687] = {.lex_state = 2, .external_lex_state = 4},
  [688] = {.lex_state = 2, .external_lex_state = 4},
  [689] = {.lex_state = 2, .external_lex_state = 4},
  [690] = {.lex_state = 2, .external_lex_state = 4},
  [691] = {.lex_state = 2, .external_lex_state = 4},
  [692] = {.lex_state = 2, .external_lex_state = 4},
  [693] = {.lex_state = 10, .external_lex_state = 4},
  [694] = {.lex_state = 16, .external_lex_state = 4},
  [695] = {.lex_state = 0, .external_lex_state = 4},
  [696] = {.lex_state = 2, .external_lex_state = 4},
  [697] = {.lex_state = 2, .external_lex_state = 4},
  [698] = {.lex_state = 0, .external_lex_state = 7},
  [699] = {.lex_state = 2, .external_lex_state = 4},
  [700] = {.lex_state = 10, .external_lex_state = 4},
  [701] = {.lex_state = 0, .external_lex_state = 5},
  [702] = {.lex_state = 16, .external_lex_state = 4},
  [703] = {.lex_state = 2, .external_lex_state = 4},
  [704] = {.lex_state = 2, .external_lex_state = 4},
  [705] = {.lex_state = 2, .external_lex_state = 4},
  [706] = {.lex_state = 2, .external_lex_state = 4},
  [707] = {.lex_state = 0, .external_lex_state = 5},
  [708] = {.lex_state = 16, .external_lex_state = 4},
  [709] = {.lex_state = 10, .external_lex_state = 4},
  [710] = {.lex_state = 2, .external_lex_state = 4},
  [711] = {.lex_state = 0, .external_lex_state = 7},
  [712] = {.lex_state = 0, .external_lex_state = 5},
  [713] = {.lex_state = 0, .external_lex_state = 4},
  [714] = {.lex_state = 2, .external_lex_state = 4},
  [715] = {.lex_state = 2, .external_lex_state = 4},
  [716] = {.lex_state = 2, .external_lex_state = 4},
  [717] = {.lex_state = 16, .external_lex_state = 4},
  [718] = {.lex_state = 10, .external_lex_state = 4},
  [719] = {.lex_state = 0, .external_lex_state = 5},
  [720] = {.lex_state = 0, .external_lex_state = 5},
  [721] = {.lex_state = 2, .external_lex_state = 4},
  [722] = {.lex_state = 10, .external_lex_state = 4},
  [723] = {.lex_state = 2, .external_lex_state = 4},
  [724] = {.lex_state = 16, .external_lex_state = 4},
  [725] = {.lex_state = 10, .external_lex_state = 4},
  [726] = {.lex_state = 16, .external_lex_state = 4},
  [727] = {.lex_state = 1, .external_lex_state = 4},
  [728] = {.lex_state = 0, .external_lex_state = 4},
  [729] = {.lex_state = 2, .external_lex_state = 4},
  [730] = {.lex_state = 2, .external_lex_state = 4},
  [731] = {.lex_state = 0, .external_lex_state = 4},
  [732] = {.lex_state = 0, .external_lex_state = 4},
  [733] = {.lex_state = 0, .external_lex_state = 4},
  [734] = {.lex_state = 0, .external_lex_state = 4},
  [735] = {.lex_state = 0, .external_lex_state = 4},
  [736] = {.lex_state = 6, .external_lex_state = 4},
  [737] = {.lex_state = 0, .external_lex_state = 4},
  [738] = {.lex_state = 0, .external_lex_state = 4},
  [739] = {.lex_state = 0, .external_lex_state = 4},
  [740] = {.lex_state = 0, .external_lex_state = 5},
  [741] = {.lex_state = 0, .external_lex_state = 4},
  [742] = {.lex_state = 0, .external_lex_state = 4},
  [743] = {.lex_state = 5, .external_lex_state = 4},
  [744] = {.lex_state = 0, .external_lex_state = 4},
  [745] = {.lex_state = 78, .external_lex_state = 4},
  [746] = {.lex_state = 2, .external_lex_state = 4},
  [747] = {.lex_state = 0, .external_lex_state = 4},
  [748] = {.lex_state = 0, .external_lex_state = 4},
  [749] = {.lex_state = 0, .external_lex_state = 4},
  [750] = {.lex_state = 0, .external_lex_state = 4},
  [751] = {.lex_state = 0, .external_lex_state = 4},
  [752] = {.lex_state = 16, .external_lex_state = 4},
  [753] = {.lex_state = 0, .external_lex_state = 4},
  [754] = {.lex_state = 10, .external_lex_state = 4},
  [755] = {.lex_state = 0, .external_lex_state = 4},
  [756] = {.lex_state = 78, .external_lex_state = 4},
  [757] = {.lex_state = 0, .external_lex_state = 4},
  [758] = {.lex_state = 0, .external_lex_state = 5},
  [759] = {.lex_state = 0, .external_lex_state = 4},
  [760] = {.lex_state = 0, .external_lex_state = 4},
  [761] = {.lex_state = 2, .external_lex_state = 4},
  [762] = {.lex_state = 0, .external_lex_state = 4},
  [763] = {.lex_state = 0, .external_lex_state = 4},
  [764] = {.lex_state = 0, .external_lex_state = 4},
  [765] = {.lex_state = 0, .external_lex_state = 4},
  [766] = {.lex_state = 78, .external_lex_state = 4},
  [767] = {.lex_state = 0, .external_lex_state = 4},
  [768] = {.lex_state = 6, .external_lex_state = 4},
  [769] = {.lex_state = 0, .external_lex_state = 4},
  [770] = {.lex_state = 0, .external_lex_state = 4},
  [771] = {.lex_state = 0, .external_lex_state = 4},
  [772] = {.lex_state = 95, .external_lex_state = 7},
  [773] = {.lex_state = 0, .external_lex_state = 4},
  [774] = {.lex_state = 0, .external_lex_state = 8},
  [775] = {.lex_state = 0, .external_lex_state = 9},
  [776] = {.lex_state = 0, .external_lex_state = 9},
  [777] = {.lex_state = 0, .external_lex_state = 4},
  [778] = {.lex_state = 0, .external_lex_state = 4},
  [779] = {.lex_state = 0, .external_lex_state = 5},
  [780] = {.lex_state = 0, .external_lex_state = 4},
  [781] = {.lex_state = 0, .external_lex_state = 4},
  [782] = {.lex_state = 0, .external_lex_state = 4},
  [783] = {.lex_state = 2, .external_lex_state = 4},
  [784] = {.lex_state = 0, .external_lex_state = 4},
  [785] = {.lex_state = 0, .external_lex_state = 4},
  [786] = {.lex_state = 0, .external_lex_state = 4},
  [787] = {.lex_state = 0, .external_lex_state = 4},
  [788] = {.lex_state = 0, .external_lex_state = 4},
  [789] = {.lex_state = 0, .external_lex_state = 4},
  [790] = {.lex_state = 0, .external_lex_state = 4},
  [791] = {.lex_state = 0, .external_lex_state = 4},
  [792] = {.lex_state = 2, .external_lex_state = 4},
  [793] = {.lex_state = 0, .external_lex_state = 4},
  [794] = {.lex_state = 0, .external_lex_state = 4},
  [795] = {.lex_state = 0, .external_lex_state = 5},
  [796] = {.lex_state = 0, .external_lex_state = 4},
  [797] = {.lex_state = 0, .external_lex_state = 4},
  [798] = {.lex_state = 0, .external_lex_state = 4},
  [799] = {.lex_state = 0, .external_lex_state = 4},
  [800] = {.lex_state = 0, .external_lex_state = 5},
  [801] = {.lex_state = 0, .external_lex_state = 4},
  [802] = {.lex_state = 78, .external_lex_state = 4},
  [803] = {.lex_state = 0, .external_lex_state = 4},
  [804] = {.lex_state = 0, .external_lex_state = 5},
  [805] = {.lex_state = 0, .external_lex_state = 5},
  [806] = {.lex_state = 0, .external_lex_state = 4},
  [807] = {.lex_state = 0, .external_lex_state = 4},
  [808] = {.lex_state = 0, .external_lex_state = 4},
  [809] = {.lex_state = 0, .external_lex_state = 4},
  [810] = {.lex_state = 95, .external_lex_state = 7},
  [811] = {.lex_state = 0, .external_lex_state = 4},
  [812] = {.lex_state = 0, .external_lex_state = 4},
  [813] = {.lex_state = 95, .external_lex_state = 7},
  [814] = {.lex_state = 0, .external_lex_state = 4},
  [815] = {.lex_state = 0, .external_lex_state = 4},
  [816] = {.lex_state = 52, .external_lex_state = 4},
  [817] = {.lex_state = 0, .external_lex_state = 4},
  [818] = {.lex_state = 0, .external_lex_state = 4},
  [819] = {.lex_state = 0, .external_lex_state = 4},
  [820] = {.lex_state = 0, .external_lex_state = 4},
  [821] = {.lex_state = 0, .external_lex_state = 4},
  [822] = {.lex_state = 95, .external_lex_state = 7},
  [823] = {.lex_state = 0, .external_lex_state = 4},
  [824] = {.lex_state = 0, .external_lex_state = 5},
  [825] = {.lex_state = 0, .external_lex_state = 9},
  [826] = {.lex_state = 0, .external_lex_state = 4},
  [827] = {.lex_state = 0, .external_lex_state = 8},
  [828] = {.lex_state = 0, .external_lex_state = 4},
  [829] = {.lex_state = 0, .external_lex_state = 9},
  [830] = {.lex_state = 0, .external_lex_state = 4},
  [831] = {.lex_state = 78, .external_lex_state = 4},
  [832] = {.lex_state = 27, .external_lex_state = 4},
  [833] = {.lex_state = 52, .external_lex_state = 4},
  [834] = {.lex_state = 0, .external_lex_state = 4},
  [835] = {.lex_state = 0, .external_lex_state = 4},
  [836] = {.lex_state = 0, .external_lex_state = 4},
  [837] = {.lex_state = 0, .external_lex_state = 10},
  [838] = {.lex_state = 0, .external_lex_state = 4},
  [839] = {.lex_state = 0, .external_lex_state = 4},
  [840] = {.lex_state = 5, .external_lex_state = 4},
  [841] = {.lex_state = 5, .external_lex_state = 4},
  [842] = {.lex_state = 0, .external_lex_state = 4},
  [843] = {.lex_state = 5, .external_lex_state = 4},
  [844] = {.lex_state = 0, .external_lex_state = 4},
  [845] = {.lex_state = 0, .external_lex_state = 4},
  [846] = {.lex_state = 0, .external_lex_state = 4},
  [847] = {.lex_state = 0, .external_lex_state = 4},
  [848] = {.lex_state = 0, .external_lex_state = 4},
  [849] = {.lex_state = 5, .external_lex_state = 4},
  [850] = {.lex_state = 0, .external_lex_state = 4},
  [851] = {.lex_state = 5, .external_lex_state = 4},
  [852] = {.lex_state = 5, .external_lex_state = 4},
  [853] = {.lex_state = 5, .external_lex_state = 4},
  [854] = {.lex_state = 0, .external_lex_state = 4},
  [855] = {.lex_state = 0, .external_lex_state = 4},
  [856] = {.lex_state = 0, .external_lex_state = 4},
  [857] = {.lex_state = 5, .external_lex_state = 4},
  [858] = {.lex_state = 0, .external_lex_state = 4},
  [859] = {.lex_state = 5, .external_lex_state = 4},
  [860] = {.lex_state = 0, .external_lex_state = 4},
  [861] = {.lex_state = 5, .external_lex_state = 4},
  [862] = {.lex_state = 0, .external_lex_state = 4},
  [863] = {.lex_state = 5, .external_lex_state = 4},
  [864] = {.lex_state = 5, .external_lex_state = 4},
  [865] = {.lex_state = 0, .external_lex_state = 4},
  [866] = {.lex_state = 0, .external_lex_state = 4},
  [867] = {.lex_state = 0, .external_lex_state = 10},
  [868] = {.lex_state = 0, .external_lex_state = 4},
  [869] = {.lex_state = 0, .external_lex_state = 4},
  [870] = {.lex_state = 0, .external_lex_state = 4},
  [871] = {.lex_state = 0, .external_lex_state = 4},
  [872] = {.lex_state = 78, .external_lex_state = 4},
  [873] = {.lex_state = 5, .external_lex_state = 4},
  [874] = {.lex_state = 28, .external_lex_state = 4},
  [875] = {.lex_state = 5, .external_lex_state = 4},
  [876] = {.lex_state = 0, .external_lex_state = 4},
  [877] = {.lex_state = 0, .external_lex_state = 4},
  [878] = {.lex_state = 0, .external_lex_state = 4},
  [879] = {.lex_state = 5, .external_lex_state = 4},
  [880] = {.lex_state = 0, .external_lex_state = 4},
  [881] = {.lex_state = 5, .external_lex_state = 4},
  [882] = {.lex_state = 0, .external_lex_state = 4},
  [883] = {.lex_state = 0, .external_lex_state = 4},
  [884] = {.lex_state = 0, .external_lex_state = 4},
  [885] = {.lex_state = 0, .external_lex_state = 4},
  [886] = {.lex_state = 0, .external_lex_state = 9},
  [887] = {.lex_state = 0, .external_lex_state = 4},
  [888] = {.lex_state = 5, .external_lex_state = 4},
  [889] = {.lex_state = 5, .external_lex_state = 4},
  [890] = {.lex_state = 5, .external_lex_state = 4},
  [891] = {.lex_state = 0, .external_lex_state = 4},
  [892] = {.lex_state = 0, .external_lex_state = 4},
  [893] = {.lex_state = 11, .external_lex_state = 4},
  [894] = {.lex_state = 5, .external_lex_state = 4},
  [895] = {.lex_state = 0, .external_lex_state = 4},
  [896] = {.lex_state = 0, .external_lex_state = 4},
  [897] = {.lex_state = 0, .external_lex_state = 4},
  [898] = {.lex_state = 17, .external_lex_state = 4},
  [899] = {.lex_state = 0, .external_lex_state = 4},
  [900] = {.lex_state = 5, .external_lex_state = 4},
  [901] = {.lex_state = 0, .external_lex_state = 4},
  [902] = {.lex_state = 5, .external_lex_state = 4},
  [903] = {.lex_state = 0, .external_lex_state = 4},
  [904] = {.lex_state = 5, .external_lex_state = 4},
  [905] = {.lex_state = 0, .external_lex_state = 4},
  [906] = {.lex_state = 5, .external_lex_state = 4},
  [907] = {.lex_state = 0, .external_lex_state = 4},
  [908] = {.lex_state = 0, .external_lex_state = 9},
  [909] = {.lex_state = 0, .external_lex_state = 4},
  [910] = {.lex_state = 0, .external_lex_state = 4},
  [911] = {.lex_state = 11, .external_lex_state = 4},
  [912] = {.lex_state = 17, .external_lex_state = 4},
  [913] = {.lex_state = 0, .external_lex_state = 4},
  [914] = {.lex_state = 0, .external_lex_state = 4},
  [915] = {.lex_state = 0, .external_lex_state = 4},
  [916] = {.lex_state = 0, .external_lex_state = 4},
  [917] = {.lex_state = 0, .external_lex_state = 4},
  [918] = {.lex_state = 5, .external_lex_state = 4},
  [919] = {.lex_state = 56, .external_lex_state = 4},
  [920] = {.lex_state = 0, .external_lex_state = 4},
  [921] = {.lex_state = 0, .external_lex_state = 4},
  [922] = {.lex_state = 5, .external_lex_state = 4},
  [923] = {.lex_state = 5, .external_lex_state = 4},
  [924] = {.lex_state = 0, .external_lex_state = 4},
  [925] = {.lex_state = 0, .external_lex_state = 4},
  [926] = {.lex_state = 0, .external_lex_state = 9},
  [927] = {.lex_state = 0, .external_lex_state = 4},
  [928] = {.lex_state = 0, .external_lex_state = 4},
  [929] = {.lex_state = 0, .external_lex_state = 4},
  [930] = {.lex_state = 0, .external_lex_state = 9},
  [931] = {.lex_state = 0, .external_lex_state = 4},
  [932] = {.lex_state = 0, .external_lex_state = 4},
  [933] = {.lex_state = 0, .external_lex_state = 4},
  [934] = {.lex_state = 0, .external_lex_state = 4},
  [935] = {.lex_state = 0, .external_lex_state = 4},
  [936] = {.lex_state = 0, .external_lex_state = 4},
  [937] = {.lex_state = 95, .external_lex_state = 4},
  [938] = {.lex_state = 0, .external_lex_state = 4},
  [939] = {.lex_state = 0, .external_lex_state = 4},
  [940] = {.lex_state = 1, .external_lex_state = 4},
  [941] = {.lex_state = 0, .external_lex_state = 4},
  [942] = {.lex_state = 0, .external_lex_state = 4},
  [943] = {.lex_state = 0, .external_lex_state = 4},
  [944] = {.lex_state = 5, .external_lex_state = 4},
  [945] = {.lex_state = 0, .external_lex_state = 4},
  [946] = {.lex_state = 0, .external_lex_state = 4},
  [947] = {.lex_state = 0, .external_lex_state = 4},
  [948] = {.lex_state = 0, .external_lex_state = 4},
  [949] = {.lex_state = 0, .external_lex_state = 4},
  [950] = {.lex_state = 0, .external_lex_state = 4},
  [951] = {.lex_state = 0, .external_lex_state = 4},
  [952] = {.lex_state = 0, .external_lex_state = 4},
  [953] = {.lex_state = 0, .external_lex_state = 4},
  [954] = {.lex_state = 0, .external_lex_state = 4},
  [955] = {.lex_state = 0, .external_lex_state = 4},
  [956] = {.lex_state = 0, .external_lex_state = 4},
  [957] = {.lex_state = 0, .external_lex_state = 4},
  [958] = {.lex_state = 0, .external_lex_state = 4},
  [959] = {.lex_state = 0, .external_lex_state = 4},
  [960] = {.lex_state = 0, .external_lex_state = 4},
  [961] = {.lex_state = 0, .external_lex_state = 4},
  [962] = {.lex_state = 95, .external_lex_state = 4},
  [963] = {.lex_state = 0, .external_lex_state = 4},
  [964] = {.lex_state = 0, .external_lex_state = 4},
  [965] = {.lex_state = 0, .external_lex_state = 4},
  [966] = {.lex_state = 0, .external_lex_state = 4},
  [967] = {.lex_state = 5, .external_lex_state = 4},
  [968] = {.lex_state = 95, .external_lex_state = 4},
  [969] = {.lex_state = 5, .external_lex_state = 4},
  [970] = {.lex_state = 5, .external_lex_state = 4},
  [971] = {.lex_state = 0, .external_lex_state = 4},
  [972] = {.lex_state = 0, .external_lex_state = 4},
  [973] = {.lex_state = 0, .external_lex_state = 4},
  [974] = {.lex_state = 5, .external_lex_state = 4},
  [975] = {.lex_state = 0, .external_lex_state = 4},
  [976] = {.lex_state = 5, .external_lex_state = 4},
  [977] = {.lex_state = 0, .external_lex_state = 4},
  [978] = {.lex_state = 0, .external_lex_state = 4},
  [979] = {.lex_state = 0, .external_lex_state = 4},
  [980] = {.lex_state = 0, .external_lex_state = 4},
  [981] = {.lex_state = 0, .external_lex_state = 4},
  [982] = {.lex_state = 0, .external_lex_state = 4},
  [983] = {.lex_state = 0, .external_lex_state = 4},
  [984] = {.lex_state = 0, .external_lex_state = 4},
  [985] = {.lex_state = 0, .external_lex_state = 11},
  [986] = {.lex_state = 0, .external_lex_state = 4},
  [987] = {.lex_state = 0, .external_lex_state = 4},
  [988] = {.lex_state = 0, .external_lex_state = 4},
  [989] = {.lex_state = 1, .external_lex_state = 4},
  [990] = {.lex_state = 95, .external_lex_state = 4},
  [991] = {.lex_state = 88, .external_lex_state = 4},
  [992] = {.lex_state = 0, .external_lex_state = 4},
  [993] = {.lex_state = 0, .external_lex_state = 4},
  [994] = {.lex_state = 0, .external_lex_state = 4},
  [995] = {.lex_state = 0, .external_lex_state = 4},
  [996] = {.lex_state = 0, .external_lex_state = 4},
  [997] = {.lex_state = 0, .external_lex_state = 4},
  [998] = {.lex_state = 0, .external_lex_state = 4},
  [999] = {.lex_state = 0, .external_lex_state = 4},
  [1000] = {.lex_state = 0, .external_lex_state = 4},
  [1001] = {.lex_state = 0, .external_lex_state = 4},
  [1002] = {.lex_state = 0, .external_lex_state = 4},
  [1003] = {.lex_state = 0, .external_lex_state = 4},
  [1004] = {.lex_state = 0, .external_lex_state = 11},
  [1005] = {.lex_state = 0, .external_lex_state = 4},
  [1006] = {.lex_state = 0, .external_lex_state = 5},
  [1007] = {.lex_state = 0, .external_lex_state = 4},
  [1008] = {.lex_state = 0, .external_lex_state = 4},
  [1009] = {.lex_state = 0, .external_lex_state = 4},
  [1010] = {.lex_state = 0, .external_lex_state = 4},
  [1011] = {.lex_state = 0, .external_lex_state = 12},
  [1012] = {.lex_state = 88, .external_lex_state = 4},
  [1013] = {.lex_state = 0, .external_lex_state = 4},
  [1014] = {.lex_state = 0, .external_lex_state = 12},
  [1015] = {.lex_state = 0, .external_lex_state = 4},
  [1016] = {.lex_state = 0, .external_lex_state = 5},
  [1017] = {.lex_state = 0, .external_lex_state = 4},
  [1018] = {.lex_state = 0, .external_lex_state = 4},
  [1019] = {.lex_state = 95, .external_lex_state = 4},
  [1020] = {.lex_state = 95, .external_lex_state = 4},
  [1021] = {.lex_state = 0, .external_lex_state = 4},
  [1022] = {.lex_state = 0, .external_lex_state = 4},
  [1023] = {.lex_state = 5, .external_lex_state = 4},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_LT_BANG] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [sym__doctype] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_SLASH_GT] = ACTIONS(1),
    [anon_sym_LT_SLASH] = ACTIONS(1),
    [sym_entity] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_prefetch] = ACTIONS(1),
    [anon_sym_when] = ACTIONS(1),
    [anon_sym_on] = ACTIONS(1),
    [anon_sym_after] = ACTIONS(1),
    [anon_sym_minimum] = ACTIONS(1),
    [anon_sym_ms] = ACTIONS(1),
    [anon_sym_s] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_track] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_plural] = ACTIONS(1),
    [anon_sym_select] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_context] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LBRACK_LPAREN] = ACTIONS(1),
    [anon_sym_LBRACK_AT] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [sym__escape_sequence] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_QMARK_DOT] = ACTIONS(1),
    [anon_sym_BANG_DOT] = ACTIONS(1),
    [sym__closing_bracket] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [sym__start_tag_name] = ACTIONS(1),
    [sym__script_start_tag_name] = ACTIONS(1),
    [sym__style_start_tag_name] = ACTIONS(1),
    [sym__end_tag_name] = ACTIONS(1),
    [sym_erroneous_end_tag_name] = ACTIONS(1),
    [sym__implicit_end_tag] = ACTIONS(1),
    [sym_raw_text] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__interpolation_start] = ACTIONS(1),
    [sym__interpolation_end] = ACTIONS(1),
    [sym_if_start] = ACTIONS(1),
    [sym_else_start] = ACTIONS(1),
    [sym_for_start] = ACTIONS(1),
    [sym_switch_start] = ACTIONS(1),
    [sym_case_start] = ACTIONS(1),
    [sym_default_start] = ACTIONS(1),
    [sym_defer_start] = ACTIONS(1),
    [sym_let_start] = ACTIONS(1),
    [sym_empty_start] = ACTIONS(1),
    [sym_placeholder_start] = ACTIONS(1),
    [sym_loading_start] = ACTIONS(1),
    [sym_error_start] = ACTIONS(1),
    [sym_else_if_start] = ACTIONS(1),
    [sym_at_sign] = ACTIONS(1),
  },
  [1] = {
    [sym_document] = STATE(1010),
    [sym_doctype] = STATE(277),
    [sym__node] = STATE(277),
    [sym_element] = STATE(277),
    [sym_script_element] = STATE(277),
    [sym_style_element] = STATE(277),
    [sym_start_tag] = STATE(2),
    [sym_script_start_tag] = STATE(775),
    [sym_style_start_tag] = STATE(776),
    [sym_self_closing_tag] = STATE(278),
    [sym_erroneous_end_tag] = STATE(277),
    [sym__any_statement] = STATE(279),
    [sym__alternative_statement] = STATE(280),
    [sym_let_statement] = STATE(279),
    [sym_switch_statement] = STATE(279),
    [sym_defer_statement] = STATE(279),
    [sym_placeholder_statement] = STATE(282),
    [sym_loading_statement] = STATE(284),
    [sym_error_statement] = STATE(287),
    [sym_for_statement] = STATE(279),
    [sym_empty_statement] = STATE(288),
    [sym_if_statement] = STATE(279),
    [sym_else_if_statement] = STATE(289),
    [sym_else_statement] = STATE(290),
    [sym_icu_expression] = STATE(277),
    [sym_interpolation] = STATE(277),
    [aux_sym_document_repeat1] = STATE(12),
    [ts_builtin_sym_end] = ACTIONS(5),
    [anon_sym_LT_BANG] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(9),
    [anon_sym_LT_SLASH] = ACTIONS(11),
    [sym_entity] = ACTIONS(13),
    [sym_text] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [sym_comment] = ACTIONS(3),
    [sym__interpolation_start] = ACTIONS(17),
    [sym_if_start] = ACTIONS(19),
    [sym_else_start] = ACTIONS(21),
    [sym_for_start] = ACTIONS(23),
    [sym_switch_start] = ACTIONS(25),
    [sym_defer_start] = ACTIONS(27),
    [sym_let_start] = ACTIONS(29),
    [sym_empty_start] = ACTIONS(31),
    [sym_placeholder_start] = ACTIONS(33),
    [sym_loading_start] = ACTIONS(35),
    [sym_error_start] = ACTIONS(37),
    [sym_else_if_start] = ACTIONS(39),
    [sym_at_sign] = ACTIONS(13),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LT_BANG,
    ACTIONS(43), 1,
      anon_sym_LT,
    ACTIONS(45), 1,
      anon_sym_LT_SLASH,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      sym__implicit_end_tag,
    ACTIONS(53), 1,
      sym__interpolation_start,
    ACTIONS(55), 1,
      sym_if_start,
    ACTIONS(57), 1,
      sym_else_start,
    ACTIONS(59), 1,
      sym_for_start,
    ACTIONS(61), 1,
      sym_switch_start,
    ACTIONS(63), 1,
      sym_defer_start,
    ACTIONS(65), 1,
      sym_let_start,
    ACTIONS(67), 1,
      sym_empty_start,
    ACTIONS(69), 1,
      sym_placeholder_start,
    ACTIONS(71), 1,
      sym_loading_start,
    ACTIONS(73), 1,
      sym_error_start,
    ACTIONS(75), 1,
      sym_else_if_start,
    STATE(3), 1,
      aux_sym_document_repeat1,
    STATE(5), 1,
      sym_start_tag,
    STATE(303), 1,
      sym_end_tag,
    STATE(335), 1,
      sym_empty_statement,
    STATE(375), 1,
      sym_self_closing_tag,
    STATE(377), 1,
      sym__alternative_statement,
    STATE(378), 1,
      sym_placeholder_statement,
    STATE(379), 1,
      sym_loading_statement,
    STATE(380), 1,
      sym_error_statement,
    STATE(382), 1,
      sym_else_if_statement,
    STATE(383), 1,
      sym_else_statement,
    STATE(825), 1,
      sym_style_start_tag,
    STATE(829), 1,
      sym_script_start_tag,
    ACTIONS(47), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(376), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(374), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [117] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LT_BANG,
    ACTIONS(43), 1,
      anon_sym_LT,
    ACTIONS(45), 1,
      anon_sym_LT_SLASH,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    ACTIONS(53), 1,
      sym__interpolation_start,
    ACTIONS(55), 1,
      sym_if_start,
    ACTIONS(57), 1,
      sym_else_start,
    ACTIONS(59), 1,
      sym_for_start,
    ACTIONS(61), 1,
      sym_switch_start,
    ACTIONS(63), 1,
      sym_defer_start,
    ACTIONS(65), 1,
      sym_let_start,
    ACTIONS(67), 1,
      sym_empty_start,
    ACTIONS(69), 1,
      sym_placeholder_start,
    ACTIONS(71), 1,
      sym_loading_start,
    ACTIONS(73), 1,
      sym_error_start,
    ACTIONS(75), 1,
      sym_else_if_start,
    ACTIONS(77), 1,
      sym__implicit_end_tag,
    STATE(5), 1,
      sym_start_tag,
    STATE(10), 1,
      aux_sym_document_repeat1,
    STATE(323), 1,
      sym_end_tag,
    STATE(335), 1,
      sym_empty_statement,
    STATE(375), 1,
      sym_self_closing_tag,
    STATE(377), 1,
      sym__alternative_statement,
    STATE(378), 1,
      sym_placeholder_statement,
    STATE(379), 1,
      sym_loading_statement,
    STATE(380), 1,
      sym_error_statement,
    STATE(382), 1,
      sym_else_if_statement,
    STATE(383), 1,
      sym_else_statement,
    STATE(825), 1,
      sym_style_start_tag,
    STATE(829), 1,
      sym_script_start_tag,
    ACTIONS(47), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(376), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(374), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [234] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LT_BANG,
    ACTIONS(43), 1,
      anon_sym_LT,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    ACTIONS(53), 1,
      sym__interpolation_start,
    ACTIONS(55), 1,
      sym_if_start,
    ACTIONS(57), 1,
      sym_else_start,
    ACTIONS(59), 1,
      sym_for_start,
    ACTIONS(61), 1,
      sym_switch_start,
    ACTIONS(63), 1,
      sym_defer_start,
    ACTIONS(65), 1,
      sym_let_start,
    ACTIONS(67), 1,
      sym_empty_start,
    ACTIONS(69), 1,
      sym_placeholder_start,
    ACTIONS(71), 1,
      sym_loading_start,
    ACTIONS(73), 1,
      sym_error_start,
    ACTIONS(75), 1,
      sym_else_if_start,
    ACTIONS(79), 1,
      anon_sym_LT_SLASH,
    ACTIONS(81), 1,
      sym__implicit_end_tag,
    STATE(5), 1,
      sym_start_tag,
    STATE(10), 1,
      aux_sym_document_repeat1,
    STATE(335), 1,
      sym_empty_statement,
    STATE(352), 1,
      sym_end_tag,
    STATE(375), 1,
      sym_self_closing_tag,
    STATE(377), 1,
      sym__alternative_statement,
    STATE(378), 1,
      sym_placeholder_statement,
    STATE(379), 1,
      sym_loading_statement,
    STATE(380), 1,
      sym_error_statement,
    STATE(382), 1,
      sym_else_if_statement,
    STATE(383), 1,
      sym_else_statement,
    STATE(825), 1,
      sym_style_start_tag,
    STATE(829), 1,
      sym_script_start_tag,
    ACTIONS(47), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(376), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(374), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [351] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LT_BANG,
    ACTIONS(43), 1,
      anon_sym_LT,
    ACTIONS(49), 1,
      anon_sym_LBRACE,
    ACTIONS(53), 1,
      sym__interpolation_start,
    ACTIONS(55), 1,
      sym_if_start,
    ACTIONS(57), 1,
      sym_else_start,
    ACTIONS(59), 1,
      sym_for_start,
    ACTIONS(61), 1,
      sym_switch_start,
    ACTIONS(63), 1,
      sym_defer_start,
    ACTIONS(65), 1,
      sym_let_start,
    ACTIONS(67), 1,
      sym_empty_start,
    ACTIONS(69), 1,
      sym_placeholder_start,
    ACTIONS(71), 1,
      sym_loading_start,
    ACTIONS(73), 1,
      sym_error_start,
    ACTIONS(75), 1,
      sym_else_if_start,
    ACTIONS(79), 1,
      anon_sym_LT_SLASH,
    ACTIONS(83), 1,
      sym__implicit_end_tag,
    STATE(4), 1,
      aux_sym_document_repeat1,
    STATE(5), 1,
      sym_start_tag,
    STATE(335), 1,
      sym_empty_statement,
    STATE(375), 1,
      sym_self_closing_tag,
    STATE(377), 1,
      sym__alternative_statement,
    STATE(378), 1,
      sym_placeholder_statement,
    STATE(379), 1,
      sym_loading_statement,
    STATE(380), 1,
      sym_error_statement,
    STATE(382), 1,
      sym_else_if_statement,
    STATE(383), 1,
      sym_else_statement,
    STATE(395), 1,
      sym_end_tag,
    STATE(825), 1,
      sym_style_start_tag,
    STATE(829), 1,
      sym_script_start_tag,
    ACTIONS(47), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(376), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(374), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [468] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_LT_BANG,
    ACTIONS(90), 1,
      anon_sym_LT,
    ACTIONS(93), 1,
      anon_sym_LT_SLASH,
    ACTIONS(99), 1,
      anon_sym_LBRACE,
    ACTIONS(102), 1,
      sym__interpolation_start,
    ACTIONS(105), 1,
      sym_if_start,
    ACTIONS(108), 1,
      sym_else_start,
    ACTIONS(111), 1,
      sym_for_start,
    ACTIONS(114), 1,
      sym_switch_start,
    ACTIONS(117), 1,
      sym_defer_start,
    ACTIONS(120), 1,
      sym_let_start,
    ACTIONS(123), 1,
      sym_empty_start,
    ACTIONS(126), 1,
      sym_placeholder_start,
    ACTIONS(129), 1,
      sym_loading_start,
    ACTIONS(132), 1,
      sym_error_start,
    ACTIONS(135), 1,
      sym_else_if_start,
    STATE(2), 1,
      sym_start_tag,
    STATE(6), 1,
      aux_sym_document_repeat1,
    STATE(278), 1,
      sym_self_closing_tag,
    STATE(280), 1,
      sym__alternative_statement,
    STATE(282), 1,
      sym_placeholder_statement,
    STATE(284), 1,
      sym_loading_statement,
    STATE(287), 1,
      sym_error_statement,
    STATE(288), 1,
      sym_empty_statement,
    STATE(289), 1,
      sym_else_if_statement,
    STATE(290), 1,
      sym_else_statement,
    STATE(775), 1,
      sym_script_start_tag,
    STATE(776), 1,
      sym_style_start_tag,
    ACTIONS(85), 2,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
    ACTIONS(96), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(279), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(277), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [583] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(138), 1,
      anon_sym_RBRACE,
    STATE(2), 1,
      sym_start_tag,
    STATE(6), 1,
      aux_sym_document_repeat1,
    STATE(278), 1,
      sym_self_closing_tag,
    STATE(280), 1,
      sym__alternative_statement,
    STATE(282), 1,
      sym_placeholder_statement,
    STATE(284), 1,
      sym_loading_statement,
    STATE(287), 1,
      sym_error_statement,
    STATE(288), 1,
      sym_empty_statement,
    STATE(289), 1,
      sym_else_if_statement,
    STATE(290), 1,
      sym_else_statement,
    STATE(775), 1,
      sym_script_start_tag,
    STATE(776), 1,
      sym_style_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(279), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(277), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [697] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(140), 1,
      anon_sym_RBRACE,
    STATE(2), 1,
      sym_start_tag,
    STATE(14), 1,
      aux_sym_document_repeat1,
    STATE(278), 1,
      sym_self_closing_tag,
    STATE(280), 1,
      sym__alternative_statement,
    STATE(282), 1,
      sym_placeholder_statement,
    STATE(284), 1,
      sym_loading_statement,
    STATE(287), 1,
      sym_error_statement,
    STATE(288), 1,
      sym_empty_statement,
    STATE(289), 1,
      sym_else_if_statement,
    STATE(290), 1,
      sym_else_statement,
    STATE(775), 1,
      sym_script_start_tag,
    STATE(776), 1,
      sym_style_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(279), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(277), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [811] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(142), 1,
      anon_sym_RBRACE,
    STATE(2), 1,
      sym_start_tag,
    STATE(7), 1,
      aux_sym_document_repeat1,
    STATE(278), 1,
      sym_self_closing_tag,
    STATE(280), 1,
      sym__alternative_statement,
    STATE(282), 1,
      sym_placeholder_statement,
    STATE(284), 1,
      sym_loading_statement,
    STATE(287), 1,
      sym_error_statement,
    STATE(288), 1,
      sym_empty_statement,
    STATE(289), 1,
      sym_else_if_statement,
    STATE(290), 1,
      sym_else_statement,
    STATE(775), 1,
      sym_script_start_tag,
    STATE(776), 1,
      sym_style_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(279), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(277), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [925] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      sym__implicit_end_tag,
    ACTIONS(144), 1,
      anon_sym_LT_BANG,
    ACTIONS(147), 1,
      anon_sym_LT,
    ACTIONS(150), 1,
      anon_sym_LT_SLASH,
    ACTIONS(156), 1,
      anon_sym_LBRACE,
    ACTIONS(159), 1,
      sym__interpolation_start,
    ACTIONS(162), 1,
      sym_if_start,
    ACTIONS(165), 1,
      sym_else_start,
    ACTIONS(168), 1,
      sym_for_start,
    ACTIONS(171), 1,
      sym_switch_start,
    ACTIONS(174), 1,
      sym_defer_start,
    ACTIONS(177), 1,
      sym_let_start,
    ACTIONS(180), 1,
      sym_empty_start,
    ACTIONS(183), 1,
      sym_placeholder_start,
    ACTIONS(186), 1,
      sym_loading_start,
    ACTIONS(189), 1,
      sym_error_start,
    ACTIONS(192), 1,
      sym_else_if_start,
    STATE(5), 1,
      sym_start_tag,
    STATE(10), 1,
      aux_sym_document_repeat1,
    STATE(335), 1,
      sym_empty_statement,
    STATE(375), 1,
      sym_self_closing_tag,
    STATE(377), 1,
      sym__alternative_statement,
    STATE(378), 1,
      sym_placeholder_statement,
    STATE(379), 1,
      sym_loading_statement,
    STATE(380), 1,
      sym_error_statement,
    STATE(382), 1,
      sym_else_if_statement,
    STATE(383), 1,
      sym_else_statement,
    STATE(825), 1,
      sym_style_start_tag,
    STATE(829), 1,
      sym_script_start_tag,
    ACTIONS(153), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(376), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(374), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1039] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(195), 1,
      anon_sym_RBRACE,
    STATE(2), 1,
      sym_start_tag,
    STATE(15), 1,
      aux_sym_document_repeat1,
    STATE(278), 1,
      sym_self_closing_tag,
    STATE(280), 1,
      sym__alternative_statement,
    STATE(282), 1,
      sym_placeholder_statement,
    STATE(284), 1,
      sym_loading_statement,
    STATE(287), 1,
      sym_error_statement,
    STATE(288), 1,
      sym_empty_statement,
    STATE(289), 1,
      sym_else_if_statement,
    STATE(290), 1,
      sym_else_statement,
    STATE(775), 1,
      sym_script_start_tag,
    STATE(776), 1,
      sym_style_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(279), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(277), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1153] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(197), 1,
      ts_builtin_sym_end,
    STATE(2), 1,
      sym_start_tag,
    STATE(6), 1,
      aux_sym_document_repeat1,
    STATE(278), 1,
      sym_self_closing_tag,
    STATE(280), 1,
      sym__alternative_statement,
    STATE(282), 1,
      sym_placeholder_statement,
    STATE(284), 1,
      sym_loading_statement,
    STATE(287), 1,
      sym_error_statement,
    STATE(288), 1,
      sym_empty_statement,
    STATE(289), 1,
      sym_else_if_statement,
    STATE(290), 1,
      sym_else_statement,
    STATE(775), 1,
      sym_script_start_tag,
    STATE(776), 1,
      sym_style_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(279), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(277), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1267] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(199), 1,
      anon_sym_RBRACE,
    STATE(2), 1,
      sym_start_tag,
    STATE(6), 1,
      aux_sym_document_repeat1,
    STATE(278), 1,
      sym_self_closing_tag,
    STATE(280), 1,
      sym__alternative_statement,
    STATE(282), 1,
      sym_placeholder_statement,
    STATE(284), 1,
      sym_loading_statement,
    STATE(287), 1,
      sym_error_statement,
    STATE(288), 1,
      sym_empty_statement,
    STATE(289), 1,
      sym_else_if_statement,
    STATE(290), 1,
      sym_else_statement,
    STATE(775), 1,
      sym_script_start_tag,
    STATE(776), 1,
      sym_style_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(279), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(277), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1381] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(201), 1,
      anon_sym_RBRACE,
    STATE(2), 1,
      sym_start_tag,
    STATE(6), 1,
      aux_sym_document_repeat1,
    STATE(278), 1,
      sym_self_closing_tag,
    STATE(280), 1,
      sym__alternative_statement,
    STATE(282), 1,
      sym_placeholder_statement,
    STATE(284), 1,
      sym_loading_statement,
    STATE(287), 1,
      sym_error_statement,
    STATE(288), 1,
      sym_empty_statement,
    STATE(289), 1,
      sym_else_if_statement,
    STATE(290), 1,
      sym_else_statement,
    STATE(775), 1,
      sym_script_start_tag,
    STATE(776), 1,
      sym_style_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(279), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(277), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1495] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(203), 1,
      anon_sym_RBRACE,
    STATE(2), 1,
      sym_start_tag,
    STATE(6), 1,
      aux_sym_document_repeat1,
    STATE(278), 1,
      sym_self_closing_tag,
    STATE(280), 1,
      sym__alternative_statement,
    STATE(282), 1,
      sym_placeholder_statement,
    STATE(284), 1,
      sym_loading_statement,
    STATE(287), 1,
      sym_error_statement,
    STATE(288), 1,
      sym_empty_statement,
    STATE(289), 1,
      sym_else_if_statement,
    STATE(290), 1,
      sym_else_statement,
    STATE(775), 1,
      sym_script_start_tag,
    STATE(776), 1,
      sym_style_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(279), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(277), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1609] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    STATE(2), 1,
      sym_start_tag,
    STATE(13), 1,
      aux_sym_document_repeat1,
    STATE(278), 1,
      sym_self_closing_tag,
    STATE(280), 1,
      sym__alternative_statement,
    STATE(282), 1,
      sym_placeholder_statement,
    STATE(284), 1,
      sym_loading_statement,
    STATE(287), 1,
      sym_error_statement,
    STATE(288), 1,
      sym_empty_statement,
    STATE(289), 1,
      sym_else_if_statement,
    STATE(290), 1,
      sym_else_statement,
    STATE(775), 1,
      sym_script_start_tag,
    STATE(776), 1,
      sym_style_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(279), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(277), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1720] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    STATE(110), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(169), 1,
      sym_pipe_sequence,
    ACTIONS(211), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 17,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1769] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    STATE(110), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(169), 1,
      sym_pipe_sequence,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1816] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    STATE(169), 1,
      sym_pipe_sequence,
    STATE(445), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(211), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(215), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 17,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1865] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(223), 1,
      anon_sym_LPAREN,
    ACTIONS(219), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(221), 21,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RPAREN_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1905] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_LPAREN,
    ACTIONS(225), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(227), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1945] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    STATE(169), 1,
      sym_pipe_sequence,
    STATE(445), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(215), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(231), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
    ACTIONS(207), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1997] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(233), 1,
      anon_sym_LBRACK,
    STATE(119), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(223), 1,
      sym_pipe_sequence,
    ACTIONS(235), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(237), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 14,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2045] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    STATE(110), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(169), 1,
      sym_pipe_sequence,
    ACTIONS(231), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 16,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2093] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_LPAREN,
    ACTIONS(219), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(221), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2133] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(233), 1,
      anon_sym_LBRACK,
    STATE(169), 1,
      sym_pipe_sequence,
    STATE(445), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(239), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(237), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(215), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 14,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2181] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(233), 1,
      anon_sym_LBRACK,
    STATE(119), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(223), 1,
      sym_pipe_sequence,
    ACTIONS(237), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2227] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(233), 1,
      anon_sym_LBRACK,
    STATE(169), 1,
      sym_pipe_sequence,
    STATE(445), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(235), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(215), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
    ACTIONS(237), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 6,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(207), 8,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2279] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(233), 1,
      anon_sym_LBRACK,
    STATE(119), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(223), 1,
      sym_pipe_sequence,
    ACTIONS(239), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(237), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 14,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(241), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(243), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(245), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(247), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2401] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(251), 1,
      anon_sym_LT,
    STATE(43), 1,
      aux_sym_if_statement_repeat1,
    STATE(273), 1,
      sym__alternative_statement,
    STATE(282), 1,
      sym_placeholder_statement,
    STATE(284), 1,
      sym_loading_statement,
    STATE(287), 1,
      sym_error_statement,
    STATE(288), 1,
      sym_empty_statement,
    STATE(289), 1,
      sym_else_if_statement,
    STATE(290), 1,
      sym_else_statement,
    ACTIONS(249), 14,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [2466] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(233), 1,
      anon_sym_LBRACK,
    ACTIONS(255), 1,
      anon_sym_PIPE,
    STATE(169), 1,
      sym_pipe_sequence,
    STATE(445), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(215), 2,
      anon_sym_QMARK,
      sym_identifier,
    ACTIONS(253), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(237), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 5,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
    ACTIONS(207), 8,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2519] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    STATE(110), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(169), 1,
      sym_pipe_sequence,
    ACTIONS(257), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 15,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(259), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(261), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2603] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(233), 1,
      anon_sym_LBRACK,
    ACTIONS(263), 1,
      anon_sym_PIPE,
    STATE(223), 1,
      sym_pipe_sequence,
    STATE(225), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(253), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(237), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(265), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(267), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(269), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(271), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2726] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    STATE(169), 1,
      sym_pipe_sequence,
    STATE(445), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(215), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(257), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(207), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(273), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(275), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(277), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(279), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2851] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(281), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(283), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2892] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(287), 1,
      anon_sym_LT,
    STATE(51), 1,
      aux_sym_if_statement_repeat1,
    STATE(273), 1,
      sym__alternative_statement,
    STATE(282), 1,
      sym_placeholder_statement,
    STATE(284), 1,
      sym_loading_statement,
    STATE(287), 1,
      sym_error_statement,
    STATE(288), 1,
      sym_empty_statement,
    STATE(289), 1,
      sym_else_if_statement,
    STATE(290), 1,
      sym_else_statement,
    ACTIONS(285), 14,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [2957] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(225), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(289), 10,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(227), 13,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(245), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(247), 21,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RPAREN_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3035] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(293), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(295), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3076] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(299), 1,
      anon_sym_LT,
    STATE(54), 1,
      aux_sym_if_statement_repeat1,
    STATE(273), 1,
      sym__alternative_statement,
    STATE(282), 1,
      sym_placeholder_statement,
    STATE(284), 1,
      sym_loading_statement,
    STATE(287), 1,
      sym_error_statement,
    STATE(288), 1,
      sym_empty_statement,
    STATE(289), 1,
      sym_else_if_statement,
    STATE(290), 1,
      sym_else_statement,
    ACTIONS(297), 14,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [3141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(303), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(305), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(307), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3215] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(225), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(289), 8,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
    ACTIONS(227), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3256] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(311), 1,
      anon_sym_LT,
    ACTIONS(313), 1,
      sym_else_start,
    ACTIONS(316), 1,
      sym_empty_start,
    ACTIONS(319), 1,
      sym_placeholder_start,
    ACTIONS(322), 1,
      sym_loading_start,
    ACTIONS(325), 1,
      sym_error_start,
    ACTIONS(328), 1,
      sym_else_if_start,
    STATE(51), 1,
      aux_sym_if_statement_repeat1,
    STATE(273), 1,
      sym__alternative_statement,
    STATE(282), 1,
      sym_placeholder_statement,
    STATE(284), 1,
      sym_loading_statement,
    STATE(287), 1,
      sym_error_statement,
    STATE(288), 1,
      sym_empty_statement,
    STATE(289), 1,
      sym_else_if_statement,
    STATE(290), 1,
      sym_else_statement,
    ACTIONS(309), 14,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [3321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(331), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(333), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(337), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3395] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(341), 1,
      anon_sym_LT,
    STATE(51), 1,
      aux_sym_if_statement_repeat1,
    STATE(273), 1,
      sym__alternative_statement,
    STATE(282), 1,
      sym_placeholder_statement,
    STATE(284), 1,
      sym_loading_statement,
    STATE(287), 1,
      sym_error_statement,
    STATE(288), 1,
      sym_empty_statement,
    STATE(289), 1,
      sym_else_if_statement,
    STATE(290), 1,
      sym_else_statement,
    ACTIONS(339), 14,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [3460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(331), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(333), 21,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RPAREN_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(277), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(279), 21,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RPAREN_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3534] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(227), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(291), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(289), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3573] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(223), 1,
      anon_sym_LPAREN,
    ACTIONS(225), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(227), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3612] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_else_start,
    ACTIONS(67), 1,
      sym_empty_start,
    ACTIONS(69), 1,
      sym_placeholder_start,
    ACTIONS(71), 1,
      sym_loading_start,
    ACTIONS(73), 1,
      sym_error_start,
    ACTIONS(75), 1,
      sym_else_if_start,
    ACTIONS(287), 1,
      anon_sym_LT,
    STATE(68), 1,
      aux_sym_if_statement_repeat1,
    STATE(335), 1,
      sym_empty_statement,
    STATE(342), 1,
      sym__alternative_statement,
    STATE(378), 1,
      sym_placeholder_statement,
    STATE(379), 1,
      sym_loading_statement,
    STATE(380), 1,
      sym_error_statement,
    STATE(382), 1,
      sym_else_if_statement,
    STATE(383), 1,
      sym_else_statement,
    ACTIONS(285), 13,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [3676] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(215), 1,
      anon_sym_QMARK,
    ACTIONS(255), 1,
      anon_sym_PIPE,
    STATE(169), 1,
      sym_pipe_sequence,
    STATE(445), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(343), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
    ACTIONS(207), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3728] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(233), 1,
      anon_sym_LBRACK,
    ACTIONS(237), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(293), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(295), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3768] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_else_start,
    ACTIONS(67), 1,
      sym_empty_start,
    ACTIONS(69), 1,
      sym_placeholder_start,
    ACTIONS(71), 1,
      sym_loading_start,
    ACTIONS(73), 1,
      sym_error_start,
    ACTIONS(75), 1,
      sym_else_if_start,
    ACTIONS(299), 1,
      anon_sym_LT,
    STATE(74), 1,
      aux_sym_if_statement_repeat1,
    STATE(335), 1,
      sym_empty_statement,
    STATE(342), 1,
      sym__alternative_statement,
    STATE(378), 1,
      sym_placeholder_statement,
    STATE(379), 1,
      sym_loading_statement,
    STATE(380), 1,
      sym_error_statement,
    STATE(382), 1,
      sym_else_if_statement,
    STATE(383), 1,
      sym_else_statement,
    ACTIONS(297), 13,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [3832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(259), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(261), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3868] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(353), 1,
      anon_sym_let,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(357), 1,
      anon_sym_BANG,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(361), 1,
      sym_number,
    STATE(102), 1,
      sym_expression,
    STATE(276), 1,
      sym_binary_expression,
    STATE(605), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(887), 2,
      sym_structural_expression,
      sym_structural_declaration,
    STATE(594), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(83), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [3934] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SEMI,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(369), 1,
      sym_identifier,
    ACTIONS(371), 1,
      sym_number,
    STATE(102), 1,
      sym_expression,
    STATE(256), 1,
      sym_binary_expression,
    STATE(496), 1,
      sym__double_quote,
    STATE(579), 1,
      sym_unary_expression,
    STATE(677), 1,
      sym__single_quote,
    STATE(742), 1,
      sym_assignment_expression,
    STATE(751), 1,
      aux_sym__binding_assignment_repeat1,
    STATE(646), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(80), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(337), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(265), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(267), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4074] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(311), 1,
      anon_sym_LT,
    ACTIONS(373), 1,
      sym_else_start,
    ACTIONS(376), 1,
      sym_empty_start,
    ACTIONS(379), 1,
      sym_placeholder_start,
    ACTIONS(382), 1,
      sym_loading_start,
    ACTIONS(385), 1,
      sym_error_start,
    ACTIONS(388), 1,
      sym_else_if_start,
    STATE(68), 1,
      aux_sym_if_statement_repeat1,
    STATE(335), 1,
      sym_empty_statement,
    STATE(342), 1,
      sym__alternative_statement,
    STATE(378), 1,
      sym_placeholder_statement,
    STATE(379), 1,
      sym_loading_statement,
    STATE(380), 1,
      sym_error_statement,
    STATE(382), 1,
      sym_else_if_statement,
    STATE(383), 1,
      sym_else_statement,
    ACTIONS(309), 13,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [4138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(305), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(307), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(269), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(271), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(241), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(243), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(273), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(275), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(303), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4318] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_else_start,
    ACTIONS(67), 1,
      sym_empty_start,
    ACTIONS(69), 1,
      sym_placeholder_start,
    ACTIONS(71), 1,
      sym_loading_start,
    ACTIONS(73), 1,
      sym_error_start,
    ACTIONS(75), 1,
      sym_else_if_start,
    ACTIONS(341), 1,
      anon_sym_LT,
    STATE(68), 1,
      aux_sym_if_statement_repeat1,
    STATE(335), 1,
      sym_empty_statement,
    STATE(342), 1,
      sym__alternative_statement,
    STATE(378), 1,
      sym_placeholder_statement,
    STATE(379), 1,
      sym_loading_statement,
    STATE(380), 1,
      sym_error_statement,
    STATE(382), 1,
      sym_else_if_statement,
    STATE(383), 1,
      sym_else_statement,
    ACTIONS(339), 13,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [4382] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(365), 1,
      anon_sym_SEMI,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(369), 1,
      sym_identifier,
    ACTIONS(371), 1,
      sym_number,
    ACTIONS(391), 1,
      anon_sym_DQUOTE,
    STATE(102), 1,
      sym_expression,
    STATE(256), 1,
      sym_binary_expression,
    STATE(497), 1,
      sym__double_quote,
    STATE(579), 1,
      sym_unary_expression,
    STATE(677), 1,
      sym__single_quote,
    STATE(731), 1,
      aux_sym__binding_assignment_repeat1,
    STATE(764), 1,
      sym_assignment_expression,
    STATE(658), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(80), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4450] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_else_start,
    ACTIONS(67), 1,
      sym_empty_start,
    ACTIONS(69), 1,
      sym_placeholder_start,
    ACTIONS(71), 1,
      sym_loading_start,
    ACTIONS(73), 1,
      sym_error_start,
    ACTIONS(75), 1,
      sym_else_if_start,
    ACTIONS(251), 1,
      anon_sym_LT,
    STATE(59), 1,
      aux_sym_if_statement_repeat1,
    STATE(335), 1,
      sym_empty_statement,
    STATE(342), 1,
      sym__alternative_statement,
    STATE(378), 1,
      sym_placeholder_statement,
    STATE(379), 1,
      sym_loading_statement,
    STATE(380), 1,
      sym_error_statement,
    STATE(382), 1,
      sym_else_if_statement,
    STATE(383), 1,
      sym_else_statement,
    ACTIONS(249), 13,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [4514] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(353), 1,
      anon_sym_let,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(357), 1,
      anon_sym_BANG,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(361), 1,
      sym_number,
    STATE(102), 1,
      sym_expression,
    STATE(276), 1,
      sym_binary_expression,
    STATE(605), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(866), 2,
      sym_structural_expression,
      sym_structural_declaration,
    STATE(594), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(83), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4580] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(227), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(291), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(289), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4618] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
    ACTIONS(225), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(289), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(227), 12,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4658] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(393), 1,
      anon_sym_PIPE,
    STATE(169), 1,
      sym_pipe_sequence,
    STATE(218), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(343), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 14,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4706] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(233), 1,
      anon_sym_LBRACK,
    ACTIONS(237), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(281), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(283), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4746] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_QMARK,
    ACTIONS(225), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(289), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
    ACTIONS(227), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4785] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(393), 1,
      anon_sym_PIPE,
    STATE(169), 1,
      sym_pipe_sequence,
    STATE(218), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(395), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 13,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4832] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(215), 1,
      anon_sym_QMARK,
    ACTIONS(255), 1,
      anon_sym_PIPE,
    STATE(169), 1,
      sym_pipe_sequence,
    STATE(445), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(395), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
    ACTIONS(207), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4883] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(369), 1,
      sym_identifier,
    ACTIONS(371), 1,
      sym_number,
    ACTIONS(397), 1,
      anon_sym_DQUOTE,
    ACTIONS(400), 1,
      anon_sym_SEMI,
    STATE(102), 1,
      sym_expression,
    STATE(256), 1,
      sym_binary_expression,
    STATE(579), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(882), 1,
      sym_assignment_expression,
    STATE(738), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(80), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4948] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 2,
      anon_sym_QMARK,
      sym_identifier,
    ACTIONS(289), 5,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
    ACTIONS(225), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(227), 14,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4987] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(402), 1,
      anon_sym_LBRACK,
    STATE(271), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(344), 1,
      sym_pipe_sequence,
    ACTIONS(404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(406), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 12,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5031] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(408), 1,
      sym_number,
    STATE(102), 1,
      sym_expression,
    STATE(256), 1,
      sym_binary_expression,
    STATE(579), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(988), 1,
      sym_concatenation_expression,
    STATE(785), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(160), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5093] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(410), 1,
      anon_sym_SQUOTE,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_LBRACE,
    ACTIONS(416), 1,
      anon_sym_LPAREN,
    ACTIONS(418), 1,
      anon_sym_LBRACK,
    ACTIONS(420), 1,
      anon_sym_BANG,
    ACTIONS(422), 1,
      sym_identifier,
    ACTIONS(424), 1,
      sym_number,
    STATE(291), 1,
      sym_expression,
    STATE(397), 1,
      sym_binary_expression,
    STATE(700), 1,
      sym__double_quote,
    STATE(702), 1,
      sym__single_quote,
    STATE(707), 1,
      sym_unary_expression,
    STATE(1016), 1,
      sym_concatenation_expression,
    STATE(824), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(178), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5155] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(371), 1,
      sym_number,
    STATE(102), 1,
      sym_expression,
    STATE(256), 1,
      sym_binary_expression,
    STATE(579), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(811), 1,
      sym_if_condition,
    STATE(748), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(80), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5217] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(410), 1,
      anon_sym_SQUOTE,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_LBRACE,
    ACTIONS(416), 1,
      anon_sym_LPAREN,
    ACTIONS(418), 1,
      anon_sym_LBRACK,
    ACTIONS(420), 1,
      anon_sym_BANG,
    ACTIONS(422), 1,
      sym_identifier,
    ACTIONS(424), 1,
      sym_number,
    STATE(291), 1,
      sym_expression,
    STATE(397), 1,
      sym_binary_expression,
    STATE(700), 1,
      sym__double_quote,
    STATE(702), 1,
      sym__single_quote,
    STATE(707), 1,
      sym_unary_expression,
    STATE(1006), 1,
      sym_concatenation_expression,
    STATE(779), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(178), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5279] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(430), 1,
      anon_sym_PIPE,
    STATE(92), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(426), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5317] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    STATE(169), 1,
      sym_pipe_sequence,
    STATE(445), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(215), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(433), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 4,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(207), 8,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5365] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(371), 1,
      sym_number,
    STATE(102), 1,
      sym_expression,
    STATE(256), 1,
      sym_binary_expression,
    STATE(579), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(789), 1,
      sym_if_condition,
    STATE(748), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(80), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5427] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(439), 1,
      anon_sym_COLON,
    STATE(95), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(435), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(437), 18,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5465] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(446), 1,
      anon_sym_QMARK_QMARK,
    STATE(105), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(442), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(444), 18,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5503] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(444), 1,
      sym__binary_op,
    ACTIONS(215), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(452), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(448), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 8,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
    ACTIONS(450), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5545] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(402), 1,
      anon_sym_LBRACK,
    STATE(169), 1,
      sym_pipe_sequence,
    STATE(445), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(215), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(454), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(406), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 4,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(207), 8,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5593] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(371), 1,
      sym_number,
    STATE(102), 1,
      sym_expression,
    STATE(256), 1,
      sym_binary_expression,
    STATE(579), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(808), 1,
      sym_if_condition,
    STATE(748), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(80), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5655] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(444), 1,
      sym__binary_op,
    ACTIONS(452), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(458), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(448), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(456), 8,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
    ACTIONS(450), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5697] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_LPAREN,
    ACTIONS(460), 1,
      anon_sym_EQ,
    ACTIONS(225), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(227), 18,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5735] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(444), 1,
      sym__binary_op,
    ACTIONS(458), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(448), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(456), 8,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
    ACTIONS(450), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5775] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(402), 1,
      anon_sym_LBRACK,
    STATE(169), 1,
      sym_pipe_sequence,
    STATE(445), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(215), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(217), 3,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(406), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5823] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(402), 1,
      anon_sym_LBRACK,
    STATE(271), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(344), 1,
      sym_pipe_sequence,
    ACTIONS(462), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(406), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 12,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5867] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(95), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(464), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(466), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5903] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(402), 1,
      anon_sym_LBRACK,
    STATE(271), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(344), 1,
      sym_pipe_sequence,
    ACTIONS(454), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(406), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 12,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5947] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(195), 1,
      sym_pipe_arguments,
    ACTIONS(468), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(470), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5983] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(402), 1,
      anon_sym_LBRACK,
    STATE(271), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(344), 1,
      sym_pipe_sequence,
    ACTIONS(406), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6025] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    STATE(110), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(169), 1,
      sym_pipe_sequence,
    ACTIONS(433), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 12,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6069] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(92), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(472), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(474), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6105] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(408), 1,
      sym_number,
    STATE(102), 1,
      sym_expression,
    STATE(256), 1,
      sym_binary_expression,
    STATE(579), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(1015), 1,
      sym_concatenation_expression,
    STATE(773), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(160), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6167] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(371), 1,
      sym_number,
    STATE(102), 1,
      sym_expression,
    STATE(256), 1,
      sym_binary_expression,
    STATE(579), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(791), 1,
      sym_if_condition,
    STATE(748), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(80), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6229] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(402), 1,
      anon_sym_LBRACK,
    STATE(169), 1,
      sym_pipe_sequence,
    STATE(445), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(462), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(406), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(215), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 12,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6273] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(476), 1,
      anon_sym_BANG,
    ACTIONS(478), 1,
      sym_number,
    STATE(102), 1,
      sym_expression,
    STATE(222), 1,
      sym_group,
    STATE(274), 1,
      sym_binary_expression,
    STATE(595), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(636), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(109), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6334] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(371), 1,
      sym_number,
    STATE(102), 1,
      sym_expression,
    STATE(256), 1,
      sym_binary_expression,
    STATE(579), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(815), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(80), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6393] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(371), 1,
      sym_number,
    STATE(102), 1,
      sym_expression,
    STATE(256), 1,
      sym_binary_expression,
    STATE(579), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(744), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(80), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6452] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(219), 1,
      sym_pipe_arguments,
    ACTIONS(468), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(470), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6487] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(410), 1,
      anon_sym_SQUOTE,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_LBRACE,
    ACTIONS(416), 1,
      anon_sym_LPAREN,
    ACTIONS(418), 1,
      anon_sym_LBRACK,
    ACTIONS(422), 1,
      sym_identifier,
    ACTIONS(480), 1,
      anon_sym_BANG,
    ACTIONS(482), 1,
      sym_number,
    STATE(291), 1,
      sym_expression,
    STATE(321), 1,
      sym_binary_expression,
    STATE(384), 1,
      sym_unary_expression,
    STATE(700), 1,
      sym__double_quote,
    STATE(702), 1,
      sym__single_quote,
    STATE(337), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(104), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6546] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(145), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(472), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(474), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6581] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(484), 1,
      anon_sym_COLON,
    ACTIONS(486), 1,
      anon_sym_QMARK_QMARK,
    STATE(132), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(442), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(444), 14,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6620] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(371), 1,
      sym_number,
    STATE(102), 1,
      sym_expression,
    STATE(256), 1,
      sym_binary_expression,
    STATE(579), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(735), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(80), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6679] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(371), 1,
      sym_number,
    STATE(102), 1,
      sym_expression,
    STATE(256), 1,
      sym_binary_expression,
    STATE(579), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(640), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(80), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6738] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(371), 1,
      sym_number,
    STATE(102), 1,
      sym_expression,
    STATE(256), 1,
      sym_binary_expression,
    STATE(579), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(778), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(80), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6797] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(410), 1,
      anon_sym_SQUOTE,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_LBRACE,
    ACTIONS(416), 1,
      anon_sym_LPAREN,
    ACTIONS(418), 1,
      anon_sym_LBRACK,
    ACTIONS(422), 1,
      sym_identifier,
    ACTIONS(480), 1,
      anon_sym_BANG,
    ACTIONS(488), 1,
      sym_number,
    STATE(220), 1,
      sym_group,
    STATE(285), 1,
      sym_binary_expression,
    STATE(291), 1,
      sym_expression,
    STATE(585), 1,
      sym_unary_expression,
    STATE(700), 1,
      sym__double_quote,
    STATE(702), 1,
      sym__single_quote,
    STATE(653), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(106), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6858] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(490), 1,
      anon_sym_SQUOTE,
    ACTIONS(492), 1,
      anon_sym_DQUOTE,
    ACTIONS(494), 1,
      anon_sym_LBRACE,
    ACTIONS(496), 1,
      anon_sym_LPAREN,
    ACTIONS(498), 1,
      anon_sym_LBRACK,
    ACTIONS(500), 1,
      anon_sym_BANG,
    ACTIONS(502), 1,
      sym_identifier,
    ACTIONS(504), 1,
      sym_number,
    STATE(79), 1,
      sym_group,
    STATE(128), 1,
      sym_binary_expression,
    STATE(181), 1,
      sym_expression,
    STATE(530), 1,
      sym_unary_expression,
    STATE(717), 1,
      sym__single_quote,
    STATE(718), 1,
      sym__double_quote,
    STATE(517), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(23), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6919] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(430), 1,
      sym__binary_op,
    ACTIONS(510), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(215), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
    ACTIONS(506), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 6,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(508), 8,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6960] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(410), 1,
      anon_sym_SQUOTE,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_LBRACE,
    ACTIONS(416), 1,
      anon_sym_LPAREN,
    ACTIONS(418), 1,
      anon_sym_LBRACK,
    ACTIONS(422), 1,
      sym_identifier,
    ACTIONS(480), 1,
      anon_sym_BANG,
    ACTIONS(488), 1,
      sym_number,
    STATE(285), 1,
      sym_binary_expression,
    STATE(291), 1,
      sym_expression,
    STATE(585), 1,
      sym_unary_expression,
    STATE(700), 1,
      sym__double_quote,
    STATE(702), 1,
      sym__single_quote,
    STATE(639), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(106), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7019] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(430), 1,
      sym__binary_op,
    ACTIONS(510), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(458), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
    ACTIONS(506), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(456), 6,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(508), 8,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7060] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(476), 1,
      anon_sym_BANG,
    ACTIONS(512), 1,
      sym_number,
    STATE(102), 1,
      sym_expression,
    STATE(135), 1,
      sym_binary_expression,
    STATE(520), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(516), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(24), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7119] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(514), 1,
      anon_sym_COLON,
    STATE(130), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(435), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(437), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7156] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(476), 1,
      anon_sym_BANG,
    ACTIONS(512), 1,
      sym_number,
    STATE(50), 1,
      sym_group,
    STATE(102), 1,
      sym_expression,
    STATE(135), 1,
      sym_binary_expression,
    STATE(520), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(577), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(24), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7217] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(484), 1,
      anon_sym_COLON,
    STATE(130), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(464), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(466), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7254] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(490), 1,
      anon_sym_SQUOTE,
    ACTIONS(492), 1,
      anon_sym_DQUOTE,
    ACTIONS(494), 1,
      anon_sym_LBRACE,
    ACTIONS(496), 1,
      anon_sym_LPAREN,
    ACTIONS(498), 1,
      anon_sym_LBRACK,
    ACTIONS(502), 1,
      sym_identifier,
    ACTIONS(517), 1,
      anon_sym_BANG,
    ACTIONS(519), 1,
      sym_number,
    STATE(147), 1,
      sym_binary_expression,
    STATE(181), 1,
      sym_expression,
    STATE(214), 1,
      sym_unary_expression,
    STATE(717), 1,
      sym__single_quote,
    STATE(718), 1,
      sym__double_quote,
    STATE(215), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(29), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7313] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(476), 1,
      anon_sym_BANG,
    ACTIONS(478), 1,
      sym_number,
    STATE(102), 1,
      sym_expression,
    STATE(274), 1,
      sym_binary_expression,
    STATE(595), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(583), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(109), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7372] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(444), 1,
      sym__binary_op,
    ACTIONS(458), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(521), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(448), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(456), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
    ACTIONS(450), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7413] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(490), 1,
      anon_sym_SQUOTE,
    ACTIONS(492), 1,
      anon_sym_DQUOTE,
    ACTIONS(494), 1,
      anon_sym_LBRACE,
    ACTIONS(496), 1,
      anon_sym_LPAREN,
    ACTIONS(498), 1,
      anon_sym_LBRACK,
    ACTIONS(502), 1,
      sym_identifier,
    ACTIONS(517), 1,
      anon_sym_BANG,
    ACTIONS(519), 1,
      sym_number,
    STATE(147), 1,
      sym_binary_expression,
    STATE(181), 1,
      sym_expression,
    STATE(214), 1,
      sym_unary_expression,
    STATE(717), 1,
      sym__single_quote,
    STATE(718), 1,
      sym__double_quote,
    STATE(120), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(29), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7472] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(444), 1,
      sym__binary_op,
    ACTIONS(215), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(521), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(448), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
    ACTIONS(450), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7513] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(490), 1,
      anon_sym_SQUOTE,
    ACTIONS(492), 1,
      anon_sym_DQUOTE,
    ACTIONS(494), 1,
      anon_sym_LBRACE,
    ACTIONS(496), 1,
      anon_sym_LPAREN,
    ACTIONS(498), 1,
      anon_sym_LBRACK,
    ACTIONS(502), 1,
      sym_identifier,
    ACTIONS(523), 1,
      anon_sym_BANG,
    ACTIONS(525), 1,
      sym_number,
    STATE(86), 1,
      sym_group,
    STATE(181), 1,
      sym_expression,
    STATE(241), 1,
      sym_binary_expression,
    STATE(567), 1,
      sym_unary_expression,
    STATE(717), 1,
      sym__single_quote,
    STATE(718), 1,
      sym__double_quote,
    STATE(626), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(36), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7574] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(371), 1,
      sym_number,
    STATE(102), 1,
      sym_expression,
    STATE(256), 1,
      sym_binary_expression,
    STATE(579), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(786), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(80), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7633] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(527), 1,
      anon_sym_BANG,
    ACTIONS(529), 1,
      sym_number,
    STATE(102), 1,
      sym_expression,
    STATE(211), 1,
      sym_binary_expression,
    STATE(535), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(552), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(34), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7692] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(486), 1,
      anon_sym_QMARK_QMARK,
    STATE(156), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(442), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(444), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7729] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(527), 1,
      anon_sym_BANG,
    ACTIONS(529), 1,
      sym_number,
    STATE(102), 1,
      sym_expression,
    STATE(211), 1,
      sym_binary_expression,
    STATE(535), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(586), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(34), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7788] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(410), 1,
      anon_sym_SQUOTE,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_LBRACE,
    ACTIONS(416), 1,
      anon_sym_LPAREN,
    ACTIONS(418), 1,
      anon_sym_LBRACK,
    ACTIONS(422), 1,
      sym_identifier,
    ACTIONS(480), 1,
      anon_sym_BANG,
    ACTIONS(488), 1,
      sym_number,
    STATE(285), 1,
      sym_binary_expression,
    STATE(291), 1,
      sym_expression,
    STATE(585), 1,
      sym_unary_expression,
    STATE(700), 1,
      sym__double_quote,
    STATE(702), 1,
      sym__single_quote,
    STATE(603), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(106), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7847] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(410), 1,
      anon_sym_SQUOTE,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_LBRACE,
    ACTIONS(416), 1,
      anon_sym_LPAREN,
    ACTIONS(418), 1,
      anon_sym_LBRACK,
    ACTIONS(422), 1,
      sym_identifier,
    ACTIONS(480), 1,
      anon_sym_BANG,
    ACTIONS(531), 1,
      sym_number,
    STATE(207), 1,
      sym_group,
    STATE(291), 1,
      sym_expression,
    STATE(331), 1,
      sym_binary_expression,
    STATE(621), 1,
      sym_unary_expression,
    STATE(700), 1,
      sym__double_quote,
    STATE(702), 1,
      sym__single_quote,
    STATE(623), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(87), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7908] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(533), 1,
      anon_sym_PIPE,
    STATE(145), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(426), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7945] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(536), 1,
      anon_sym_COLON,
    STATE(219), 1,
      sym_pipe_arguments,
    ACTIONS(468), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(470), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7982] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(430), 1,
      sym__binary_op,
    ACTIONS(538), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(458), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
    ACTIONS(506), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(456), 6,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(508), 8,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8023] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(490), 1,
      anon_sym_SQUOTE,
    ACTIONS(492), 1,
      anon_sym_DQUOTE,
    ACTIONS(494), 1,
      anon_sym_LBRACE,
    ACTIONS(496), 1,
      anon_sym_LPAREN,
    ACTIONS(498), 1,
      anon_sym_LBRACK,
    ACTIONS(502), 1,
      sym_identifier,
    ACTIONS(523), 1,
      anon_sym_BANG,
    ACTIONS(525), 1,
      sym_number,
    STATE(181), 1,
      sym_expression,
    STATE(241), 1,
      sym_binary_expression,
    STATE(567), 1,
      sym_unary_expression,
    STATE(717), 1,
      sym__single_quote,
    STATE(718), 1,
      sym__double_quote,
    STATE(610), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(36), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8082] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(357), 1,
      anon_sym_BANG,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(361), 1,
      sym_number,
    STATE(82), 1,
      sym_group,
    STATE(102), 1,
      sym_expression,
    STATE(276), 1,
      sym_binary_expression,
    STATE(605), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(695), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(83), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8176] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(371), 1,
      sym_number,
    STATE(102), 1,
      sym_expression,
    STATE(256), 1,
      sym_binary_expression,
    STATE(579), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(819), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(80), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8235] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(371), 1,
      sym_number,
    STATE(102), 1,
      sym_expression,
    STATE(256), 1,
      sym_binary_expression,
    STATE(579), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(818), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(80), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8294] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(527), 1,
      anon_sym_BANG,
    ACTIONS(540), 1,
      sym_number,
    STATE(100), 1,
      sym_binary_expression,
    STATE(102), 1,
      sym_expression,
    STATE(179), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(354), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(17), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8353] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(410), 1,
      anon_sym_SQUOTE,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_LBRACE,
    ACTIONS(416), 1,
      anon_sym_LPAREN,
    ACTIONS(418), 1,
      anon_sym_LBRACK,
    ACTIONS(422), 1,
      sym_identifier,
    ACTIONS(480), 1,
      anon_sym_BANG,
    ACTIONS(482), 1,
      sym_number,
    STATE(291), 1,
      sym_expression,
    STATE(321), 1,
      sym_binary_expression,
    STATE(384), 1,
      sym_unary_expression,
    STATE(700), 1,
      sym__double_quote,
    STATE(702), 1,
      sym__single_quote,
    STATE(304), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(104), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8412] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(371), 1,
      sym_number,
    STATE(102), 1,
      sym_expression,
    STATE(256), 1,
      sym_binary_expression,
    STATE(579), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(787), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(80), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8471] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(130), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(464), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(466), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8506] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(476), 1,
      anon_sym_BANG,
    ACTIONS(512), 1,
      sym_number,
    STATE(102), 1,
      sym_expression,
    STATE(135), 1,
      sym_binary_expression,
    STATE(520), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(562), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(24), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8565] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(527), 1,
      anon_sym_BANG,
    ACTIONS(529), 1,
      sym_number,
    STATE(50), 1,
      sym_group,
    STATE(102), 1,
      sym_expression,
    STATE(211), 1,
      sym_binary_expression,
    STATE(535), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(574), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(34), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8626] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(255), 1,
      anon_sym_PIPE,
    ACTIONS(542), 1,
      anon_sym_RPAREN,
    ACTIONS(544), 1,
      anon_sym_COMMA,
    STATE(169), 1,
      sym_pipe_sequence,
    STATE(445), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(799), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8675] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(393), 1,
      anon_sym_PIPE,
    ACTIONS(546), 1,
      anon_sym_PLUS,
    STATE(169), 1,
      sym_pipe_sequence,
    STATE(218), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(343), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8722] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(410), 1,
      anon_sym_SQUOTE,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_LBRACE,
    ACTIONS(416), 1,
      anon_sym_LPAREN,
    ACTIONS(418), 1,
      anon_sym_LBRACK,
    ACTIONS(420), 1,
      anon_sym_BANG,
    ACTIONS(422), 1,
      sym_identifier,
    ACTIONS(548), 1,
      sym_number,
    STATE(240), 1,
      sym_group,
    STATE(291), 1,
      sym_expression,
    STATE(397), 1,
      sym_binary_expression,
    STATE(700), 1,
      sym__double_quote,
    STATE(702), 1,
      sym__single_quote,
    STATE(707), 1,
      sym_unary_expression,
    STATE(804), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(174), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8783] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(490), 1,
      anon_sym_SQUOTE,
    ACTIONS(492), 1,
      anon_sym_DQUOTE,
    ACTIONS(494), 1,
      anon_sym_LBRACE,
    ACTIONS(496), 1,
      anon_sym_LPAREN,
    ACTIONS(498), 1,
      anon_sym_LBRACK,
    ACTIONS(500), 1,
      anon_sym_BANG,
    ACTIONS(502), 1,
      sym_identifier,
    ACTIONS(504), 1,
      sym_number,
    STATE(128), 1,
      sym_binary_expression,
    STATE(181), 1,
      sym_expression,
    STATE(530), 1,
      sym_unary_expression,
    STATE(717), 1,
      sym__single_quote,
    STATE(718), 1,
      sym__double_quote,
    STATE(512), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(23), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8842] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(490), 1,
      anon_sym_SQUOTE,
    ACTIONS(492), 1,
      anon_sym_DQUOTE,
    ACTIONS(494), 1,
      anon_sym_LBRACE,
    ACTIONS(496), 1,
      anon_sym_LPAREN,
    ACTIONS(498), 1,
      anon_sym_LBRACK,
    ACTIONS(500), 1,
      anon_sym_BANG,
    ACTIONS(502), 1,
      sym_identifier,
    ACTIONS(504), 1,
      sym_number,
    STATE(128), 1,
      sym_binary_expression,
    STATE(181), 1,
      sym_expression,
    STATE(530), 1,
      sym_unary_expression,
    STATE(717), 1,
      sym__single_quote,
    STATE(718), 1,
      sym__double_quote,
    STATE(505), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(23), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8901] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(410), 1,
      anon_sym_SQUOTE,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_LBRACE,
    ACTIONS(416), 1,
      anon_sym_LPAREN,
    ACTIONS(418), 1,
      anon_sym_LBRACK,
    ACTIONS(422), 1,
      sym_identifier,
    ACTIONS(480), 1,
      anon_sym_BANG,
    ACTIONS(531), 1,
      sym_number,
    STATE(291), 1,
      sym_expression,
    STATE(331), 1,
      sym_binary_expression,
    STATE(621), 1,
      sym_unary_expression,
    STATE(700), 1,
      sym__double_quote,
    STATE(702), 1,
      sym__single_quote,
    STATE(584), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(87), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8960] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(476), 1,
      anon_sym_BANG,
    ACTIONS(478), 1,
      sym_number,
    STATE(102), 1,
      sym_expression,
    STATE(235), 1,
      sym_group,
    STATE(274), 1,
      sym_binary_expression,
    STATE(595), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(575), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(109), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [9021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(550), 1,
      anon_sym_LPAREN,
    ACTIONS(225), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(227), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9056] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(410), 1,
      anon_sym_SQUOTE,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_LBRACE,
    ACTIONS(416), 1,
      anon_sym_LPAREN,
    ACTIONS(418), 1,
      anon_sym_LBRACK,
    ACTIONS(422), 1,
      sym_identifier,
    ACTIONS(480), 1,
      anon_sym_BANG,
    ACTIONS(531), 1,
      sym_number,
    STATE(291), 1,
      sym_expression,
    STATE(331), 1,
      sym_binary_expression,
    STATE(621), 1,
      sym_unary_expression,
    STATE(700), 1,
      sym__double_quote,
    STATE(702), 1,
      sym__single_quote,
    STATE(613), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(87), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [9115] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_QMARK,
    ACTIONS(255), 1,
      anon_sym_PIPE,
    ACTIONS(402), 1,
      anon_sym_LBRACK,
    STATE(169), 1,
      sym_pipe_sequence,
    STATE(445), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(217), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(552), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(406), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(554), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(556), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9197] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(490), 1,
      anon_sym_SQUOTE,
    ACTIONS(492), 1,
      anon_sym_DQUOTE,
    ACTIONS(494), 1,
      anon_sym_LBRACE,
    ACTIONS(496), 1,
      anon_sym_LPAREN,
    ACTIONS(498), 1,
      anon_sym_LBRACK,
    ACTIONS(502), 1,
      sym_identifier,
    ACTIONS(517), 1,
      anon_sym_BANG,
    ACTIONS(519), 1,
      sym_number,
    STATE(78), 1,
      sym_group,
    STATE(147), 1,
      sym_binary_expression,
    STATE(181), 1,
      sym_expression,
    STATE(214), 1,
      sym_unary_expression,
    STATE(717), 1,
      sym__single_quote,
    STATE(718), 1,
      sym__double_quote,
    STATE(206), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(29), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [9258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(558), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(560), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9291] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(527), 1,
      anon_sym_BANG,
    ACTIONS(529), 1,
      sym_number,
    STATE(44), 1,
      sym_group,
    STATE(102), 1,
      sym_expression,
    STATE(211), 1,
      sym_binary_expression,
    STATE(535), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(536), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(34), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [9352] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(476), 1,
      anon_sym_BANG,
    ACTIONS(478), 1,
      sym_number,
    STATE(102), 1,
      sym_expression,
    STATE(274), 1,
      sym_binary_expression,
    STATE(595), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(635), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(109), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [9411] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(402), 1,
      anon_sym_LBRACK,
    ACTIONS(562), 1,
      anon_sym_PIPE,
    STATE(338), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(344), 1,
      sym_pipe_sequence,
    ACTIONS(552), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(406), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 11,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9456] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(430), 1,
      sym__binary_op,
    ACTIONS(538), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(215), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
    ACTIONS(506), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 6,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(508), 8,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9497] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(476), 1,
      anon_sym_BANG,
    ACTIONS(512), 1,
      sym_number,
    STATE(102), 1,
      sym_expression,
    STATE(135), 1,
      sym_binary_expression,
    STATE(520), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(596), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(24), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [9556] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(550), 1,
      anon_sym_LPAREN,
    ACTIONS(219), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(221), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9591] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(402), 1,
      anon_sym_LBRACK,
    ACTIONS(562), 1,
      anon_sym_PIPE,
    ACTIONS(564), 1,
      anon_sym_PLUS,
    STATE(338), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(344), 1,
      sym_pipe_sequence,
    ACTIONS(552), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(406), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 10,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9638] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(458), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(456), 17,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9673] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(527), 1,
      anon_sym_BANG,
    ACTIONS(529), 1,
      sym_number,
    STATE(102), 1,
      sym_expression,
    STATE(211), 1,
      sym_binary_expression,
    STATE(535), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(532), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(34), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [9732] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(430), 1,
      sym__binary_op,
    ACTIONS(458), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
    ACTIONS(506), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(456), 6,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(508), 10,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9771] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(446), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(566), 1,
      anon_sym_QMARK,
    ACTIONS(291), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(289), 18,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9808] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(568), 1,
      anon_sym_COLON,
    STATE(195), 1,
      sym_pipe_arguments,
    ACTIONS(468), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(470), 17,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9845] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(476), 1,
      anon_sym_BANG,
    ACTIONS(478), 1,
      sym_number,
    STATE(102), 1,
      sym_expression,
    STATE(274), 1,
      sym_binary_expression,
    STATE(595), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(628), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(109), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [9904] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(446), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(566), 1,
      anon_sym_QMARK,
    ACTIONS(570), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(572), 18,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9941] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(410), 1,
      anon_sym_SQUOTE,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_LBRACE,
    ACTIONS(416), 1,
      anon_sym_LPAREN,
    ACTIONS(418), 1,
      anon_sym_LBRACK,
    ACTIONS(422), 1,
      sym_identifier,
    ACTIONS(480), 1,
      anon_sym_BANG,
    ACTIONS(482), 1,
      sym_number,
    STATE(205), 1,
      sym_group,
    STATE(291), 1,
      sym_expression,
    STATE(321), 1,
      sym_binary_expression,
    STATE(384), 1,
      sym_unary_expression,
    STATE(700), 1,
      sym__double_quote,
    STATE(702), 1,
      sym__single_quote,
    STATE(369), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(104), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10002] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(410), 1,
      anon_sym_SQUOTE,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_LBRACE,
    ACTIONS(416), 1,
      anon_sym_LPAREN,
    ACTIONS(418), 1,
      anon_sym_LBRACK,
    ACTIONS(422), 1,
      sym_identifier,
    ACTIONS(480), 1,
      anon_sym_BANG,
    ACTIONS(488), 1,
      sym_number,
    STATE(285), 1,
      sym_binary_expression,
    STATE(291), 1,
      sym_expression,
    STATE(585), 1,
      sym_unary_expression,
    STATE(700), 1,
      sym__double_quote,
    STATE(702), 1,
      sym__single_quote,
    STATE(620), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(106), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10061] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(574), 1,
      anon_sym_COLON,
    STATE(95), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(464), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(466), 17,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10098] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(527), 1,
      anon_sym_BANG,
    ACTIONS(540), 1,
      sym_number,
    STATE(100), 1,
      sym_binary_expression,
    STATE(102), 1,
      sym_expression,
    STATE(179), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(185), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(17), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10157] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(476), 1,
      anon_sym_BANG,
    ACTIONS(512), 1,
      sym_number,
    STATE(44), 1,
      sym_group,
    STATE(102), 1,
      sym_expression,
    STATE(135), 1,
      sym_binary_expression,
    STATE(520), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(522), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(24), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10218] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(371), 1,
      sym_number,
    STATE(102), 1,
      sym_expression,
    STATE(256), 1,
      sym_binary_expression,
    STATE(579), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(747), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(80), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(426), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10310] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(446), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(574), 1,
      anon_sym_COLON,
    STATE(188), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(442), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(444), 16,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10349] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(410), 1,
      anon_sym_SQUOTE,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_LBRACE,
    ACTIONS(416), 1,
      anon_sym_LPAREN,
    ACTIONS(418), 1,
      anon_sym_LBRACK,
    ACTIONS(422), 1,
      sym_identifier,
    ACTIONS(480), 1,
      anon_sym_BANG,
    ACTIONS(488), 1,
      sym_number,
    STATE(230), 1,
      sym_group,
    STATE(285), 1,
      sym_binary_expression,
    STATE(291), 1,
      sym_expression,
    STATE(585), 1,
      sym_unary_expression,
    STATE(700), 1,
      sym__double_quote,
    STATE(702), 1,
      sym__single_quote,
    STATE(576), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(106), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(576), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(578), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10443] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(527), 1,
      anon_sym_BANG,
    ACTIONS(540), 1,
      sym_number,
    STATE(100), 1,
      sym_binary_expression,
    STATE(102), 1,
      sym_expression,
    STATE(179), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(193), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(17), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10502] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(371), 1,
      sym_number,
    STATE(82), 1,
      sym_group,
    STATE(102), 1,
      sym_expression,
    STATE(256), 1,
      sym_binary_expression,
    STATE(579), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(657), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(80), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10563] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(215), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 17,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10598] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(476), 1,
      anon_sym_BANG,
    ACTIONS(512), 1,
      sym_number,
    STATE(102), 1,
      sym_expression,
    STATE(135), 1,
      sym_binary_expression,
    STATE(520), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(521), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(24), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10657] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(527), 1,
      anon_sym_BANG,
    ACTIONS(529), 1,
      sym_number,
    STATE(102), 1,
      sym_expression,
    STATE(211), 1,
      sym_binary_expression,
    STATE(535), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(540), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(34), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10716] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(527), 1,
      anon_sym_BANG,
    ACTIONS(540), 1,
      sym_number,
    STATE(57), 1,
      sym_group,
    STATE(100), 1,
      sym_binary_expression,
    STATE(102), 1,
      sym_expression,
    STATE(179), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(182), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(17), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(337), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(273), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(275), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(265), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(267), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10873] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(227), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(291), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(289), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10907] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(486), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(580), 1,
      anon_sym_QMARK,
    ACTIONS(291), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(289), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10943] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(225), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(289), 5,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(227), 13,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11011] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(239), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(215), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 14,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(558), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(560), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11077] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(444), 1,
      sym__binary_op,
    ACTIONS(458), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(582), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(448), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(456), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(450), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(303), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(245), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(247), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11181] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(239), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(458), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(456), 14,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11215] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(486), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(580), 1,
      anon_sym_QMARK,
    ACTIONS(570), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(572), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11251] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(584), 1,
      anon_sym_PIPE,
    STATE(216), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(426), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 17,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11287] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(444), 1,
      sym__binary_op,
    ACTIONS(215), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(582), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(448), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(450), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11327] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(393), 1,
      anon_sym_PIPE,
    STATE(216), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(472), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(474), 17,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(576), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(578), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11395] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(225), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(289), 4,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(227), 14,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11431] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(587), 1,
      anon_sym_PIPE,
    STATE(221), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(426), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11467] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(225), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(289), 4,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(227), 14,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(554), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(556), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(305), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(307), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11567] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(263), 1,
      anon_sym_PIPE,
    STATE(221), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(472), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(474), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11603] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(402), 1,
      anon_sym_LBRACK,
    ACTIONS(406), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(281), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(283), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11639] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(402), 1,
      anon_sym_LBRACK,
    ACTIONS(406), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(293), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(295), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(331), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(333), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(426), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11739] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(225), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(289), 6,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(227), 12,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(269), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(271), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(241), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(243), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11839] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(259), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(261), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(277), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(279), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11903] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(225), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(289), 6,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(227), 12,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11939] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(590), 1,
      anon_sym_RPAREN,
    ACTIONS(592), 1,
      anon_sym_BANG,
    ACTIONS(594), 1,
      sym_number,
    STATE(396), 1,
      sym_binary_expression,
    STATE(469), 1,
      sym_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(794), 1,
      sym_unary_expression,
    STATE(959), 1,
      sym_arguments,
    STATE(159), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [11998] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(592), 1,
      anon_sym_BANG,
    ACTIONS(594), 1,
      sym_number,
    ACTIONS(596), 1,
      anon_sym_RPAREN,
    STATE(396), 1,
      sym_binary_expression,
    STATE(469), 1,
      sym_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(794), 1,
      sym_unary_expression,
    STATE(973), 1,
      sym_arguments,
    STATE(159), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12057] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(430), 1,
      sym__binary_op,
    ACTIONS(215), 2,
      anon_sym_QMARK,
      sym_identifier,
    ACTIONS(598), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(217), 5,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
    ACTIONS(506), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(508), 8,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12096] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(592), 1,
      anon_sym_BANG,
    ACTIONS(594), 1,
      sym_number,
    ACTIONS(600), 1,
      anon_sym_RPAREN,
    STATE(396), 1,
      sym_binary_expression,
    STATE(469), 1,
      sym_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(794), 1,
      sym_unary_expression,
    STATE(1005), 1,
      sym_arguments,
    STATE(159), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12155] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_QMARK,
    ACTIONS(289), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(225), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(227), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12190] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(430), 1,
      sym__binary_op,
    ACTIONS(458), 2,
      anon_sym_QMARK,
      sym_identifier,
    ACTIONS(598), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(456), 5,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
    ACTIONS(506), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(508), 8,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12229] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(592), 1,
      anon_sym_BANG,
    ACTIONS(594), 1,
      sym_number,
    ACTIONS(602), 1,
      anon_sym_RPAREN,
    STATE(396), 1,
      sym_binary_expression,
    STATE(469), 1,
      sym_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(794), 1,
      sym_unary_expression,
    STATE(1007), 1,
      sym_arguments,
    STATE(159), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12288] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(410), 1,
      anon_sym_SQUOTE,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_LBRACE,
    ACTIONS(416), 1,
      anon_sym_LPAREN,
    ACTIONS(418), 1,
      anon_sym_LBRACK,
    ACTIONS(420), 1,
      anon_sym_BANG,
    ACTIONS(422), 1,
      sym_identifier,
    ACTIONS(604), 1,
      sym_number,
    STATE(365), 1,
      sym_conditional_expression,
    STATE(398), 1,
      sym_binary_expression,
    STATE(465), 1,
      sym_expression,
    STATE(700), 1,
      sym__double_quote,
    STATE(701), 1,
      sym_unary_expression,
    STATE(702), 1,
      sym__single_quote,
    STATE(168), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12344] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(357), 1,
      anon_sym_BANG,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(606), 1,
      sym_number,
    STATE(150), 1,
      sym_conditional_expression,
    STATE(286), 1,
      sym_binary_expression,
    STATE(469), 1,
      sym_expression,
    STATE(625), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(84), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12400] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(357), 1,
      anon_sym_BANG,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(606), 1,
      sym_number,
    STATE(150), 1,
      sym_conditional_expression,
    STATE(286), 1,
      sym_binary_expression,
    STATE(469), 1,
      sym_expression,
    STATE(625), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(84), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12456] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(410), 1,
      anon_sym_SQUOTE,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_LBRACE,
    ACTIONS(416), 1,
      anon_sym_LPAREN,
    ACTIONS(418), 1,
      anon_sym_LBRACK,
    ACTIONS(422), 1,
      sym_identifier,
    ACTIONS(480), 1,
      anon_sym_BANG,
    ACTIONS(608), 1,
      sym_number,
    STATE(301), 1,
      sym_binary_expression,
    STATE(364), 1,
      sym_unary_expression,
    STATE(365), 1,
      sym_conditional_expression,
    STATE(465), 1,
      sym_expression,
    STATE(700), 1,
      sym__double_quote,
    STATE(702), 1,
      sym__single_quote,
    STATE(113), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12512] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(410), 1,
      anon_sym_SQUOTE,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_LBRACE,
    ACTIONS(416), 1,
      anon_sym_LPAREN,
    ACTIONS(418), 1,
      anon_sym_LBRACK,
    ACTIONS(422), 1,
      sym_identifier,
    ACTIONS(480), 1,
      anon_sym_BANG,
    ACTIONS(608), 1,
      sym_number,
    STATE(301), 1,
      sym_binary_expression,
    STATE(364), 1,
      sym_unary_expression,
    STATE(365), 1,
      sym_conditional_expression,
    STATE(465), 1,
      sym_expression,
    STATE(700), 1,
      sym__double_quote,
    STATE(702), 1,
      sym__single_quote,
    STATE(113), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12568] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(476), 1,
      anon_sym_BANG,
    ACTIONS(610), 1,
      sym_number,
    STATE(137), 1,
      sym_binary_expression,
    STATE(469), 1,
      sym_expression,
    STATE(480), 1,
      sym_conditional_expression,
    STATE(511), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(22), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12624] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(476), 1,
      anon_sym_BANG,
    ACTIONS(610), 1,
      sym_number,
    STATE(137), 1,
      sym_binary_expression,
    STATE(469), 1,
      sym_expression,
    STATE(480), 1,
      sym_conditional_expression,
    STATE(511), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(22), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12680] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(612), 1,
      sym_number,
    STATE(263), 1,
      sym_binary_expression,
    STATE(469), 1,
      sym_expression,
    STATE(480), 1,
      sym_conditional_expression,
    STATE(593), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(60), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12736] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(612), 1,
      sym_number,
    STATE(263), 1,
      sym_binary_expression,
    STATE(469), 1,
      sym_expression,
    STATE(480), 1,
      sym_conditional_expression,
    STATE(593), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(60), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12792] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(410), 1,
      anon_sym_SQUOTE,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_LBRACE,
    ACTIONS(416), 1,
      anon_sym_LPAREN,
    ACTIONS(418), 1,
      anon_sym_LBRACK,
    ACTIONS(420), 1,
      anon_sym_BANG,
    ACTIONS(422), 1,
      sym_identifier,
    ACTIONS(604), 1,
      sym_number,
    STATE(365), 1,
      sym_conditional_expression,
    STATE(398), 1,
      sym_binary_expression,
    STATE(465), 1,
      sym_expression,
    STATE(700), 1,
      sym__double_quote,
    STATE(701), 1,
      sym_unary_expression,
    STATE(702), 1,
      sym__single_quote,
    STATE(168), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12848] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(410), 1,
      anon_sym_SQUOTE,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_LBRACE,
    ACTIONS(416), 1,
      anon_sym_LPAREN,
    ACTIONS(418), 1,
      anon_sym_LBRACK,
    ACTIONS(422), 1,
      sym_identifier,
    ACTIONS(480), 1,
      anon_sym_BANG,
    ACTIONS(614), 1,
      sym_number,
    STATE(281), 1,
      sym_binary_expression,
    STATE(365), 1,
      sym_conditional_expression,
    STATE(465), 1,
      sym_expression,
    STATE(627), 1,
      sym_unary_expression,
    STATE(700), 1,
      sym__double_quote,
    STATE(702), 1,
      sym__single_quote,
    STATE(103), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12904] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(490), 1,
      anon_sym_SQUOTE,
    ACTIONS(492), 1,
      anon_sym_DQUOTE,
    ACTIONS(494), 1,
      anon_sym_LBRACE,
    ACTIONS(496), 1,
      anon_sym_LPAREN,
    ACTIONS(498), 1,
      anon_sym_LBRACK,
    ACTIONS(502), 1,
      sym_identifier,
    ACTIONS(523), 1,
      anon_sym_BANG,
    ACTIONS(616), 1,
      sym_number,
    STATE(238), 1,
      sym_binary_expression,
    STATE(471), 1,
      sym_expression,
    STATE(480), 1,
      sym_conditional_expression,
    STATE(551), 1,
      sym_unary_expression,
    STATE(717), 1,
      sym__single_quote,
    STATE(718), 1,
      sym__double_quote,
    STATE(33), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12960] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(490), 1,
      anon_sym_SQUOTE,
    ACTIONS(492), 1,
      anon_sym_DQUOTE,
    ACTIONS(494), 1,
      anon_sym_LBRACE,
    ACTIONS(496), 1,
      anon_sym_LPAREN,
    ACTIONS(498), 1,
      anon_sym_LBRACK,
    ACTIONS(502), 1,
      sym_identifier,
    ACTIONS(523), 1,
      anon_sym_BANG,
    ACTIONS(616), 1,
      sym_number,
    STATE(238), 1,
      sym_binary_expression,
    STATE(471), 1,
      sym_expression,
    STATE(480), 1,
      sym_conditional_expression,
    STATE(551), 1,
      sym_unary_expression,
    STATE(717), 1,
      sym__single_quote,
    STATE(718), 1,
      sym__double_quote,
    STATE(33), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [13016] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(458), 1,
      anon_sym_QMARK,
    STATE(444), 1,
      sym__binary_op,
    ACTIONS(618), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(448), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(456), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
    ACTIONS(450), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [13054] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(490), 1,
      anon_sym_SQUOTE,
    ACTIONS(492), 1,
      anon_sym_DQUOTE,
    ACTIONS(494), 1,
      anon_sym_LBRACE,
    ACTIONS(496), 1,
      anon_sym_LPAREN,
    ACTIONS(498), 1,
      anon_sym_LBRACK,
    ACTIONS(502), 1,
      sym_identifier,
    ACTIONS(517), 1,
      anon_sym_BANG,
    ACTIONS(620), 1,
      sym_number,
    STATE(175), 1,
      sym_binary_expression,
    STATE(208), 1,
      sym_conditional_expression,
    STATE(209), 1,
      sym_unary_expression,
    STATE(471), 1,
      sym_expression,
    STATE(717), 1,
      sym__single_quote,
    STATE(718), 1,
      sym__double_quote,
    STATE(26), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [13110] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(490), 1,
      anon_sym_SQUOTE,
    ACTIONS(492), 1,
      anon_sym_DQUOTE,
    ACTIONS(494), 1,
      anon_sym_LBRACE,
    ACTIONS(496), 1,
      anon_sym_LPAREN,
    ACTIONS(498), 1,
      anon_sym_LBRACK,
    ACTIONS(502), 1,
      sym_identifier,
    ACTIONS(517), 1,
      anon_sym_BANG,
    ACTIONS(620), 1,
      sym_number,
    STATE(175), 1,
      sym_binary_expression,
    STATE(208), 1,
      sym_conditional_expression,
    STATE(209), 1,
      sym_unary_expression,
    STATE(471), 1,
      sym_expression,
    STATE(717), 1,
      sym__single_quote,
    STATE(718), 1,
      sym__double_quote,
    STATE(26), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [13166] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(490), 1,
      anon_sym_SQUOTE,
    ACTIONS(492), 1,
      anon_sym_DQUOTE,
    ACTIONS(494), 1,
      anon_sym_LBRACE,
    ACTIONS(496), 1,
      anon_sym_LPAREN,
    ACTIONS(498), 1,
      anon_sym_LBRACK,
    ACTIONS(500), 1,
      anon_sym_BANG,
    ACTIONS(502), 1,
      sym_identifier,
    ACTIONS(622), 1,
      sym_number,
    STATE(126), 1,
      sym_binary_expression,
    STATE(471), 1,
      sym_expression,
    STATE(480), 1,
      sym_conditional_expression,
    STATE(518), 1,
      sym_unary_expression,
    STATE(717), 1,
      sym__single_quote,
    STATE(718), 1,
      sym__double_quote,
    STATE(28), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [13222] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(527), 1,
      anon_sym_BANG,
    ACTIONS(624), 1,
      sym_number,
    STATE(97), 1,
      sym_binary_expression,
    STATE(150), 1,
      sym_conditional_expression,
    STATE(198), 1,
      sym_unary_expression,
    STATE(469), 1,
      sym_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(19), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [13278] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(490), 1,
      anon_sym_SQUOTE,
    ACTIONS(492), 1,
      anon_sym_DQUOTE,
    ACTIONS(494), 1,
      anon_sym_LBRACE,
    ACTIONS(496), 1,
      anon_sym_LPAREN,
    ACTIONS(498), 1,
      anon_sym_LBRACK,
    ACTIONS(500), 1,
      anon_sym_BANG,
    ACTIONS(502), 1,
      sym_identifier,
    ACTIONS(622), 1,
      sym_number,
    STATE(126), 1,
      sym_binary_expression,
    STATE(471), 1,
      sym_expression,
    STATE(480), 1,
      sym_conditional_expression,
    STATE(518), 1,
      sym_unary_expression,
    STATE(717), 1,
      sym__single_quote,
    STATE(718), 1,
      sym__double_quote,
    STATE(28), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [13334] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(527), 1,
      anon_sym_BANG,
    ACTIONS(626), 1,
      sym_number,
    STATE(150), 1,
      sym_conditional_expression,
    STATE(217), 1,
      sym_binary_expression,
    STATE(469), 1,
      sym_expression,
    STATE(539), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(39), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [13390] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_QMARK,
    STATE(444), 1,
      sym__binary_op,
    ACTIONS(618), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(448), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
    ACTIONS(450), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [13428] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(527), 1,
      anon_sym_BANG,
    ACTIONS(626), 1,
      sym_number,
    STATE(150), 1,
      sym_conditional_expression,
    STATE(217), 1,
      sym_binary_expression,
    STATE(469), 1,
      sym_expression,
    STATE(539), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(39), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [13484] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(476), 1,
      anon_sym_BANG,
    ACTIONS(628), 1,
      sym_number,
    STATE(297), 1,
      sym_binary_expression,
    STATE(469), 1,
      sym_expression,
    STATE(480), 1,
      sym_conditional_expression,
    STATE(573), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(93), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [13540] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(476), 1,
      anon_sym_BANG,
    ACTIONS(628), 1,
      sym_number,
    STATE(297), 1,
      sym_binary_expression,
    STATE(469), 1,
      sym_expression,
    STATE(480), 1,
      sym_conditional_expression,
    STATE(573), 1,
      sym_unary_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(93), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [13596] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(410), 1,
      anon_sym_SQUOTE,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_LBRACE,
    ACTIONS(416), 1,
      anon_sym_LPAREN,
    ACTIONS(418), 1,
      anon_sym_LBRACK,
    ACTIONS(422), 1,
      sym_identifier,
    ACTIONS(480), 1,
      anon_sym_BANG,
    ACTIONS(614), 1,
      sym_number,
    STATE(281), 1,
      sym_binary_expression,
    STATE(365), 1,
      sym_conditional_expression,
    STATE(465), 1,
      sym_expression,
    STATE(627), 1,
      sym_unary_expression,
    STATE(700), 1,
      sym__double_quote,
    STATE(702), 1,
      sym__single_quote,
    STATE(103), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [13652] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(410), 1,
      anon_sym_SQUOTE,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_LBRACE,
    ACTIONS(416), 1,
      anon_sym_LPAREN,
    ACTIONS(418), 1,
      anon_sym_LBRACK,
    ACTIONS(422), 1,
      sym_identifier,
    ACTIONS(480), 1,
      anon_sym_BANG,
    ACTIONS(630), 1,
      sym_number,
    STATE(275), 1,
      sym_binary_expression,
    STATE(365), 1,
      sym_conditional_expression,
    STATE(465), 1,
      sym_expression,
    STATE(582), 1,
      sym_unary_expression,
    STATE(700), 1,
      sym__double_quote,
    STATE(702), 1,
      sym__single_quote,
    STATE(98), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [13708] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(527), 1,
      anon_sym_BANG,
    ACTIONS(624), 1,
      sym_number,
    STATE(97), 1,
      sym_binary_expression,
    STATE(150), 1,
      sym_conditional_expression,
    STATE(198), 1,
      sym_unary_expression,
    STATE(469), 1,
      sym_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(19), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [13764] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(410), 1,
      anon_sym_SQUOTE,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_LBRACE,
    ACTIONS(416), 1,
      anon_sym_LPAREN,
    ACTIONS(418), 1,
      anon_sym_LBRACK,
    ACTIONS(422), 1,
      sym_identifier,
    ACTIONS(480), 1,
      anon_sym_BANG,
    ACTIONS(630), 1,
      sym_number,
    STATE(275), 1,
      sym_binary_expression,
    STATE(365), 1,
      sym_conditional_expression,
    STATE(465), 1,
      sym_expression,
    STATE(582), 1,
      sym_unary_expression,
    STATE(700), 1,
      sym__double_quote,
    STATE(702), 1,
      sym__single_quote,
    STATE(98), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [13820] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(300), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(472), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(474), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [13851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_LT,
    ACTIONS(632), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [13880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(638), 1,
      anon_sym_LT,
    ACTIONS(636), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [13909] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(444), 1,
      sym__binary_op,
    ACTIONS(458), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(640), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(456), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(448), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(450), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [13946] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(440), 1,
      sym__binary_op,
    ACTIONS(215), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(646), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(217), 3,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(642), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(644), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [13983] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(458), 1,
      anon_sym_QMARK,
    STATE(444), 1,
      sym__binary_op,
    ACTIONS(648), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(448), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(456), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
    ACTIONS(450), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(652), 1,
      anon_sym_LT,
    ACTIONS(650), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(656), 1,
      anon_sym_LT,
    ACTIONS(654), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(660), 1,
      anon_sym_LT,
    ACTIONS(658), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(664), 1,
      anon_sym_LT,
    ACTIONS(662), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14136] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(440), 1,
      sym__binary_op,
    ACTIONS(215), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(666), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(217), 3,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(642), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(644), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(670), 1,
      anon_sym_LT,
    ACTIONS(668), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(674), 1,
      anon_sym_LT,
    ACTIONS(672), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(678), 1,
      anon_sym_LT,
    ACTIONS(676), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14260] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(440), 1,
      sym__binary_op,
    ACTIONS(458), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(646), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(456), 3,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(642), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(644), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14297] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_QMARK,
    STATE(444), 1,
      sym__binary_op,
    ACTIONS(648), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(217), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
    ACTIONS(448), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(450), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(682), 1,
      anon_sym_LT,
    ACTIONS(680), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(686), 1,
      anon_sym_LT,
    ACTIONS(684), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(690), 1,
      anon_sym_LT,
    ACTIONS(688), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(694), 1,
      anon_sym_LT,
    ACTIONS(692), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14450] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(440), 1,
      sym__binary_op,
    ACTIONS(458), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(456), 3,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(642), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(644), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(698), 1,
      anon_sym_LT,
    ACTIONS(696), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(702), 1,
      anon_sym_LT,
    ACTIONS(700), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(706), 1,
      anon_sym_LT,
    ACTIONS(704), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(710), 1,
      anon_sym_LT,
    ACTIONS(708), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14601] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(712), 1,
      anon_sym_COLON,
    STATE(316), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(464), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(466), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14634] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(444), 1,
      sym__binary_op,
    ACTIONS(215), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(640), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(217), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(448), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(450), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(716), 1,
      anon_sym_LT,
    ACTIONS(714), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(720), 1,
      anon_sym_LT,
    ACTIONS(718), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14729] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(722), 1,
      anon_sym_PIPE,
    STATE(300), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(426), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14762] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(440), 1,
      sym__binary_op,
    ACTIONS(215), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(725), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(217), 3,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(642), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(644), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(729), 1,
      anon_sym_LT,
    ACTIONS(727), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(733), 1,
      anon_sym_LT,
    ACTIONS(731), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14857] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(712), 1,
      anon_sym_COLON,
    ACTIONS(735), 1,
      anon_sym_QMARK_QMARK,
    STATE(296), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(442), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(444), 12,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(739), 1,
      anon_sym_LT,
    ACTIONS(737), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(743), 1,
      anon_sym_LT,
    ACTIONS(741), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(747), 1,
      anon_sym_LT,
    ACTIONS(745), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      anon_sym_LT,
    ACTIONS(749), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15008] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(735), 1,
      anon_sym_QMARK_QMARK,
    STATE(311), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(442), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(444), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(755), 1,
      anon_sym_LT,
    ACTIONS(753), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15070] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(316), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(464), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(466), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15101] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(385), 1,
      sym_pipe_arguments,
    ACTIONS(468), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(470), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(759), 1,
      anon_sym_LT,
    ACTIONS(757), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(763), 1,
      anon_sym_LT,
    ACTIONS(761), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_LT,
    ACTIONS(765), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15219] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(769), 1,
      anon_sym_COLON,
    STATE(316), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(435), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(437), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(774), 1,
      anon_sym_LT,
    ACTIONS(772), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(778), 1,
      anon_sym_LT,
    ACTIONS(776), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(782), 1,
      anon_sym_LT,
    ACTIONS(780), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(786), 1,
      anon_sym_LT,
    ACTIONS(784), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15368] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(440), 1,
      sym__binary_op,
    ACTIONS(458), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(725), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(456), 3,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(642), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(644), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(790), 1,
      anon_sym_LT,
    ACTIONS(788), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(790), 1,
      anon_sym_LT,
    ACTIONS(788), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(794), 1,
      anon_sym_LT,
    ACTIONS(792), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(798), 1,
      anon_sym_LT,
    ACTIONS(796), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15521] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(800), 1,
      anon_sym_COLON,
    STATE(385), 1,
      sym_pipe_arguments,
    ACTIONS(468), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(470), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(804), 1,
      anon_sym_LT,
    ACTIONS(802), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(808), 1,
      anon_sym_LT,
    ACTIONS(806), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(812), 1,
      anon_sym_LT,
    ACTIONS(810), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(816), 1,
      anon_sym_LT,
    ACTIONS(814), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15670] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(440), 1,
      sym__binary_op,
    ACTIONS(458), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(666), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(456), 3,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(642), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(644), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 1,
      anon_sym_LT,
    ACTIONS(818), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(824), 1,
      anon_sym_LT,
    ACTIONS(822), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [15765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(743), 1,
      anon_sym_LT,
    ACTIONS(741), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [15793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(686), 1,
      anon_sym_LT,
    ACTIONS(684), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [15821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(828), 1,
      anon_sym_LT,
    ACTIONS(826), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [15849] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(830), 1,
      anon_sym_QMARK,
    ACTIONS(570), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(572), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15881] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(562), 1,
      anon_sym_PIPE,
    STATE(341), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(472), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(474), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 1,
      anon_sym_LT,
    ACTIONS(832), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [15941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(674), 1,
      anon_sym_LT,
    ACTIONS(672), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [15969] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_PIPE,
    STATE(341), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(426), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [16001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(638), 1,
      anon_sym_LT,
    ACTIONS(636), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16029] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(592), 1,
      anon_sym_BANG,
    ACTIONS(839), 1,
      sym_number,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(777), 2,
      sym_expression,
      sym_unary_expression,
    STATE(529), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [16077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(554), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(556), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [16105] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(592), 1,
      anon_sym_BANG,
    ACTIONS(839), 1,
      sym_number,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(788), 2,
      sym_expression,
      sym_unary_expression,
    STATE(529), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [16153] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(592), 1,
      anon_sym_BANG,
    ACTIONS(839), 1,
      sym_number,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(784), 2,
      sym_expression,
      sym_unary_expression,
    STATE(529), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [16201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(798), 1,
      anon_sym_LT,
    ACTIONS(796), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(759), 1,
      anon_sym_LT,
    ACTIONS(757), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(426), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [16285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(794), 1,
      anon_sym_LT,
    ACTIONS(792), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(739), 1,
      anon_sym_LT,
    ACTIONS(737), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(790), 1,
      anon_sym_LT,
    ACTIONS(788), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(790), 1,
      anon_sym_LT,
    ACTIONS(788), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16397] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(446), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(566), 1,
      anon_sym_QMARK,
    ACTIONS(574), 1,
      anon_sym_COLON,
    STATE(188), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(442), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(444), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [16433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(786), 1,
      anon_sym_LT,
    ACTIONS(784), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(782), 1,
      anon_sym_LT,
    ACTIONS(780), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(729), 1,
      anon_sym_LT,
    ACTIONS(727), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(778), 1,
      anon_sym_LT,
    ACTIONS(776), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_LT,
    ACTIONS(632), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 1,
      anon_sym_LT,
    ACTIONS(818), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(774), 1,
      anon_sym_LT,
    ACTIONS(772), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym_LT,
    ACTIONS(765), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(824), 1,
      anon_sym_LT,
    ACTIONS(822), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16685] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(462), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(215), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 12,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [16715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [16743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(763), 1,
      anon_sym_LT,
    ACTIONS(761), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(755), 1,
      anon_sym_LT,
    ACTIONS(753), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(558), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(560), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [16827] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(830), 1,
      anon_sym_QMARK,
    ACTIONS(291), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(289), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [16859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(804), 1,
      anon_sym_LT,
    ACTIONS(802), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      anon_sym_LT,
    ACTIONS(749), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16915] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(592), 1,
      anon_sym_BANG,
    ACTIONS(839), 1,
      sym_number,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(884), 2,
      sym_expression,
      sym_unary_expression,
    STATE(529), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [16963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(808), 1,
      anon_sym_LT,
    ACTIONS(806), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(652), 1,
      anon_sym_LT,
    ACTIONS(650), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [17019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(656), 1,
      anon_sym_LT,
    ACTIONS(654), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [17047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(660), 1,
      anon_sym_LT,
    ACTIONS(658), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [17075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(664), 1,
      anon_sym_LT,
    ACTIONS(662), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [17103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(670), 1,
      anon_sym_LT,
    ACTIONS(668), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [17131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(678), 1,
      anon_sym_LT,
    ACTIONS(676), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [17159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(682), 1,
      anon_sym_LT,
    ACTIONS(680), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [17187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(812), 1,
      anon_sym_LT,
    ACTIONS(810), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [17215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(690), 1,
      anon_sym_LT,
    ACTIONS(688), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [17243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(694), 1,
      anon_sym_LT,
    ACTIONS(692), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [17271] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(462), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(458), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(456), 12,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [17301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(576), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(578), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [17329] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(592), 1,
      anon_sym_BANG,
    ACTIONS(839), 1,
      sym_number,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(814), 2,
      sym_expression,
      sym_unary_expression,
    STATE(529), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [17377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(816), 1,
      anon_sym_LT,
    ACTIONS(814), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [17405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(747), 1,
      anon_sym_LT,
    ACTIONS(745), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [17433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(698), 1,
      anon_sym_LT,
    ACTIONS(696), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [17461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(702), 1,
      anon_sym_LT,
    ACTIONS(700), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [17489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(706), 1,
      anon_sym_LT,
    ACTIONS(704), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [17517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(710), 1,
      anon_sym_LT,
    ACTIONS(708), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [17545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(716), 1,
      anon_sym_LT,
    ACTIONS(714), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [17573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(720), 1,
      anon_sym_LT,
    ACTIONS(718), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [17601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(733), 1,
      anon_sym_LT,
    ACTIONS(731), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [17629] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(542), 1,
      anon_sym_RPAREN,
    ACTIONS(544), 1,
      anon_sym_COMMA,
    STATE(444), 1,
      sym__binary_op,
    STATE(799), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(448), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(450), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [17664] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(458), 1,
      anon_sym_QMARK,
    STATE(440), 1,
      sym__binary_op,
    ACTIONS(456), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(841), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(642), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(644), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [17699] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_QMARK,
    STATE(440), 1,
      sym__binary_op,
    ACTIONS(217), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(841), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(642), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(644), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [17734] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(843), 1,
      sym_number,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(713), 1,
      sym_expression,
    STATE(515), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [17778] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(839), 1,
      sym_number,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(1003), 1,
      sym_expression,
    STATE(529), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [17822] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(845), 1,
      sym_identifier,
    ACTIONS(847), 1,
      sym_number,
    STATE(649), 1,
      sym_member_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(939), 1,
      sym_binding_name,
    STATE(761), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [17868] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(849), 1,
      sym_number,
    STATE(476), 1,
      sym_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(492), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [17912] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(847), 1,
      sym_number,
    ACTIONS(851), 1,
      anon_sym_SQUOTE,
    ACTIONS(853), 1,
      sym_identifier,
    STATE(659), 1,
      sym__single_quote,
    STATE(676), 1,
      sym__double_quote,
    STATE(953), 1,
      sym_static_member_expression,
    STATE(669), 2,
      sym_member_expression,
      sym_bracket_expression,
    STATE(761), 6,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
  [17958] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(839), 1,
      sym_number,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(946), 1,
      sym_expression,
    STATE(529), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [18002] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_LBRACE,
    ACTIONS(861), 1,
      anon_sym_LPAREN,
    ACTIONS(863), 1,
      anon_sym_LBRACK,
    ACTIONS(865), 1,
      sym_identifier,
    ACTIONS(867), 1,
      sym_number,
    STATE(476), 1,
      sym_expression,
    STATE(693), 1,
      sym__double_quote,
    STATE(694), 1,
      sym__single_quote,
    STATE(432), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [18046] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(871), 1,
      sym_number,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(727), 1,
      sym_member_expression,
    STATE(940), 1,
      sym_binding_name,
    STATE(746), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [18092] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(490), 1,
      anon_sym_SQUOTE,
    ACTIONS(492), 1,
      anon_sym_DQUOTE,
    ACTIONS(494), 1,
      anon_sym_LBRACE,
    ACTIONS(496), 1,
      anon_sym_LPAREN,
    ACTIONS(498), 1,
      anon_sym_LBRACK,
    ACTIONS(502), 1,
      sym_identifier,
    ACTIONS(873), 1,
      sym_number,
    STATE(210), 1,
      sym_expression,
    STATE(717), 1,
      sym__single_quote,
    STATE(718), 1,
      sym__double_quote,
    STATE(27), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [18136] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(875), 1,
      sym_number,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(836), 1,
      sym_expression,
    STATE(564), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [18180] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(871), 1,
      sym_number,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(727), 1,
      sym_member_expression,
    STATE(989), 1,
      sym_binding_name,
    STATE(746), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [18226] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(845), 1,
      sym_identifier,
    ACTIONS(847), 1,
      sym_number,
    STATE(649), 1,
      sym_member_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(997), 1,
      sym_binding_name,
    STATE(761), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [18272] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(877), 1,
      sym_number,
    STATE(171), 1,
      sym_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(495), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [18316] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(879), 1,
      anon_sym_COLON,
    STATE(195), 1,
      sym_pipe_arguments,
    ACTIONS(468), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(470), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [18346] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(845), 1,
      sym_identifier,
    ACTIONS(847), 1,
      sym_number,
    STATE(649), 1,
      sym_member_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(941), 1,
      sym_binding_name,
    STATE(761), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [18392] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(881), 1,
      sym_number,
    STATE(476), 1,
      sym_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [18436] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(843), 1,
      sym_number,
    STATE(673), 1,
      sym_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(515), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [18480] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(847), 1,
      sym_number,
    ACTIONS(851), 1,
      anon_sym_SQUOTE,
    ACTIONS(883), 1,
      sym_identifier,
    STATE(659), 1,
      sym__single_quote,
    STATE(676), 1,
      sym__double_quote,
    STATE(957), 1,
      sym_static_member_expression,
    STATE(671), 2,
      sym_member_expression,
      sym_bracket_expression,
    STATE(761), 6,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
  [18526] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(845), 1,
      sym_identifier,
    ACTIONS(847), 1,
      sym_number,
    STATE(649), 1,
      sym_member_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(996), 1,
      sym_binding_name,
    STATE(761), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [18572] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(410), 1,
      anon_sym_SQUOTE,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_LBRACE,
    ACTIONS(416), 1,
      anon_sym_LPAREN,
    ACTIONS(418), 1,
      anon_sym_LBRACK,
    ACTIONS(422), 1,
      sym_identifier,
    ACTIONS(885), 1,
      sym_number,
    STATE(368), 1,
      sym_expression,
    STATE(700), 1,
      sym__double_quote,
    STATE(702), 1,
      sym__single_quote,
    STATE(500), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [18616] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(839), 1,
      sym_number,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(975), 1,
      sym_expression,
    STATE(529), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [18660] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_LBRACE,
    ACTIONS(861), 1,
      anon_sym_LPAREN,
    ACTIONS(863), 1,
      anon_sym_LBRACK,
    ACTIONS(865), 1,
      sym_identifier,
    ACTIONS(887), 1,
      sym_number,
    STATE(476), 1,
      sym_expression,
    STATE(693), 1,
      sym__double_quote,
    STATE(694), 1,
      sym__single_quote,
    STATE(467), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [18704] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(410), 1,
      anon_sym_SQUOTE,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_LBRACE,
    ACTIONS(416), 1,
      anon_sym_LPAREN,
    ACTIONS(418), 1,
      anon_sym_LBRACK,
    ACTIONS(422), 1,
      sym_identifier,
    ACTIONS(889), 1,
      sym_number,
    STATE(700), 1,
      sym__double_quote,
    STATE(702), 1,
      sym__single_quote,
    STATE(795), 1,
      sym_expression,
    STATE(548), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [18748] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(881), 1,
      sym_number,
    STATE(171), 1,
      sym_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [18792] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(839), 1,
      sym_number,
    STATE(476), 1,
      sym_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(529), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [18836] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(847), 1,
      sym_number,
    ACTIONS(851), 1,
      anon_sym_SQUOTE,
    ACTIONS(891), 1,
      sym_identifier,
    STATE(659), 1,
      sym__single_quote,
    STATE(676), 1,
      sym__double_quote,
    STATE(1008), 1,
      sym_static_member_expression,
    STATE(716), 2,
      sym_member_expression,
      sym_bracket_expression,
    STATE(761), 6,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
  [18882] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(847), 1,
      sym_number,
    ACTIONS(851), 1,
      anon_sym_SQUOTE,
    ACTIONS(893), 1,
      sym_identifier,
    STATE(659), 1,
      sym__single_quote,
    STATE(676), 1,
      sym__double_quote,
    STATE(1009), 1,
      sym_static_member_expression,
    STATE(691), 2,
      sym_member_expression,
      sym_bracket_expression,
    STATE(761), 6,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
  [18928] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(845), 1,
      sym_identifier,
    ACTIONS(847), 1,
      sym_number,
    STATE(649), 1,
      sym_member_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(934), 1,
      sym_binding_name,
    STATE(761), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [18974] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(410), 1,
      anon_sym_SQUOTE,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_LBRACE,
    ACTIONS(416), 1,
      anon_sym_LPAREN,
    ACTIONS(418), 1,
      anon_sym_LBRACK,
    ACTIONS(422), 1,
      sym_identifier,
    ACTIONS(895), 1,
      sym_number,
    STATE(368), 1,
      sym_expression,
    STATE(700), 1,
      sym__double_quote,
    STATE(702), 1,
      sym__single_quote,
    STATE(108), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19018] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(845), 1,
      sym_identifier,
    ACTIONS(847), 1,
      sym_number,
    STATE(649), 1,
      sym_member_expression,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(942), 1,
      sym_binding_name,
    STATE(761), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [19064] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(897), 1,
      sym_number,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(463), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19105] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(490), 1,
      anon_sym_SQUOTE,
    ACTIONS(492), 1,
      anon_sym_DQUOTE,
    ACTIONS(494), 1,
      anon_sym_LBRACE,
    ACTIONS(496), 1,
      anon_sym_LPAREN,
    ACTIONS(498), 1,
      anon_sym_LBRACK,
    ACTIONS(502), 1,
      sym_identifier,
    ACTIONS(899), 1,
      sym_number,
    STATE(717), 1,
      sym__single_quote,
    STATE(718), 1,
      sym__double_quote,
    STATE(81), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19146] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(901), 1,
      sym_number,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(703), 1,
      sym_group,
    STATE(705), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19189] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(903), 1,
      anon_sym_LBRACK,
    STATE(509), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(513), 1,
      sym_pipe_sequence,
    ACTIONS(205), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(905), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(207), 9,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [19222] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(907), 1,
      sym_number,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(690), 1,
      sym_group,
    STATE(665), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19265] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(909), 1,
      sym_number,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(643), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19306] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(410), 1,
      anon_sym_SQUOTE,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_LBRACE,
    ACTIONS(416), 1,
      anon_sym_LPAREN,
    ACTIONS(418), 1,
      anon_sym_LBRACK,
    ACTIONS(422), 1,
      sym_identifier,
    ACTIONS(911), 1,
      sym_number,
    STATE(700), 1,
      sym__double_quote,
    STATE(702), 1,
      sym__single_quote,
    STATE(227), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19347] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(913), 1,
      sym_number,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(710), 1,
      sym_group,
    STATE(714), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19390] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(915), 1,
      sym_number,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(729), 1,
      sym_group,
    STATE(686), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19433] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(917), 1,
      sym_number,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(730), 1,
      sym_group,
    STATE(662), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19476] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(490), 1,
      anon_sym_SQUOTE,
    ACTIONS(492), 1,
      anon_sym_DQUOTE,
    ACTIONS(494), 1,
      anon_sym_LBRACE,
    ACTIONS(496), 1,
      anon_sym_LPAREN,
    ACTIONS(498), 1,
      anon_sym_LBRACK,
    ACTIONS(502), 1,
      sym_identifier,
    ACTIONS(919), 1,
      sym_number,
    STATE(717), 1,
      sym__single_quote,
    STATE(718), 1,
      sym__double_quote,
    STATE(61), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19517] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(410), 1,
      anon_sym_SQUOTE,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_LBRACE,
    ACTIONS(416), 1,
      anon_sym_LPAREN,
    ACTIONS(418), 1,
      anon_sym_LBRACK,
    ACTIONS(422), 1,
      sym_identifier,
    ACTIONS(921), 1,
      sym_number,
    STATE(700), 1,
      sym__double_quote,
    STATE(702), 1,
      sym__single_quote,
    STATE(226), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19558] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(923), 1,
      sym_number,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(650), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19599] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(925), 1,
      sym_number,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(678), 1,
      sym_group,
    STATE(679), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19642] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(927), 1,
      sym_number,
    STATE(664), 1,
      sym_group,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(668), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19685] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(929), 1,
      sym_number,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(42), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19726] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(255), 1,
      anon_sym_PIPE,
    STATE(448), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(472), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(474), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [19755] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(931), 1,
      sym_number,
    STATE(672), 1,
      sym_group,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(670), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19798] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(933), 1,
      sym_number,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(721), 1,
      sym_group,
    STATE(696), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19841] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_PIPE,
    STATE(448), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(426), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(428), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [19870] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(938), 1,
      sym_number,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(697), 1,
      sym_group,
    STATE(715), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19913] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(940), 1,
      sym_number,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(648), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19954] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(942), 1,
      sym_number,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(704), 1,
      sym_group,
    STATE(706), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19997] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(410), 1,
      anon_sym_SQUOTE,
    ACTIONS(412), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      anon_sym_LBRACE,
    ACTIONS(416), 1,
      anon_sym_LPAREN,
    ACTIONS(418), 1,
      anon_sym_LBRACK,
    ACTIONS(422), 1,
      sym_identifier,
    ACTIONS(944), 1,
      sym_number,
    STATE(700), 1,
      sym__double_quote,
    STATE(702), 1,
      sym__single_quote,
    STATE(656), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [20038] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(946), 1,
      sym_number,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(680), 1,
      sym_group,
    STATE(674), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [20081] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(948), 1,
      sym_number,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(641), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [20122] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(950), 1,
      sym_number,
    STATE(667), 1,
      sym_group,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(666), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [20165] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(952), 1,
      sym_number,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(699), 1,
      sym_group,
    STATE(687), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [20208] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(954), 1,
      sym_number,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(683), 1,
      sym_group,
    STATE(681), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [20251] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(956), 1,
      sym_number,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(46), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [20292] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(958), 1,
      sym_number,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(692), 1,
      sym_group,
    STATE(689), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [20335] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(960), 1,
      sym_number,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(685), 1,
      sym_group,
    STATE(688), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [20378] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(962), 1,
      sym_number,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(723), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [20419] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      anon_sym_LBRACE,
    ACTIONS(861), 1,
      anon_sym_LPAREN,
    ACTIONS(863), 1,
      anon_sym_LBRACK,
    ACTIONS(865), 1,
      sym_identifier,
    ACTIONS(964), 1,
      sym_number,
    STATE(693), 1,
      sym__double_quote,
    STATE(694), 1,
      sym__single_quote,
    STATE(487), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [20460] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(295), 10,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [20488] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(966), 1,
      anon_sym_GT,
    ACTIONS(968), 1,
      anon_sym_SLASH_GT,
    ACTIONS(970), 1,
      sym_attribute_name,
    ACTIONS(972), 1,
      anon_sym_LPAREN,
    ACTIONS(974), 1,
      anon_sym_STAR,
    ACTIONS(976), 1,
      anon_sym_LBRACK,
    ACTIONS(978), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(980), 1,
      anon_sym_LBRACK_AT,
    STATE(580), 1,
      sym__normal_attribute,
    STATE(470), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(578), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [20530] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(440), 1,
      sym__binary_op,
    ACTIONS(642), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(644), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [20556] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(970), 1,
      sym_attribute_name,
    ACTIONS(972), 1,
      anon_sym_LPAREN,
    ACTIONS(974), 1,
      anon_sym_STAR,
    ACTIONS(976), 1,
      anon_sym_LBRACK,
    ACTIONS(978), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(980), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(982), 1,
      anon_sym_GT,
    ACTIONS(984), 1,
      anon_sym_SLASH_GT,
    STATE(580), 1,
      sym__normal_attribute,
    STATE(473), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(578), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [20598] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(205), 1,
      anon_sym_QMARK,
    ACTIONS(903), 1,
      anon_sym_LBRACK,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    STATE(513), 1,
      sym_pipe_sequence,
    STATE(514), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(905), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(207), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [20632] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(966), 1,
      anon_sym_GT,
    ACTIONS(970), 1,
      sym_attribute_name,
    ACTIONS(972), 1,
      anon_sym_LPAREN,
    ACTIONS(974), 1,
      anon_sym_STAR,
    ACTIONS(976), 1,
      anon_sym_LBRACK,
    ACTIONS(978), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(980), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(988), 1,
      anon_sym_SLASH_GT,
    STATE(580), 1,
      sym__normal_attribute,
    STATE(466), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(578), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [20674] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(444), 1,
      sym__binary_op,
    ACTIONS(448), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(450), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [20700] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(970), 1,
      sym_attribute_name,
    ACTIONS(972), 1,
      anon_sym_LPAREN,
    ACTIONS(974), 1,
      anon_sym_STAR,
    ACTIONS(976), 1,
      anon_sym_LBRACK,
    ACTIONS(978), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(980), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(982), 1,
      anon_sym_GT,
    ACTIONS(990), 1,
      anon_sym_SLASH_GT,
    STATE(580), 1,
      sym__normal_attribute,
    STATE(473), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(578), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [20742] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(430), 1,
      sym__binary_op,
    ACTIONS(506), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(508), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [20768] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(992), 1,
      anon_sym_LPAREN,
    ACTIONS(225), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(227), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [20794] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(996), 1,
      sym_attribute_name,
    ACTIONS(999), 1,
      anon_sym_LPAREN,
    ACTIONS(1002), 1,
      anon_sym_STAR,
    ACTIONS(1005), 1,
      anon_sym_LBRACK,
    ACTIONS(1008), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(1011), 1,
      anon_sym_LBRACK_AT,
    STATE(580), 1,
      sym__normal_attribute,
    ACTIONS(994), 2,
      anon_sym_GT,
      anon_sym_SLASH_GT,
    STATE(473), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(578), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [20834] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(992), 1,
      anon_sym_LPAREN,
    ACTIONS(219), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(221), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [20860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(277), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(279), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [20883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(558), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(560), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [20906] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(994), 1,
      anon_sym_GT,
    ACTIONS(1014), 1,
      sym_attribute_name,
    ACTIONS(1017), 1,
      anon_sym_LPAREN,
    ACTIONS(1020), 1,
      anon_sym_STAR,
    ACTIONS(1023), 1,
      anon_sym_LBRACK,
    ACTIONS(1026), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(1029), 1,
      anon_sym_LBRACK_AT,
    STATE(611), 1,
      sym__normal_attribute,
    STATE(477), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(612), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [20945] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1032), 1,
      anon_sym_GT,
    ACTIONS(1034), 1,
      sym_attribute_name,
    ACTIONS(1036), 1,
      anon_sym_LPAREN,
    ACTIONS(1038), 1,
      anon_sym_STAR,
    ACTIONS(1040), 1,
      anon_sym_LBRACK,
    ACTIONS(1042), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(1044), 1,
      anon_sym_LBRACK_AT,
    STATE(611), 1,
      sym__normal_attribute,
    STATE(477), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(612), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [20984] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1034), 1,
      sym_attribute_name,
    ACTIONS(1036), 1,
      anon_sym_LPAREN,
    ACTIONS(1038), 1,
      anon_sym_STAR,
    ACTIONS(1040), 1,
      anon_sym_LBRACK,
    ACTIONS(1042), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(1044), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(1046), 1,
      anon_sym_GT,
    STATE(611), 1,
      sym__normal_attribute,
    STATE(477), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(612), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [21023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(217), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [21046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(305), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(307), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [21069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(273), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(275), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [21092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(241), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(243), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [21115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(269), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(271), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [21138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(265), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(267), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [21161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(259), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(261), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [21184] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(903), 1,
      anon_sym_LBRACK,
    ACTIONS(293), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(905), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(295), 9,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [21211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(245), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(247), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [21234] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1034), 1,
      sym_attribute_name,
    ACTIONS(1036), 1,
      anon_sym_LPAREN,
    ACTIONS(1038), 1,
      anon_sym_STAR,
    ACTIONS(1040), 1,
      anon_sym_LBRACK,
    ACTIONS(1042), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(1044), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(1048), 1,
      anon_sym_GT,
    STATE(611), 1,
      sym__normal_attribute,
    STATE(478), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(612), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [21273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(337), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [21296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(331), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(333), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [21319] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(205), 1,
      anon_sym_QMARK,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1050), 1,
      anon_sym_PIPE,
    STATE(169), 1,
      sym_pipe_sequence,
    STATE(538), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(207), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [21352] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1034), 1,
      sym_attribute_name,
    ACTIONS(1036), 1,
      anon_sym_LPAREN,
    ACTIONS(1038), 1,
      anon_sym_STAR,
    ACTIONS(1040), 1,
      anon_sym_LBRACK,
    ACTIONS(1042), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(1044), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(1052), 1,
      anon_sym_GT,
    STATE(611), 1,
      sym__normal_attribute,
    STATE(479), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(612), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [21391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(303), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [21414] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(205), 1,
      anon_sym_QMARK,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1054), 1,
      anon_sym_PIPE,
    STATE(169), 1,
      sym_pipe_sequence,
    STATE(546), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(207), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [21446] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1058), 1,
      anon_sym_DQUOTE,
    STATE(37), 1,
      sym__double_quote,
    STATE(722), 1,
      aux_sym_string_repeat1,
    ACTIONS(1060), 2,
      sym__escape_sequence,
      aux_sym_string_token1,
    ACTIONS(1056), 8,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [21473] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1058), 1,
      anon_sym_DQUOTE,
    STATE(37), 1,
      sym__double_quote,
    STATE(722), 1,
      aux_sym_string_repeat1,
    ACTIONS(1060), 2,
      sym__escape_sequence,
      aux_sym_string_token1,
    ACTIONS(1056), 7,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [21499] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1062), 1,
      anon_sym_COLON,
    STATE(498), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(435), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(437), 8,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [21523] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(426), 1,
      anon_sym_QMARK,
    ACTIONS(1065), 1,
      anon_sym_PIPE,
    STATE(499), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(428), 9,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [21547] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(205), 1,
      anon_sym_QMARK,
    ACTIONS(402), 1,
      anon_sym_LBRACK,
    ACTIONS(1068), 1,
      anon_sym_PIPE,
    STATE(344), 1,
      sym_pipe_sequence,
    STATE(634), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(406), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(207), 4,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [21577] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1070), 1,
      anon_sym_COLON,
    STATE(527), 1,
      sym_pipe_arguments,
    ACTIONS(468), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(470), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [21601] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1072), 1,
      anon_sym_QMARK_QMARK,
    STATE(506), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(442), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(444), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [21625] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1074), 1,
      anon_sym_QMARK_QMARK,
    STATE(507), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(442), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(444), 8,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [21649] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(527), 1,
      sym_pipe_arguments,
    ACTIONS(468), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(470), 9,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [21671] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1072), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1076), 1,
      anon_sym_COLON,
    STATE(510), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(442), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(444), 7,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [21697] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(508), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(464), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(466), 9,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [21719] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(498), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(464), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(466), 9,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [21741] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 1,
      anon_sym_COLON,
    STATE(508), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(435), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(437), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [21765] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(499), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(472), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(474), 9,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [21787] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1076), 1,
      anon_sym_COLON,
    STATE(508), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(464), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(466), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [21811] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(231), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(217), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
  [21832] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(570), 1,
      anon_sym_PIPE,
    ACTIONS(1072), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1081), 1,
      anon_sym_QMARK,
    ACTIONS(572), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [21855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(554), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(556), 9,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [21874] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(472), 1,
      anon_sym_QMARK,
    ACTIONS(986), 1,
      anon_sym_PIPE,
    STATE(528), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(474), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [21897] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1083), 1,
      anon_sym_PIPE,
    STATE(169), 1,
      sym_pipe_sequence,
    STATE(660), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(207), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [21924] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1074), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1085), 1,
      anon_sym_COLON,
    STATE(519), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(442), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(444), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [21949] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_PIPE,
    ACTIONS(1072), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1081), 1,
      anon_sym_QMARK,
    ACTIONS(289), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [21972] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(235), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(217), 7,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      sym_identifier,
  [21993] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_COLON,
    STATE(498), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(464), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(466), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22016] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(231), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(458), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(456), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
  [22037] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(570), 1,
      anon_sym_PIPE,
    ACTIONS(1074), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1087), 1,
      anon_sym_QMARK,
    ACTIONS(572), 8,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22060] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_PIPE,
    ACTIONS(1074), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1087), 1,
      anon_sym_QMARK,
    ACTIONS(289), 8,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22083] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(525), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(464), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(466), 8,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22104] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(446), 1,
      anon_sym_QMARK_QMARK,
    STATE(523), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(442), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(444), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22127] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1089), 1,
      anon_sym_COLON,
    STATE(525), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(435), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(437), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22150] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1092), 1,
      anon_sym_COLON,
    STATE(195), 1,
      sym_pipe_arguments,
    ACTIONS(468), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(470), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(576), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(578), 9,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [22192] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(426), 1,
      anon_sym_QMARK,
    ACTIONS(1094), 1,
      anon_sym_PIPE,
    STATE(528), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(428), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [22215] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1097), 1,
      anon_sym_PIPE,
    STATE(169), 1,
      sym_pipe_sequence,
    STATE(652), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(207), 4,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [22242] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(235), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(458), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(456), 7,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      sym_identifier,
  [22263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(426), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(428), 9,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [22282] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(446), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1099), 1,
      anon_sym_COLON,
    STATE(533), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(442), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(444), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22306] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1099), 1,
      anon_sym_COLON,
    STATE(525), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(464), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(466), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22328] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1101), 1,
      anon_sym_COLON,
    STATE(195), 1,
      sym_pipe_arguments,
    ACTIONS(468), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(470), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22350] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(257), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(458), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(456), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
  [22370] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_PIPE,
    ACTIONS(446), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1103), 1,
      anon_sym_QMARK,
    ACTIONS(289), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22392] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(426), 1,
      anon_sym_QMARK,
    ACTIONS(1105), 1,
      anon_sym_PIPE,
    STATE(537), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(428), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22414] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(472), 1,
      anon_sym_QMARK,
    ACTIONS(1050), 1,
      anon_sym_PIPE,
    STATE(537), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(474), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22436] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(257), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(217), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
  [22456] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(446), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(570), 1,
      anon_sym_PIPE,
    ACTIONS(1103), 1,
      anon_sym_QMARK,
    ACTIONS(572), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22478] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1112), 1,
      anon_sym_EQ,
    STATE(591), 1,
      sym__binding_assignment,
    ACTIONS(1110), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1108), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [22500] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(1114), 1,
      anon_sym_RBRACE,
    ACTIONS(1116), 1,
      sym_identifier,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(983), 1,
      sym_string,
    STATE(550), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [22529] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(1116), 1,
      sym_identifier,
    ACTIONS(1118), 1,
      anon_sym_RBRACE,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(983), 1,
      sym_string,
    STATE(545), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [22558] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_COLON,
    STATE(544), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(435), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(437), 5,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22579] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(1116), 1,
      sym_identifier,
    ACTIONS(1123), 1,
      anon_sym_RBRACE,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(983), 1,
      sym_string,
    STATE(553), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [22608] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(472), 1,
      anon_sym_QMARK,
    ACTIONS(1054), 1,
      anon_sym_PIPE,
    STATE(561), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(474), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22629] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 1,
      anon_sym_COLON,
    STATE(547), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(435), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(437), 5,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22650] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(402), 1,
      anon_sym_LBRACK,
    ACTIONS(1128), 1,
      anon_sym_PIPE,
    STATE(344), 1,
      sym_pipe_sequence,
    STATE(740), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(207), 2,
      sym__interpolation_end,
      anon_sym_PLUS,
    ACTIONS(406), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [22675] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1110), 1,
      anon_sym_LBRACK,
    ACTIONS(1130), 1,
      anon_sym_EQ,
    STATE(609), 1,
      sym__binding_assignment,
    ACTIONS(1108), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [22696] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(1116), 1,
      sym_identifier,
    ACTIONS(1132), 1,
      anon_sym_RBRACE,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(983), 1,
      sym_string,
    STATE(553), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [22725] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_QMARK,
    ACTIONS(253), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(217), 6,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      sym_identifier,
  [22744] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(446), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1134), 1,
      anon_sym_COLON,
    ACTIONS(1136), 1,
      anon_sym_QMARK,
    STATE(629), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(444), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [22767] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1138), 1,
      anon_sym_SQUOTE,
    ACTIONS(1141), 1,
      anon_sym_DQUOTE,
    ACTIONS(1144), 1,
      anon_sym_RBRACE,
    ACTIONS(1146), 1,
      sym_identifier,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(983), 1,
      sym_string,
    STATE(553), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [22796] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(735), 1,
      anon_sym_QMARK_QMARK,
    STATE(555), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(442), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(444), 5,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22817] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(544), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(464), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(466), 6,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22836] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(547), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(464), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(466), 6,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22855] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1074), 1,
      anon_sym_QMARK_QMARK,
    STATE(556), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(442), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(444), 5,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22876] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(1116), 1,
      sym_identifier,
    ACTIONS(1149), 1,
      anon_sym_RBRACE,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(983), 1,
      sym_string,
    STATE(560), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [22905] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_EQ,
    ACTIONS(1153), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1151), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [22924] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(1116), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_RBRACE,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(983), 1,
      sym_string,
    STATE(553), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [22953] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(426), 1,
      anon_sym_QMARK,
    ACTIONS(1159), 1,
      anon_sym_PIPE,
    STATE(561), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(428), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22974] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1074), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1162), 1,
      anon_sym_COLON,
    ACTIONS(1164), 1,
      anon_sym_QMARK,
    STATE(608), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(444), 5,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [22997] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(1116), 1,
      sym_identifier,
    ACTIONS(1166), 1,
      anon_sym_RBRACE,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(983), 1,
      sym_string,
    STATE(565), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [23026] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1168), 1,
      anon_sym_PIPE,
    STATE(169), 1,
      sym_pipe_sequence,
    STATE(741), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(207), 2,
      anon_sym_COMMA,
      anon_sym_PLUS,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [23051] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(1116), 1,
      sym_identifier,
    ACTIONS(1170), 1,
      anon_sym_RBRACE,
    STATE(676), 1,
      sym__double_quote,
    STATE(677), 1,
      sym__single_quote,
    STATE(983), 1,
      sym_string,
    STATE(553), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [23080] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1176), 1,
      anon_sym_EQ,
    ACTIONS(1174), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1172), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(458), 1,
      anon_sym_QMARK,
    ACTIONS(253), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(456), 6,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      sym_identifier,
  [23118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1180), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1178), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1184), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1182), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1188), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1186), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1192), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1190), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1196), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1194), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23198] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(433), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(217), 4,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
  [23216] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(446), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1136), 1,
      anon_sym_QMARK,
    ACTIONS(289), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_PIPE,
  [23234] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_PIPE,
    ACTIONS(1074), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1198), 1,
      anon_sym_QMARK,
    ACTIONS(289), 5,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23254] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_PIPE,
    ACTIONS(735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1200), 1,
      anon_sym_QMARK,
    ACTIONS(289), 5,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23274] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1074), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1164), 1,
      anon_sym_QMARK,
    ACTIONS(289), 6,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [23292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1204), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1202), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23308] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(458), 1,
      anon_sym_QMARK,
    ACTIONS(343), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(456), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
  [23326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1204), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1202), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23342] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1206), 1,
      anon_sym_COLON,
    STATE(385), 1,
      sym_pipe_arguments,
    ACTIONS(468), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(470), 4,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23362] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(454), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(217), 4,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
  [23380] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(570), 1,
      anon_sym_PIPE,
    ACTIONS(1074), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1198), 1,
      anon_sym_QMARK,
    ACTIONS(572), 5,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23400] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1208), 1,
      anon_sym_COLON,
    STATE(600), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(442), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(444), 3,
      sym__interpolation_end,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23422] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(454), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(458), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(456), 4,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
  [23440] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(446), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1136), 1,
      anon_sym_QMARK,
    ACTIONS(572), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_PIPE,
  [23458] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 1,
      anon_sym_LBRACK,
    ACTIONS(1210), 1,
      anon_sym_EQ,
    ACTIONS(1151), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1214), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1212), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1218), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1216), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1220), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1224), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1228), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23556] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_QMARK,
    ACTIONS(343), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(217), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
  [23574] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(446), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1232), 1,
      anon_sym_DQUOTE,
    ACTIONS(1234), 1,
      anon_sym_SEMI,
    ACTIONS(1236), 1,
      anon_sym_as,
    ACTIONS(1238), 1,
      anon_sym_QMARK,
    STATE(750), 1,
      sym__alias,
    STATE(821), 1,
      sym__else_template_expression,
    STATE(933), 1,
      sym__context_expression,
  [23602] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(458), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(456), 4,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
  [23620] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1074), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1164), 1,
      anon_sym_QMARK,
    ACTIONS(572), 6,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [23638] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(599), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(464), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(466), 5,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23656] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1174), 1,
      anon_sym_LBRACK,
    ACTIONS(1240), 1,
      anon_sym_EQ,
    ACTIONS(1172), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23674] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 1,
      anon_sym_COLON,
    STATE(599), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(435), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(437), 4,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23694] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1208), 1,
      anon_sym_COLON,
    STATE(599), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(464), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(466), 4,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23714] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(735), 1,
      anon_sym_QMARK_QMARK,
    STATE(597), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(442), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(444), 4,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23734] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 1,
      anon_sym_as,
    ACTIONS(1249), 1,
      anon_sym_EQ,
    ACTIONS(1251), 1,
      anon_sym_COLON,
    ACTIONS(1253), 1,
      sym_identifier,
    STATE(820), 1,
      sym__alias,
    ACTIONS(1245), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [23758] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(570), 1,
      anon_sym_PIPE,
    ACTIONS(735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1200), 1,
      anon_sym_QMARK,
    ACTIONS(572), 5,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1188), 1,
      anon_sym_LBRACK,
    ACTIONS(1186), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23793] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(458), 1,
      anon_sym_QMARK,
    ACTIONS(395), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(456), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
  [23810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1196), 1,
      anon_sym_LBRACK,
    ACTIONS(1194), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1184), 1,
      anon_sym_LBRACK,
    ACTIONS(1182), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23840] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1162), 1,
      anon_sym_COLON,
    STATE(615), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(466), 5,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [23857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 1,
      anon_sym_LBRACK,
    ACTIONS(1224), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23872] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1072), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1257), 1,
      anon_sym_COMMA,
    ACTIONS(1259), 1,
      anon_sym_QMARK,
    ACTIONS(1255), 4,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      sym_identifier,
  [23891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1204), 1,
      anon_sym_LBRACK,
    ACTIONS(1202), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1204), 1,
      anon_sym_LBRACK,
    ACTIONS(1202), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23921] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(570), 1,
      anon_sym_PIPE,
    ACTIONS(735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1261), 1,
      anon_sym_QMARK,
    ACTIONS(572), 4,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23940] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 1,
      anon_sym_COLON,
    STATE(195), 1,
      sym_pipe_arguments,
    ACTIONS(470), 5,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [23957] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1265), 1,
      anon_sym_COLON,
    STATE(615), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(437), 5,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [23974] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(426), 1,
      anon_sym_QMARK,
    ACTIONS(1268), 1,
      anon_sym_PIPE,
    STATE(616), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(428), 4,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23993] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1271), 1,
      anon_sym_COLON,
    STATE(195), 1,
      sym_pipe_arguments,
    ACTIONS(470), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [24010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1192), 1,
      anon_sym_LBRACK,
    ACTIONS(1190), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [24025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1214), 1,
      anon_sym_LBRACK,
    ACTIONS(1212), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [24040] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1273), 1,
      anon_sym_COLON,
    ACTIONS(1275), 1,
      anon_sym_QMARK,
    STATE(720), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(444), 3,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_PIPE,
  [24061] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(458), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(456), 3,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
  [24078] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_LPAREN,
    ACTIONS(1277), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(227), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24095] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_PIPE,
    ACTIONS(735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1261), 1,
      anon_sym_QMARK,
    ACTIONS(289), 4,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [24114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 1,
      anon_sym_LBRACK,
    ACTIONS(1220), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [24129] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_QMARK,
    ACTIONS(395), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(217), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
  [24146] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1072), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1259), 1,
      anon_sym_QMARK,
    ACTIONS(289), 5,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      sym_identifier,
  [24163] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(217), 3,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
  [24180] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1074), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1279), 1,
      anon_sym_COLON,
    ACTIONS(1281), 1,
      anon_sym_QMARK,
    STATE(663), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(444), 3,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_PIPE,
  [24201] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1134), 1,
      anon_sym_COLON,
    STATE(632), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(466), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [24218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1216), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [24233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1180), 1,
      anon_sym_LBRACK,
    ACTIONS(1178), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [24248] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1283), 1,
      anon_sym_COLON,
    STATE(632), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(437), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [24265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_LBRACK,
    ACTIONS(1228), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [24280] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(472), 1,
      anon_sym_QMARK,
    ACTIONS(1068), 1,
      anon_sym_PIPE,
    STATE(616), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(474), 4,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [24299] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1074), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1281), 1,
      anon_sym_QMARK,
    ACTIONS(572), 4,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_PIPE,
  [24315] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1074), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1281), 1,
      anon_sym_QMARK,
    ACTIONS(289), 4,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_PIPE,
  [24331] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_LPAREN,
    ACTIONS(1286), 1,
      anon_sym_RBRACK,
    ACTIONS(227), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24347] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_LPAREN,
    ACTIONS(1288), 1,
      anon_sym_RBRACK,
    ACTIONS(227), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24363] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1275), 1,
      anon_sym_QMARK,
    ACTIONS(572), 4,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_PIPE,
  [24379] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1074), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1292), 1,
      anon_sym_QMARK,
    ACTIONS(1290), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [24395] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1294), 2,
      anon_sym_COMMA,
      anon_sym_PLUS,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24411] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1296), 1,
      anon_sym_RBRACE,
    ACTIONS(1298), 1,
      sym_case_start,
    ACTIONS(1301), 1,
      sym_default_start,
    STATE(642), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_body_repeat1,
  [24429] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1304), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24445] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1306), 1,
      anon_sym_RBRACE,
    ACTIONS(1308), 1,
      sym_case_start,
    ACTIONS(1310), 1,
      sym_default_start,
    STATE(642), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_body_repeat1,
  [24463] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_RBRACK,
    ACTIONS(227), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24479] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(365), 1,
      anon_sym_SEMI,
    ACTIONS(1074), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1292), 1,
      anon_sym_QMARK,
    ACTIONS(1314), 1,
      anon_sym_DQUOTE,
    STATE(568), 1,
      sym__double_quote,
    STATE(734), 1,
      aux_sym__binding_assignment_repeat1,
  [24501] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_LPAREN,
    ACTIONS(1277), 1,
      anon_sym_RPAREN_RBRACK,
    ACTIONS(227), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24517] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1316), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1277), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(227), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24547] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1318), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24563] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1320), 1,
      anon_sym_PIPE,
    STATE(651), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(428), 4,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [24579] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1097), 1,
      anon_sym_PIPE,
    STATE(651), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(474), 4,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [24595] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1275), 1,
      anon_sym_QMARK,
    ACTIONS(289), 4,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_PIPE,
  [24611] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1308), 1,
      sym_case_start,
    ACTIONS(1310), 1,
      sym_default_start,
    ACTIONS(1323), 1,
      anon_sym_RBRACE,
    STATE(642), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_body_repeat1,
  [24629] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 1,
      anon_sym_PIPE,
    STATE(655), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(428), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [24645] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(402), 1,
      anon_sym_LBRACK,
    ACTIONS(1294), 2,
      sym__interpolation_end,
      anon_sym_PLUS,
    ACTIONS(406), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24661] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1074), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1292), 1,
      anon_sym_QMARK,
    ACTIONS(289), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [24677] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(365), 1,
      anon_sym_SEMI,
    ACTIONS(1074), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1292), 1,
      anon_sym_QMARK,
    ACTIONS(1328), 1,
      anon_sym_DQUOTE,
    STATE(631), 1,
      sym__double_quote,
    STATE(762), 1,
      aux_sym__binding_assignment_repeat1,
  [24699] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1058), 1,
      anon_sym_SQUOTE,
    ACTIONS(1330), 1,
      sym_identifier,
    ACTIONS(1332), 1,
      sym__escape_sequence,
    ACTIONS(1334), 1,
      aux_sym_string_token2,
    STATE(37), 1,
      sym__single_quote,
    STATE(726), 1,
      aux_sym_string_repeat2,
  [24721] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1083), 1,
      anon_sym_PIPE,
    STATE(655), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(474), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [24737] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_LPAREN,
    ACTIONS(1336), 1,
      anon_sym_RBRACK,
    ACTIONS(227), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24753] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1338), 1,
      anon_sym_COLON,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24768] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1279), 1,
      anon_sym_COLON,
    STATE(682), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(466), 3,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_PIPE,
  [24783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1340), 1,
      anon_sym_COLON,
    ACTIONS(227), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24796] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24811] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1344), 1,
      anon_sym_COLON,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1344), 1,
      anon_sym_COLON,
    ACTIONS(227), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24839] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1340), 1,
      anon_sym_COLON,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1336), 1,
      anon_sym_RBRACK,
    ACTIONS(227), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24867] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_COLON,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1288), 1,
      anon_sym_RBRACK,
    ACTIONS(227), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1346), 1,
      anon_sym_COLON,
    ACTIONS(227), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24908] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1236), 1,
      anon_sym_as,
    STATE(830), 1,
      sym__alias,
    ACTIONS(1348), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [24923] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1350), 1,
      anon_sym_COLON,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24938] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1352), 1,
      anon_sym_DQUOTE,
    ACTIONS(1354), 1,
      sym__escape_sequence,
    ACTIONS(1356), 1,
      aux_sym_string_token1,
    STATE(494), 1,
      sym__double_quote,
    STATE(754), 1,
      aux_sym_string_repeat1,
  [24957] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1058), 1,
      anon_sym_DQUOTE,
    ACTIONS(1060), 1,
      aux_sym_string_token1,
    ACTIONS(1358), 1,
      sym__escape_sequence,
    STATE(37), 1,
      sym__double_quote,
    STATE(722), 1,
      aux_sym_string_repeat1,
  [24976] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1058), 1,
      anon_sym_SQUOTE,
    ACTIONS(1332), 1,
      sym__escape_sequence,
    ACTIONS(1334), 1,
      aux_sym_string_token2,
    STATE(37), 1,
      sym__single_quote,
    STATE(726), 1,
      aux_sym_string_repeat2,
  [24995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1360), 1,
      anon_sym_COLON,
    ACTIONS(227), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25008] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1360), 1,
      anon_sym_COLON,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 1,
      anon_sym_COLON,
    ACTIONS(227), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25036] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1362), 1,
      anon_sym_COLON,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25051] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 1,
      anon_sym_COLON,
    STATE(682), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(437), 3,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_PIPE,
  [25066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 1,
      anon_sym_COLON,
    ACTIONS(227), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25079] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1352), 1,
      anon_sym_SQUOTE,
    ACTIONS(1367), 1,
      sym__escape_sequence,
    ACTIONS(1369), 1,
      aux_sym_string_token2,
    STATE(494), 1,
      sym__single_quote,
    STATE(752), 1,
      aux_sym_string_repeat2,
  [25098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 1,
      anon_sym_COLON,
    ACTIONS(227), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25111] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1373), 1,
      anon_sym_COLON,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25126] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1375), 1,
      anon_sym_COLON,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25141] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1371), 1,
      anon_sym_COLON,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25156] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1377), 1,
      anon_sym_COLON,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 1,
      anon_sym_COLON,
    ACTIONS(227), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 1,
      anon_sym_RBRACK,
    ACTIONS(227), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_COLON,
    ACTIONS(227), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25210] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 1,
      anon_sym_DQUOTE,
    ACTIONS(1381), 1,
      sym__escape_sequence,
    ACTIONS(1383), 1,
      aux_sym_string_token1,
    STATE(485), 1,
      sym__double_quote,
    STATE(675), 1,
      aux_sym_string_repeat1,
  [25229] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 1,
      anon_sym_SQUOTE,
    ACTIONS(1385), 1,
      sym__escape_sequence,
    ACTIONS(1387), 1,
      aux_sym_string_token2,
    STATE(485), 1,
      sym__single_quote,
    STATE(684), 1,
      aux_sym_string_repeat2,
  [25248] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(446), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1238), 1,
      anon_sym_QMARK,
    ACTIONS(289), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
  [25263] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1389), 1,
      anon_sym_COLON,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_COLON,
    ACTIONS(227), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25291] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1308), 1,
      sym_case_start,
    ACTIONS(1310), 1,
      sym_default_start,
    STATE(644), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_body_repeat1,
  [25306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 1,
      anon_sym_COLON,
    ACTIONS(227), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25319] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1393), 1,
      anon_sym_DQUOTE,
    ACTIONS(1395), 1,
      sym__escape_sequence,
    ACTIONS(1397), 1,
      aux_sym_string_token1,
    STATE(204), 1,
      sym__double_quote,
    STATE(709), 1,
      aux_sym_string_repeat1,
  [25338] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_QMARK,
    ACTIONS(217), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(552), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [25353] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1393), 1,
      anon_sym_SQUOTE,
    ACTIONS(1399), 1,
      sym__escape_sequence,
    ACTIONS(1401), 1,
      aux_sym_string_token2,
    STATE(204), 1,
      sym__single_quote,
    STATE(708), 1,
      aux_sym_string_repeat2,
  [25372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 1,
      anon_sym_COLON,
    ACTIONS(227), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 1,
      anon_sym_COLON,
    ACTIONS(227), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25398] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1403), 1,
      anon_sym_COLON,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25413] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_COLON,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25428] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(458), 1,
      anon_sym_QMARK,
    ACTIONS(456), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(552), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [25443] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 1,
      sym__escape_sequence,
    ACTIONS(1369), 1,
      aux_sym_string_token2,
    ACTIONS(1407), 1,
      anon_sym_SQUOTE,
    STATE(212), 1,
      sym__single_quote,
    STATE(752), 1,
      aux_sym_string_repeat2,
  [25462] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 1,
      sym__escape_sequence,
    ACTIONS(1356), 1,
      aux_sym_string_token1,
    ACTIONS(1407), 1,
      anon_sym_DQUOTE,
    STATE(212), 1,
      sym__double_quote,
    STATE(754), 1,
      aux_sym_string_repeat1,
  [25481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_COLON,
    ACTIONS(227), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25494] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1308), 1,
      sym_case_start,
    ACTIONS(1310), 1,
      sym_default_start,
    STATE(654), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_body_repeat1,
  [25509] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_COLON,
    STATE(385), 1,
      sym_pipe_arguments,
    ACTIONS(470), 3,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_PIPE,
  [25524] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1236), 1,
      anon_sym_as,
    STATE(817), 1,
      sym__alias,
    ACTIONS(1413), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [25539] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1409), 1,
      anon_sym_COLON,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25554] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_COLON,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1312), 1,
      anon_sym_RBRACK,
    ACTIONS(227), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25582] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 1,
      anon_sym_SQUOTE,
    ACTIONS(1417), 1,
      sym__escape_sequence,
    ACTIONS(1419), 1,
      aux_sym_string_token2,
    STATE(67), 1,
      sym__single_quote,
    STATE(724), 1,
      aux_sym_string_repeat2,
  [25601] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 1,
      anon_sym_DQUOTE,
    ACTIONS(1421), 1,
      sym__escape_sequence,
    ACTIONS(1423), 1,
      aux_sym_string_token1,
    STATE(67), 1,
      sym__double_quote,
    STATE(725), 1,
      aux_sym_string_repeat1,
  [25620] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1425), 1,
      anon_sym_COLON,
    STATE(719), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(437), 3,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_PIPE,
  [25635] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_COLON,
    STATE(719), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(466), 3,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_PIPE,
  [25650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 1,
      anon_sym_COLON,
    ACTIONS(227), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25663] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 1,
      sym__escape_sequence,
    ACTIONS(1356), 1,
      aux_sym_string_token1,
    ACTIONS(1428), 1,
      anon_sym_DQUOTE,
    STATE(48), 1,
      sym__double_quote,
    STATE(754), 1,
      aux_sym_string_repeat1,
  [25682] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1430), 1,
      anon_sym_RPAREN,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25697] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 1,
      sym__escape_sequence,
    ACTIONS(1369), 1,
      aux_sym_string_token2,
    ACTIONS(1432), 1,
      anon_sym_SQUOTE,
    STATE(73), 1,
      sym__single_quote,
    STATE(752), 1,
      aux_sym_string_repeat2,
  [25716] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 1,
      sym__escape_sequence,
    ACTIONS(1356), 1,
      aux_sym_string_token1,
    ACTIONS(1432), 1,
      anon_sym_DQUOTE,
    STATE(73), 1,
      sym__double_quote,
    STATE(754), 1,
      aux_sym_string_repeat1,
  [25735] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 1,
      sym__escape_sequence,
    ACTIONS(1369), 1,
      aux_sym_string_token2,
    ACTIONS(1428), 1,
      anon_sym_SQUOTE,
    STATE(48), 1,
      sym__single_quote,
    STATE(752), 1,
      aux_sym_string_repeat2,
  [25754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1277), 1,
      anon_sym_RPAREN_RBRACK,
    ACTIONS(227), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25767] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1434), 1,
      anon_sym_COLON,
    STATE(195), 1,
      sym_pipe_arguments,
    ACTIONS(470), 3,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_PIPE,
  [25782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 1,
      anon_sym_COLON,
    ACTIONS(227), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1338), 1,
      anon_sym_COLON,
    ACTIONS(227), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25808] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(365), 1,
      anon_sym_SEMI,
    ACTIONS(1328), 1,
      anon_sym_DQUOTE,
    STATE(631), 1,
      sym__double_quote,
    STATE(828), 1,
      aux_sym__binding_assignment_repeat1,
  [25824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_RPAREN,
    STATE(732), 1,
      aux_sym_for_reference_repeat1,
    ACTIONS(1436), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [25838] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 1,
      anon_sym_DQUOTE,
    STATE(770), 1,
      aux_sym_structural_declaration_repeat1,
    ACTIONS(1443), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [25852] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(365), 1,
      anon_sym_SEMI,
    ACTIONS(1445), 1,
      anon_sym_DQUOTE,
    STATE(569), 1,
      sym__double_quote,
    STATE(828), 1,
      aux_sym__binding_assignment_repeat1,
  [25868] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1074), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1292), 1,
      anon_sym_QMARK,
    ACTIONS(1304), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [25882] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 1,
      sym_attribute_value,
    ACTIONS(1449), 1,
      anon_sym_SQUOTE,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    STATE(592), 1,
      sym_quoted_attribute_value,
  [25898] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      anon_sym_DQUOTE,
    STATE(733), 1,
      aux_sym_structural_declaration_repeat1,
    ACTIONS(1443), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [25912] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1074), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1292), 1,
      anon_sym_QMARK,
    ACTIONS(1455), 2,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
  [25926] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1457), 1,
      anon_sym_PIPE,
    STATE(739), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(428), 2,
      anon_sym_COMMA,
      anon_sym_PLUS,
  [25940] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1128), 1,
      anon_sym_PIPE,
    STATE(758), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(474), 2,
      sym__interpolation_end,
      anon_sym_PLUS,
  [25954] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1168), 1,
      anon_sym_PIPE,
    STATE(739), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(474), 2,
      anon_sym_COMMA,
      anon_sym_PLUS,
  [25968] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(365), 1,
      anon_sym_SEMI,
    ACTIONS(1314), 1,
      anon_sym_DQUOTE,
    STATE(568), 1,
      sym__double_quote,
    STATE(734), 1,
      aux_sym__binding_assignment_repeat1,
  [25984] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1460), 4,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      sym_identifier,
  [25994] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1074), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1292), 1,
      anon_sym_QMARK,
    ACTIONS(1462), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [26008] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 1,
      anon_sym_RBRACE,
    ACTIONS(1466), 1,
      sym_icu_category,
    STATE(745), 2,
      sym_icu_case,
      aux_sym_icu_expression_repeat1,
  [26022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(237), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [26034] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1074), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1292), 1,
      anon_sym_QMARK,
    ACTIONS(1318), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [26048] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1074), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1292), 1,
      anon_sym_QMARK,
    ACTIONS(1469), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [26062] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1471), 1,
      anon_sym_prefetch,
    ACTIONS(1473), 1,
      anon_sym_when,
    ACTIONS(1475), 1,
      anon_sym_on,
    STATE(920), 1,
      sym_defer_trigger_condition,
  [26078] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 1,
      anon_sym_SEMI,
    ACTIONS(1477), 1,
      anon_sym_DQUOTE,
    STATE(823), 1,
      sym__else_template_expression,
    STATE(980), 1,
      sym__context_expression,
  [26094] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(365), 1,
      anon_sym_SEMI,
    ACTIONS(1314), 1,
      anon_sym_DQUOTE,
    STATE(568), 1,
      sym__double_quote,
    STATE(828), 1,
      aux_sym__binding_assignment_repeat1,
  [26110] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1479), 1,
      anon_sym_SQUOTE,
    ACTIONS(1481), 1,
      sym__escape_sequence,
    ACTIONS(1484), 1,
      aux_sym_string_token2,
    STATE(752), 1,
      aux_sym_string_repeat2,
  [26126] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      anon_sym_LBRACE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    STATE(298), 1,
      sym_statement_block,
    STATE(865), 1,
      sym_loading_condition,
  [26142] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1491), 1,
      anon_sym_DQUOTE,
    ACTIONS(1493), 1,
      sym__escape_sequence,
    ACTIONS(1496), 1,
      aux_sym_string_token1,
    STATE(754), 1,
      aux_sym_string_repeat1,
  [26158] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1471), 1,
      anon_sym_prefetch,
    ACTIONS(1473), 1,
      anon_sym_when,
    ACTIONS(1475), 1,
      anon_sym_on,
    STATE(790), 1,
      sym_defer_trigger_condition,
  [26174] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_RBRACE,
    ACTIONS(1501), 1,
      sym_icu_category,
    STATE(745), 2,
      sym_icu_case,
      aux_sym_icu_expression_repeat1,
  [26188] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1503), 1,
      anon_sym_LBRACE,
    ACTIONS(1505), 1,
      anon_sym_LPAREN,
    STATE(390), 1,
      sym_statement_block,
    STATE(850), 1,
      sym_defer_trigger,
  [26204] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1507), 1,
      anon_sym_PIPE,
    STATE(758), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(428), 2,
      sym__interpolation_end,
      anon_sym_PLUS,
  [26218] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      anon_sym_LBRACE,
    ACTIONS(1510), 1,
      anon_sym_LPAREN,
    STATE(295), 1,
      sym_statement_block,
    STATE(862), 1,
      sym_placeholder_minimum,
  [26234] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1503), 1,
      anon_sym_LBRACE,
    ACTIONS(1510), 1,
      anon_sym_LPAREN,
    STATE(392), 1,
      sym_statement_block,
    STATE(848), 1,
      sym_placeholder_minimum,
  [26250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [26262] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(365), 1,
      anon_sym_SEMI,
    ACTIONS(1512), 1,
      anon_sym_DQUOTE,
    STATE(607), 1,
      sym__double_quote,
    STATE(828), 1,
      aux_sym__binding_assignment_repeat1,
  [26278] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      anon_sym_LBRACE,
    ACTIONS(1505), 1,
      anon_sym_LPAREN,
    STATE(293), 1,
      sym_statement_block,
    STATE(858), 1,
      sym_defer_trigger,
  [26294] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(365), 1,
      anon_sym_SEMI,
    ACTIONS(1328), 1,
      anon_sym_DQUOTE,
    STATE(631), 1,
      sym__double_quote,
    STATE(762), 1,
      aux_sym__binding_assignment_repeat1,
  [26310] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1516), 1,
      anon_sym_RPAREN,
    STATE(769), 1,
      aux_sym_for_reference_repeat1,
    ACTIONS(1514), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [26324] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1501), 1,
      sym_icu_category,
    ACTIONS(1518), 1,
      anon_sym_RBRACE,
    STATE(745), 2,
      sym_icu_case,
      aux_sym_icu_expression_repeat1,
  [26338] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1503), 1,
      anon_sym_LBRACE,
    STATE(393), 1,
      sym_statement_block,
    STATE(847), 1,
      sym_loading_condition,
  [26354] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1520), 1,
      sym_attribute_value,
    ACTIONS(1522), 1,
      anon_sym_SQUOTE,
    ACTIONS(1524), 1,
      anon_sym_DQUOTE,
    STATE(633), 1,
      sym_quoted_attribute_value,
  [26370] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1526), 1,
      anon_sym_RPAREN,
    STATE(732), 1,
      aux_sym_for_reference_repeat1,
    ACTIONS(1514), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [26384] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 1,
      anon_sym_DQUOTE,
    STATE(770), 1,
      aux_sym_structural_declaration_repeat1,
    ACTIONS(1530), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [26398] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1533), 1,
      anon_sym_COMMA,
    ACTIONS(1535), 1,
      anon_sym_RBRACK,
    STATE(798), 1,
      aux_sym_array_repeat1,
  [26411] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 3,
      sym_case_start,
      sym_default_start,
      anon_sym_RBRACE,
  [26420] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1074), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1292), 1,
      anon_sym_QMARK,
    ACTIONS(1537), 1,
      anon_sym_COMMA,
  [26433] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1539), 1,
      sym__start_tag_name,
    ACTIONS(1541), 1,
      sym__script_start_tag_name,
    ACTIONS(1543), 1,
      sym__style_start_tag_name,
  [26446] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT_SLASH,
    ACTIONS(1547), 1,
      sym_raw_text,
    STATE(306), 1,
      sym_end_tag,
  [26459] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT_SLASH,
    ACTIONS(1549), 1,
      sym_raw_text,
    STATE(307), 1,
      sym_end_tag,
  [26472] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1533), 1,
      anon_sym_COMMA,
    ACTIONS(1551), 1,
      anon_sym_RBRACK,
    STATE(771), 1,
      aux_sym_array_repeat1,
  [26485] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1074), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1292), 1,
      anon_sym_QMARK,
    ACTIONS(1553), 1,
      anon_sym_RPAREN,
  [26498] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1555), 1,
      anon_sym_QMARK,
    ACTIONS(1557), 1,
      sym__interpolation_end,
  [26511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(971), 1,
      sym_timed_expression,
    ACTIONS(1559), 2,
      anon_sym_after,
      anon_sym_minimum,
  [26522] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1533), 1,
      anon_sym_COMMA,
    ACTIONS(1561), 1,
      anon_sym_RBRACK,
    STATE(798), 1,
      aux_sym_array_repeat1,
  [26535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(838), 1,
      sym_timed_expression,
    ACTIONS(1559), 2,
      anon_sym_after,
      anon_sym_minimum,
  [26546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(938), 1,
      sym_icu_clause,
    ACTIONS(1563), 2,
      anon_sym_plural,
      anon_sym_select,
  [26557] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1533), 1,
      anon_sym_COMMA,
    ACTIONS(1565), 1,
      anon_sym_RBRACK,
    STATE(781), 1,
      aux_sym_array_repeat1,
  [26570] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1074), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1292), 1,
      anon_sym_QMARK,
    ACTIONS(1567), 1,
      anon_sym_COMMA,
  [26583] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1074), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1292), 1,
      anon_sym_QMARK,
    ACTIONS(1569), 1,
      anon_sym_RPAREN,
  [26596] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1074), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1292), 1,
      anon_sym_QMARK,
    ACTIONS(1571), 1,
      anon_sym_RPAREN,
  [26609] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1533), 1,
      anon_sym_COMMA,
    ACTIONS(1573), 1,
      anon_sym_RBRACK,
    STATE(793), 1,
      aux_sym_array_repeat1,
  [26622] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1575), 1,
      anon_sym_SEMI,
    ACTIONS(1577), 1,
      anon_sym_RPAREN,
    STATE(954), 1,
      sym_if_reference,
  [26635] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1579), 1,
      anon_sym_SEMI,
    ACTIONS(1581), 1,
      anon_sym_RPAREN,
    STATE(796), 1,
      aux_sym_defer_trigger_repeat1,
  [26648] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1575), 1,
      anon_sym_SEMI,
    ACTIONS(1583), 1,
      anon_sym_RPAREN,
    STATE(943), 1,
      sym_if_reference,
  [26661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(935), 1,
      sym_icu_clause,
    ACTIONS(1563), 2,
      anon_sym_plural,
      anon_sym_select,
  [26672] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1533), 1,
      anon_sym_COMMA,
    ACTIONS(1585), 1,
      anon_sym_RBRACK,
    STATE(798), 1,
      aux_sym_array_repeat1,
  [26685] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(542), 1,
      anon_sym_RPAREN,
    ACTIONS(544), 1,
      anon_sym_COMMA,
    STATE(799), 1,
      aux_sym_arguments_repeat1,
  [26698] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1587), 1,
      anon_sym_PLUS,
    ACTIONS(1589), 1,
      sym__interpolation_end,
    STATE(800), 1,
      aux_sym_concatenation_expression_repeat1,
  [26711] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1579), 1,
      anon_sym_SEMI,
    ACTIONS(1591), 1,
      anon_sym_RPAREN,
    STATE(801), 1,
      aux_sym_defer_trigger_repeat1,
  [26724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(952), 1,
      sym_timed_expression,
    ACTIONS(1559), 2,
      anon_sym_after,
      anon_sym_minimum,
  [26735] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1593), 1,
      anon_sym_COMMA,
    ACTIONS(1596), 1,
      anon_sym_RBRACK,
    STATE(798), 1,
      aux_sym_array_repeat1,
  [26748] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(544), 1,
      anon_sym_COMMA,
    ACTIONS(1598), 1,
      anon_sym_RPAREN,
    STATE(803), 1,
      aux_sym_arguments_repeat1,
  [26761] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1587), 1,
      anon_sym_PLUS,
    ACTIONS(1600), 1,
      sym__interpolation_end,
    STATE(805), 1,
      aux_sym_concatenation_expression_repeat1,
  [26774] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      anon_sym_SEMI,
    ACTIONS(1605), 1,
      anon_sym_RPAREN,
    STATE(801), 1,
      aux_sym_defer_trigger_repeat1,
  [26787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1501), 1,
      sym_icu_category,
    STATE(756), 2,
      sym_icu_case,
      aux_sym_icu_expression_repeat1,
  [26798] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1316), 1,
      anon_sym_RPAREN,
    ACTIONS(1607), 1,
      anon_sym_COMMA,
    STATE(803), 1,
      aux_sym_arguments_repeat1,
  [26811] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      sym__interpolation_end,
    ACTIONS(735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1555), 1,
      anon_sym_QMARK,
  [26824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1294), 1,
      sym__interpolation_end,
    ACTIONS(1610), 1,
      anon_sym_PLUS,
    STATE(805), 1,
      aux_sym_concatenation_expression_repeat1,
  [26837] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1294), 1,
      anon_sym_COMMA,
    ACTIONS(1613), 1,
      anon_sym_PLUS,
    STATE(806), 1,
      aux_sym_concatenation_expression_repeat1,
  [26850] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1533), 1,
      anon_sym_COMMA,
    ACTIONS(1616), 1,
      anon_sym_RBRACK,
    STATE(798), 1,
      aux_sym_array_repeat1,
  [26863] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1575), 1,
      anon_sym_SEMI,
    ACTIONS(1618), 1,
      anon_sym_RPAREN,
    STATE(999), 1,
      sym_if_reference,
  [26876] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1620), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [26885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1622), 3,
      sym_case_start,
      sym_default_start,
      anon_sym_RBRACE,
  [26894] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1575), 1,
      anon_sym_SEMI,
    ACTIONS(1624), 1,
      anon_sym_RPAREN,
    STATE(998), 1,
      sym_if_reference,
  [26907] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1600), 1,
      anon_sym_COMMA,
    ACTIONS(1626), 1,
      anon_sym_PLUS,
    STATE(806), 1,
      aux_sym_concatenation_expression_repeat1,
  [26920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(802), 3,
      sym_case_start,
      sym_default_start,
      anon_sym_RBRACE,
  [26929] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1533), 1,
      anon_sym_COMMA,
    ACTIONS(1628), 1,
      anon_sym_RBRACK,
    STATE(807), 1,
      aux_sym_array_repeat1,
  [26942] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1074), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1292), 1,
      anon_sym_QMARK,
    ACTIONS(1630), 1,
      anon_sym_RPAREN,
  [26955] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1632), 1,
      anon_sym_let,
    ACTIONS(1634), 1,
      sym_identifier,
    STATE(835), 1,
      sym_structural_assignment,
  [26968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1636), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [26977] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1074), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1292), 1,
      anon_sym_QMARK,
    ACTIONS(1638), 1,
      anon_sym_DQUOTE,
  [26990] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1074), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1292), 1,
      anon_sym_QMARK,
    ACTIONS(1640), 1,
      anon_sym_DQUOTE,
  [27003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1642), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [27012] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1644), 1,
      anon_sym_DQUOTE,
    ACTIONS(1646), 1,
      anon_sym_SEMI,
    STATE(984), 1,
      sym__context_expression,
  [27025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1648), 3,
      sym_case_start,
      sym_default_start,
      anon_sym_RBRACE,
  [27034] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1646), 1,
      anon_sym_SEMI,
    ACTIONS(1650), 1,
      anon_sym_DQUOTE,
    STATE(986), 1,
      sym__context_expression,
  [27047] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1555), 1,
      anon_sym_QMARK,
    ACTIONS(1652), 1,
      sym__interpolation_end,
  [27060] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LT_SLASH,
    ACTIONS(1656), 1,
      sym_raw_text,
    STATE(388), 1,
      sym_end_tag,
  [27073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [27082] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1541), 1,
      sym__script_start_tag_name,
    ACTIONS(1543), 1,
      sym__style_start_tag_name,
    ACTIONS(1660), 1,
      sym__start_tag_name,
  [27095] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_DQUOTE,
    ACTIONS(1662), 1,
      anon_sym_SEMI,
    STATE(828), 1,
      aux_sym__binding_assignment_repeat1,
  [27108] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LT_SLASH,
    ACTIONS(1665), 1,
      sym_raw_text,
    STATE(334), 1,
      sym_end_tag,
  [27121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1667), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [27130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1501), 1,
      sym_icu_category,
    STATE(766), 2,
      sym_icu_case,
      aux_sym_icu_expression_repeat1,
  [27141] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1669), 1,
      anon_sym_else,
    ACTIONS(1671), 1,
      anon_sym_context,
    ACTIONS(1673), 1,
      sym_identifier,
  [27154] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1632), 1,
      anon_sym_let,
    ACTIONS(1634), 1,
      sym_identifier,
    STATE(737), 1,
      sym_structural_assignment,
  [27167] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1675), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [27176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [27185] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1589), 1,
      anon_sym_COMMA,
    ACTIONS(1626), 1,
      anon_sym_PLUS,
    STATE(812), 1,
      aux_sym_concatenation_expression_repeat1,
  [27198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1677), 1,
      sym__end_tag_name,
    ACTIONS(1679), 1,
      sym_erroneous_end_tag_name,
  [27208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1681), 1,
      anon_sym_SEMI,
    ACTIONS(1683), 1,
      anon_sym_RPAREN,
  [27218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      anon_sym_LBRACE,
    STATE(292), 1,
      sym_statement_block,
  [27228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1685), 1,
      sym_identifier,
    STATE(531), 1,
      sym_pipe_call,
  [27238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 1,
      sym_identifier,
    STATE(1001), 1,
      sym_assignment_expression,
  [27248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      anon_sym_LBRACE,
    STATE(294), 1,
      sym_statement_block,
  [27258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1689), 1,
      sym_identifier,
    STATE(31), 1,
      sym_call_expression,
  [27268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LT_SLASH,
    STATE(347), 1,
      sym_end_tag,
  [27278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LT_SLASH,
    STATE(350), 1,
      sym_end_tag,
  [27288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      anon_sym_LBRACE,
    STATE(299), 1,
      sym_statement_block,
  [27298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1503), 1,
      anon_sym_LBRACE,
    STATE(358), 1,
      sym_statement_block,
  [27308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1503), 1,
      anon_sym_LBRACE,
    STATE(361), 1,
      sym_statement_block,
  [27318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 1,
      sym_identifier,
    STATE(349), 1,
      sym_pipe_call,
  [27328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1503), 1,
      anon_sym_LBRACE,
    STATE(366), 1,
      sym_statement_block,
  [27338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      sym_identifier,
    STATE(488), 1,
      sym_call_expression,
  [27348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 1,
      sym_identifier,
    STATE(1018), 1,
      sym_assignment_expression,
  [27358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1695), 1,
      sym_identifier,
    STATE(531), 1,
      sym_pipe_call,
  [27368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1503), 1,
      anon_sym_LBRACE,
    STATE(394), 1,
      sym_statement_block,
  [27378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1503), 1,
      anon_sym_LBRACE,
    STATE(391), 1,
      sym_statement_block,
  [27388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1503), 1,
      anon_sym_LBRACE,
    STATE(389), 1,
      sym_statement_block,
  [27398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1697), 1,
      sym_identifier,
    STATE(877), 1,
      sym_for_declaration,
  [27408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      anon_sym_LBRACE,
    STATE(314), 1,
      sym_statement_block,
  [27418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1699), 1,
      sym_identifier,
    STATE(192), 1,
      sym_pipe_call,
  [27428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1701), 1,
      anon_sym_SEMI,
    ACTIONS(1703), 1,
      anon_sym_RPAREN,
  [27438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1705), 1,
      sym_identifier,
    STATE(45), 1,
      sym_call_expression,
  [27448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      anon_sym_LBRACE,
    STATE(317), 1,
      sym_statement_block,
  [27458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1707), 1,
      sym_identifier,
    STATE(229), 1,
      sym_pipe_call,
  [27468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1709), 1,
      sym_identifier,
    STATE(349), 1,
      sym_pipe_call,
  [27478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      anon_sym_LBRACE,
    STATE(318), 1,
      sym_statement_block,
  [27488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_DQUOTE,
    STATE(630), 1,
      sym__double_quote,
  [27498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1679), 1,
      sym_erroneous_end_tag_name,
    ACTIONS(1713), 1,
      sym__end_tag_name,
  [27508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT_SLASH,
    STATE(324), 1,
      sym_end_tag,
  [27518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      anon_sym_DQUOTE,
    STATE(75), 1,
      sym__double_quote,
  [27528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_LT_SLASH,
    STATE(325), 1,
      sym_end_tag,
  [27538] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 2,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
  [27546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_RBRACE,
    ACTIONS(1721), 1,
      sym_icu_category,
  [27556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1723), 1,
      sym_identifier,
    STATE(349), 1,
      sym_pipe_call,
  [27566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_context,
    ACTIONS(1673), 1,
      sym_identifier,
  [27576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1725), 1,
      sym_identifier,
    STATE(213), 1,
      sym_call_expression,
  [27586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1503), 1,
      anon_sym_LBRACE,
    STATE(357), 1,
      sym_statement_block,
  [27596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1727), 1,
      anon_sym_SEMI,
    ACTIONS(1729), 1,
      anon_sym_RPAREN,
  [27606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1731), 1,
      anon_sym_when,
    ACTIONS(1733), 1,
      anon_sym_on,
  [27616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1735), 1,
      sym_identifier,
    STATE(192), 1,
      sym_pipe_call,
  [27626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1130), 1,
      anon_sym_EQ,
    STATE(606), 1,
      sym__binding_assignment,
  [27636] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1737), 2,
      anon_sym_EQ,
      sym_identifier,
  [27644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 2,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
  [27652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1739), 1,
      anon_sym_LBRACE,
    STATE(810), 1,
      sym_statement_block,
  [27662] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1596), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [27670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1130), 1,
      anon_sym_EQ,
    STATE(618), 1,
      sym__binding_assignment,
  [27680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1741), 2,
      sym_raw_text,
      anon_sym_LT_SLASH,
  [27688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_DQUOTE,
    STATE(589), 1,
      sym__double_quote,
  [27698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      sym_identifier,
    STATE(192), 1,
      sym_pipe_call,
  [27708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 1,
      sym_identifier,
    STATE(834), 1,
      sym_assignment_expression,
  [27718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1747), 1,
      sym_identifier,
    STATE(192), 1,
      sym_pipe_call,
  [27728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DQUOTE,
    STATE(65), 1,
      sym__double_quote,
  [27738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1130), 1,
      anon_sym_EQ,
    STATE(604), 1,
      sym__binding_assignment,
  [27748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1751), 1,
      anon_sym_DQUOTE,
    ACTIONS(1753), 1,
      aux_sym_quoted_attribute_value_token2,
  [27758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1755), 1,
      sym_identifier,
    STATE(192), 1,
      sym_pipe_call,
  [27768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1739), 1,
      anon_sym_LBRACE,
    STATE(822), 1,
      sym_statement_block,
  [27778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1112), 1,
      anon_sym_EQ,
    STATE(571), 1,
      sym__binding_assignment,
  [27788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      anon_sym_LBRACE,
    STATE(302), 1,
      sym_statement_block,
  [27798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1751), 1,
      anon_sym_SQUOTE,
    ACTIONS(1757), 1,
      aux_sym_quoted_attribute_value_token1,
  [27808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      anon_sym_LBRACE,
    STATE(32), 1,
      sym_statement_block,
  [27818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1759), 1,
      sym_identifier,
    STATE(192), 1,
      sym_pipe_call,
  [27828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym_let,
    STATE(948), 1,
      sym_for_reference,
  [27838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1763), 1,
      sym_identifier,
    STATE(192), 1,
      sym_pipe_call,
  [27848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      anon_sym_LBRACE,
    STATE(333), 1,
      sym_statement_block,
  [27858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1765), 1,
      sym_identifier,
    STATE(229), 1,
      sym_pipe_call,
  [27868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1503), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym_statement_block,
  [27878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      sym_identifier,
    STATE(192), 1,
      sym_pipe_call,
  [27888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1112), 1,
      anon_sym_EQ,
    STATE(572), 1,
      sym__binding_assignment,
  [27898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1769), 2,
      sym_raw_text,
      anon_sym_LT_SLASH,
  [27906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_DQUOTE,
    STATE(64), 1,
      sym__double_quote,
  [27916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1112), 1,
      anon_sym_EQ,
    STATE(570), 1,
      sym__binding_assignment,
  [27926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      anon_sym_DQUOTE,
    ACTIONS(1775), 1,
      aux_sym_quoted_attribute_value_token2,
  [27936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      anon_sym_SQUOTE,
    ACTIONS(1777), 1,
      aux_sym_quoted_attribute_value_token1,
  [27946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      anon_sym_LBRACE,
    STATE(283), 1,
      sym_statement_block,
  [27956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      anon_sym_LBRACE,
    STATE(332), 1,
      sym_switch_body,
  [27966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1781), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [27974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1503), 1,
      anon_sym_LBRACE,
    STATE(340), 1,
      sym_statement_block,
  [27984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1503), 1,
      anon_sym_LBRACE,
    STATE(363), 1,
      sym_statement_block,
  [27994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1697), 1,
      sym_identifier,
    STATE(860), 1,
      sym_for_declaration,
  [28004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 2,
      anon_sym_ms,
      anon_sym_s,
  [28012] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1785), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [28020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1503), 1,
      anon_sym_LBRACE,
    STATE(62), 1,
      sym_statement_block,
  [28030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 1,
      sym_identifier,
    STATE(765), 1,
      sym_assignment_expression,
  [28040] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      sym_identifier,
    STATE(349), 1,
      sym_pipe_call,
  [28050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      anon_sym_LBRACE,
    STATE(272), 1,
      sym_statement_block,
  [28060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      anon_sym_LBRACE,
    STATE(47), 1,
      sym_statement_block,
  [28070] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1789), 2,
      sym_raw_text,
      anon_sym_LT_SLASH,
  [28078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1791), 1,
      anon_sym_SQUOTE,
    STATE(955), 1,
      sym__single_quote,
  [28088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1793), 1,
      anon_sym_LBRACE,
    STATE(360), 1,
      sym_switch_body,
  [28098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym_let,
    STATE(987), 1,
      sym_for_reference,
  [28108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1795), 2,
      sym_raw_text,
      anon_sym_LT_SLASH,
  [28116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1503), 1,
      anon_sym_LBRACE,
    STATE(359), 1,
      sym_statement_block,
  [28126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1797), 1,
      anon_sym_DQUOTE,
    STATE(77), 1,
      sym__double_quote,
  [28136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1799), 1,
      anon_sym_DQUOTE,
  [28143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1801), 1,
      anon_sym_RBRACK,
  [28150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1803), 1,
      anon_sym_COMMA,
  [28157] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_COMMA,
  [28164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1807), 1,
      anon_sym_GT,
  [28171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1809), 1,
      anon_sym_COMMA,
  [28178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1811), 1,
      anon_sym_RBRACK,
  [28185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1813), 1,
      anon_sym_RPAREN_RBRACK,
  [28192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_RBRACK,
  [28199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1817), 1,
      anon_sym_RPAREN,
  [28206] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1819), 1,
      anon_sym_RPAREN,
  [28213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1821), 1,
      sym_identifier,
  [28220] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_LBRACE,
  [28227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1825), 1,
      anon_sym_SEMI,
  [28234] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym_LBRACE,
  [28241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1829), 1,
      anon_sym_RPAREN,
  [28248] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1831), 1,
      anon_sym_LBRACE,
  [28255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1833), 1,
      anon_sym_LBRACE,
  [28262] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1835), 1,
      sym__doctype,
  [28269] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1837), 1,
      anon_sym_RPAREN,
  [28276] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1336), 1,
      anon_sym_RBRACK,
  [28283] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1839), 1,
      anon_sym_RPAREN,
  [28290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1841), 1,
      anon_sym_RBRACK,
  [28297] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1843), 1,
      anon_sym_as,
  [28304] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1288), 1,
      anon_sym_RBRACK,
  [28311] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1845), 1,
      anon_sym_RPAREN,
  [28318] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_RPAREN,
  [28325] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1849), 1,
      anon_sym_track,
  [28332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_LBRACE,
  [28339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1853), 1,
      anon_sym_GT,
  [28346] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1855), 1,
      anon_sym_SQUOTE,
  [28353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1855), 1,
      anon_sym_DQUOTE,
  [28360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1857), 1,
      anon_sym_LBRACE,
  [28367] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1859), 1,
      anon_sym_LPAREN,
  [28374] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1861), 1,
      sym_identifier,
  [28381] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1863), 1,
      anon_sym_GT,
  [28388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      sym_identifier,
  [28395] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1867), 1,
      sym_identifier,
  [28402] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym_RPAREN,
  [28409] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1871), 1,
      sym_number,
  [28416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1873), 1,
      anon_sym_RPAREN,
  [28423] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1875), 1,
      sym_identifier,
  [28430] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1877), 1,
      anon_sym_RPAREN,
  [28437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1879), 1,
      sym_identifier,
  [28444] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1881), 1,
      anon_sym_of,
  [28451] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1883), 1,
      anon_sym_COLON,
  [28458] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1885), 1,
      anon_sym_COLON,
  [28465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 1,
      anon_sym_DQUOTE,
  [28472] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1889), 1,
      anon_sym_SQUOTE,
  [28479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1889), 1,
      anon_sym_DQUOTE,
  [28486] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_COLON,
  [28493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_DQUOTE,
  [28500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1713), 1,
      sym__end_tag_name,
  [28507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1895), 1,
      anon_sym_DQUOTE,
  [28514] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1897), 1,
      anon_sym_RPAREN,
  [28521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1567), 1,
      anon_sym_COMMA,
  [28528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1899), 1,
      anon_sym_RPAREN_RBRACK,
  [28535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1901), 1,
      anon_sym_GT,
  [28542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1903), 1,
      aux_sym_doctype_token1,
  [28549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1905), 1,
      anon_sym_LPAREN,
  [28556] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_LPAREN,
  [28563] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_LPAREN,
  [28570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1911), 1,
      anon_sym_LPAREN,
  [28577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1913), 1,
      anon_sym_RBRACK,
  [28584] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_RPAREN,
  [28591] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1917), 1,
      anon_sym_RPAREN,
  [28598] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_RPAREN,
  [28605] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
  [28612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_SEMI,
  [28619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1925), 1,
      anon_sym_EQ,
  [28626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1927), 1,
      anon_sym_RPAREN,
  [28633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1677), 1,
      sym__end_tag_name,
  [28640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1929), 1,
      anon_sym_RPAREN,
  [28647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1557), 1,
      sym__interpolation_end,
  [28654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1931), 1,
      anon_sym_RPAREN,
  [28661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1312), 1,
      anon_sym_RBRACK,
  [28668] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 1,
      anon_sym_RBRACK,
  [28675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1933), 1,
      ts_builtin_sym_end,
  [28682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1935), 1,
      sym_erroneous_end_tag_name,
  [28689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1937), 1,
      aux_sym_doctype_token1,
  [28696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1939), 1,
      sym__doctype,
  [28703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1679), 1,
      sym_erroneous_end_tag_name,
  [28710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_COMMA,
  [28717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1652), 1,
      sym__interpolation_end,
  [28724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      anon_sym_LPAREN,
  [28731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_SEMI,
  [28738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_GT,
  [28745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1947), 1,
      anon_sym_GT,
  [28752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_LPAREN,
  [28759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1951), 1,
      anon_sym_LPAREN,
  [28766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1953), 1,
      sym_identifier,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2)] = 0,
  [SMALL_STATE(3)] = 117,
  [SMALL_STATE(4)] = 234,
  [SMALL_STATE(5)] = 351,
  [SMALL_STATE(6)] = 468,
  [SMALL_STATE(7)] = 583,
  [SMALL_STATE(8)] = 697,
  [SMALL_STATE(9)] = 811,
  [SMALL_STATE(10)] = 925,
  [SMALL_STATE(11)] = 1039,
  [SMALL_STATE(12)] = 1153,
  [SMALL_STATE(13)] = 1267,
  [SMALL_STATE(14)] = 1381,
  [SMALL_STATE(15)] = 1495,
  [SMALL_STATE(16)] = 1609,
  [SMALL_STATE(17)] = 1720,
  [SMALL_STATE(18)] = 1769,
  [SMALL_STATE(19)] = 1816,
  [SMALL_STATE(20)] = 1865,
  [SMALL_STATE(21)] = 1905,
  [SMALL_STATE(22)] = 1945,
  [SMALL_STATE(23)] = 1997,
  [SMALL_STATE(24)] = 2045,
  [SMALL_STATE(25)] = 2093,
  [SMALL_STATE(26)] = 2133,
  [SMALL_STATE(27)] = 2181,
  [SMALL_STATE(28)] = 2227,
  [SMALL_STATE(29)] = 2279,
  [SMALL_STATE(30)] = 2327,
  [SMALL_STATE(31)] = 2364,
  [SMALL_STATE(32)] = 2401,
  [SMALL_STATE(33)] = 2466,
  [SMALL_STATE(34)] = 2519,
  [SMALL_STATE(35)] = 2566,
  [SMALL_STATE(36)] = 2603,
  [SMALL_STATE(37)] = 2652,
  [SMALL_STATE(38)] = 2689,
  [SMALL_STATE(39)] = 2726,
  [SMALL_STATE(40)] = 2777,
  [SMALL_STATE(41)] = 2814,
  [SMALL_STATE(42)] = 2851,
  [SMALL_STATE(43)] = 2892,
  [SMALL_STATE(44)] = 2957,
  [SMALL_STATE(45)] = 2998,
  [SMALL_STATE(46)] = 3035,
  [SMALL_STATE(47)] = 3076,
  [SMALL_STATE(48)] = 3141,
  [SMALL_STATE(49)] = 3178,
  [SMALL_STATE(50)] = 3215,
  [SMALL_STATE(51)] = 3256,
  [SMALL_STATE(52)] = 3321,
  [SMALL_STATE(53)] = 3358,
  [SMALL_STATE(54)] = 3395,
  [SMALL_STATE(55)] = 3460,
  [SMALL_STATE(56)] = 3497,
  [SMALL_STATE(57)] = 3534,
  [SMALL_STATE(58)] = 3573,
  [SMALL_STATE(59)] = 3612,
  [SMALL_STATE(60)] = 3676,
  [SMALL_STATE(61)] = 3728,
  [SMALL_STATE(62)] = 3768,
  [SMALL_STATE(63)] = 3832,
  [SMALL_STATE(64)] = 3868,
  [SMALL_STATE(65)] = 3934,
  [SMALL_STATE(66)] = 4002,
  [SMALL_STATE(67)] = 4038,
  [SMALL_STATE(68)] = 4074,
  [SMALL_STATE(69)] = 4138,
  [SMALL_STATE(70)] = 4174,
  [SMALL_STATE(71)] = 4210,
  [SMALL_STATE(72)] = 4246,
  [SMALL_STATE(73)] = 4282,
  [SMALL_STATE(74)] = 4318,
  [SMALL_STATE(75)] = 4382,
  [SMALL_STATE(76)] = 4450,
  [SMALL_STATE(77)] = 4514,
  [SMALL_STATE(78)] = 4580,
  [SMALL_STATE(79)] = 4618,
  [SMALL_STATE(80)] = 4658,
  [SMALL_STATE(81)] = 4706,
  [SMALL_STATE(82)] = 4746,
  [SMALL_STATE(83)] = 4785,
  [SMALL_STATE(84)] = 4832,
  [SMALL_STATE(85)] = 4883,
  [SMALL_STATE(86)] = 4948,
  [SMALL_STATE(87)] = 4987,
  [SMALL_STATE(88)] = 5031,
  [SMALL_STATE(89)] = 5093,
  [SMALL_STATE(90)] = 5155,
  [SMALL_STATE(91)] = 5217,
  [SMALL_STATE(92)] = 5279,
  [SMALL_STATE(93)] = 5317,
  [SMALL_STATE(94)] = 5365,
  [SMALL_STATE(95)] = 5427,
  [SMALL_STATE(96)] = 5465,
  [SMALL_STATE(97)] = 5503,
  [SMALL_STATE(98)] = 5545,
  [SMALL_STATE(99)] = 5593,
  [SMALL_STATE(100)] = 5655,
  [SMALL_STATE(101)] = 5697,
  [SMALL_STATE(102)] = 5735,
  [SMALL_STATE(103)] = 5775,
  [SMALL_STATE(104)] = 5823,
  [SMALL_STATE(105)] = 5867,
  [SMALL_STATE(106)] = 5903,
  [SMALL_STATE(107)] = 5947,
  [SMALL_STATE(108)] = 5983,
  [SMALL_STATE(109)] = 6025,
  [SMALL_STATE(110)] = 6069,
  [SMALL_STATE(111)] = 6105,
  [SMALL_STATE(112)] = 6167,
  [SMALL_STATE(113)] = 6229,
  [SMALL_STATE(114)] = 6273,
  [SMALL_STATE(115)] = 6334,
  [SMALL_STATE(116)] = 6393,
  [SMALL_STATE(117)] = 6452,
  [SMALL_STATE(118)] = 6487,
  [SMALL_STATE(119)] = 6546,
  [SMALL_STATE(120)] = 6581,
  [SMALL_STATE(121)] = 6620,
  [SMALL_STATE(122)] = 6679,
  [SMALL_STATE(123)] = 6738,
  [SMALL_STATE(124)] = 6797,
  [SMALL_STATE(125)] = 6858,
  [SMALL_STATE(126)] = 6919,
  [SMALL_STATE(127)] = 6960,
  [SMALL_STATE(128)] = 7019,
  [SMALL_STATE(129)] = 7060,
  [SMALL_STATE(130)] = 7119,
  [SMALL_STATE(131)] = 7156,
  [SMALL_STATE(132)] = 7217,
  [SMALL_STATE(133)] = 7254,
  [SMALL_STATE(134)] = 7313,
  [SMALL_STATE(135)] = 7372,
  [SMALL_STATE(136)] = 7413,
  [SMALL_STATE(137)] = 7472,
  [SMALL_STATE(138)] = 7513,
  [SMALL_STATE(139)] = 7574,
  [SMALL_STATE(140)] = 7633,
  [SMALL_STATE(141)] = 7692,
  [SMALL_STATE(142)] = 7729,
  [SMALL_STATE(143)] = 7788,
  [SMALL_STATE(144)] = 7847,
  [SMALL_STATE(145)] = 7908,
  [SMALL_STATE(146)] = 7945,
  [SMALL_STATE(147)] = 7982,
  [SMALL_STATE(148)] = 8023,
  [SMALL_STATE(149)] = 8082,
  [SMALL_STATE(150)] = 8143,
  [SMALL_STATE(151)] = 8176,
  [SMALL_STATE(152)] = 8235,
  [SMALL_STATE(153)] = 8294,
  [SMALL_STATE(154)] = 8353,
  [SMALL_STATE(155)] = 8412,
  [SMALL_STATE(156)] = 8471,
  [SMALL_STATE(157)] = 8506,
  [SMALL_STATE(158)] = 8565,
  [SMALL_STATE(159)] = 8626,
  [SMALL_STATE(160)] = 8675,
  [SMALL_STATE(161)] = 8722,
  [SMALL_STATE(162)] = 8783,
  [SMALL_STATE(163)] = 8842,
  [SMALL_STATE(164)] = 8901,
  [SMALL_STATE(165)] = 8960,
  [SMALL_STATE(166)] = 9021,
  [SMALL_STATE(167)] = 9056,
  [SMALL_STATE(168)] = 9115,
  [SMALL_STATE(169)] = 9164,
  [SMALL_STATE(170)] = 9197,
  [SMALL_STATE(171)] = 9258,
  [SMALL_STATE(172)] = 9291,
  [SMALL_STATE(173)] = 9352,
  [SMALL_STATE(174)] = 9411,
  [SMALL_STATE(175)] = 9456,
  [SMALL_STATE(176)] = 9497,
  [SMALL_STATE(177)] = 9556,
  [SMALL_STATE(178)] = 9591,
  [SMALL_STATE(179)] = 9638,
  [SMALL_STATE(180)] = 9673,
  [SMALL_STATE(181)] = 9732,
  [SMALL_STATE(182)] = 9771,
  [SMALL_STATE(183)] = 9808,
  [SMALL_STATE(184)] = 9845,
  [SMALL_STATE(185)] = 9904,
  [SMALL_STATE(186)] = 9941,
  [SMALL_STATE(187)] = 10002,
  [SMALL_STATE(188)] = 10061,
  [SMALL_STATE(189)] = 10098,
  [SMALL_STATE(190)] = 10157,
  [SMALL_STATE(191)] = 10218,
  [SMALL_STATE(192)] = 10277,
  [SMALL_STATE(193)] = 10310,
  [SMALL_STATE(194)] = 10349,
  [SMALL_STATE(195)] = 10410,
  [SMALL_STATE(196)] = 10443,
  [SMALL_STATE(197)] = 10502,
  [SMALL_STATE(198)] = 10563,
  [SMALL_STATE(199)] = 10598,
  [SMALL_STATE(200)] = 10657,
  [SMALL_STATE(201)] = 10716,
  [SMALL_STATE(202)] = 10777,
  [SMALL_STATE(203)] = 10809,
  [SMALL_STATE(204)] = 10841,
  [SMALL_STATE(205)] = 10873,
  [SMALL_STATE(206)] = 10907,
  [SMALL_STATE(207)] = 10943,
  [SMALL_STATE(208)] = 10979,
  [SMALL_STATE(209)] = 11011,
  [SMALL_STATE(210)] = 11045,
  [SMALL_STATE(211)] = 11077,
  [SMALL_STATE(212)] = 11117,
  [SMALL_STATE(213)] = 11149,
  [SMALL_STATE(214)] = 11181,
  [SMALL_STATE(215)] = 11215,
  [SMALL_STATE(216)] = 11251,
  [SMALL_STATE(217)] = 11287,
  [SMALL_STATE(218)] = 11327,
  [SMALL_STATE(219)] = 11363,
  [SMALL_STATE(220)] = 11395,
  [SMALL_STATE(221)] = 11431,
  [SMALL_STATE(222)] = 11467,
  [SMALL_STATE(223)] = 11503,
  [SMALL_STATE(224)] = 11535,
  [SMALL_STATE(225)] = 11567,
  [SMALL_STATE(226)] = 11603,
  [SMALL_STATE(227)] = 11639,
  [SMALL_STATE(228)] = 11675,
  [SMALL_STATE(229)] = 11707,
  [SMALL_STATE(230)] = 11739,
  [SMALL_STATE(231)] = 11775,
  [SMALL_STATE(232)] = 11807,
  [SMALL_STATE(233)] = 11839,
  [SMALL_STATE(234)] = 11871,
  [SMALL_STATE(235)] = 11903,
  [SMALL_STATE(236)] = 11939,
  [SMALL_STATE(237)] = 11998,
  [SMALL_STATE(238)] = 12057,
  [SMALL_STATE(239)] = 12096,
  [SMALL_STATE(240)] = 12155,
  [SMALL_STATE(241)] = 12190,
  [SMALL_STATE(242)] = 12229,
  [SMALL_STATE(243)] = 12288,
  [SMALL_STATE(244)] = 12344,
  [SMALL_STATE(245)] = 12400,
  [SMALL_STATE(246)] = 12456,
  [SMALL_STATE(247)] = 12512,
  [SMALL_STATE(248)] = 12568,
  [SMALL_STATE(249)] = 12624,
  [SMALL_STATE(250)] = 12680,
  [SMALL_STATE(251)] = 12736,
  [SMALL_STATE(252)] = 12792,
  [SMALL_STATE(253)] = 12848,
  [SMALL_STATE(254)] = 12904,
  [SMALL_STATE(255)] = 12960,
  [SMALL_STATE(256)] = 13016,
  [SMALL_STATE(257)] = 13054,
  [SMALL_STATE(258)] = 13110,
  [SMALL_STATE(259)] = 13166,
  [SMALL_STATE(260)] = 13222,
  [SMALL_STATE(261)] = 13278,
  [SMALL_STATE(262)] = 13334,
  [SMALL_STATE(263)] = 13390,
  [SMALL_STATE(264)] = 13428,
  [SMALL_STATE(265)] = 13484,
  [SMALL_STATE(266)] = 13540,
  [SMALL_STATE(267)] = 13596,
  [SMALL_STATE(268)] = 13652,
  [SMALL_STATE(269)] = 13708,
  [SMALL_STATE(270)] = 13764,
  [SMALL_STATE(271)] = 13820,
  [SMALL_STATE(272)] = 13851,
  [SMALL_STATE(273)] = 13880,
  [SMALL_STATE(274)] = 13909,
  [SMALL_STATE(275)] = 13946,
  [SMALL_STATE(276)] = 13983,
  [SMALL_STATE(277)] = 14020,
  [SMALL_STATE(278)] = 14049,
  [SMALL_STATE(279)] = 14078,
  [SMALL_STATE(280)] = 14107,
  [SMALL_STATE(281)] = 14136,
  [SMALL_STATE(282)] = 14173,
  [SMALL_STATE(283)] = 14202,
  [SMALL_STATE(284)] = 14231,
  [SMALL_STATE(285)] = 14260,
  [SMALL_STATE(286)] = 14297,
  [SMALL_STATE(287)] = 14334,
  [SMALL_STATE(288)] = 14363,
  [SMALL_STATE(289)] = 14392,
  [SMALL_STATE(290)] = 14421,
  [SMALL_STATE(291)] = 14450,
  [SMALL_STATE(292)] = 14485,
  [SMALL_STATE(293)] = 14514,
  [SMALL_STATE(294)] = 14543,
  [SMALL_STATE(295)] = 14572,
  [SMALL_STATE(296)] = 14601,
  [SMALL_STATE(297)] = 14634,
  [SMALL_STATE(298)] = 14671,
  [SMALL_STATE(299)] = 14700,
  [SMALL_STATE(300)] = 14729,
  [SMALL_STATE(301)] = 14762,
  [SMALL_STATE(302)] = 14799,
  [SMALL_STATE(303)] = 14828,
  [SMALL_STATE(304)] = 14857,
  [SMALL_STATE(305)] = 14892,
  [SMALL_STATE(306)] = 14921,
  [SMALL_STATE(307)] = 14950,
  [SMALL_STATE(308)] = 14979,
  [SMALL_STATE(309)] = 15008,
  [SMALL_STATE(310)] = 15041,
  [SMALL_STATE(311)] = 15070,
  [SMALL_STATE(312)] = 15101,
  [SMALL_STATE(313)] = 15132,
  [SMALL_STATE(314)] = 15161,
  [SMALL_STATE(315)] = 15190,
  [SMALL_STATE(316)] = 15219,
  [SMALL_STATE(317)] = 15252,
  [SMALL_STATE(318)] = 15281,
  [SMALL_STATE(319)] = 15310,
  [SMALL_STATE(320)] = 15339,
  [SMALL_STATE(321)] = 15368,
  [SMALL_STATE(322)] = 15405,
  [SMALL_STATE(323)] = 15434,
  [SMALL_STATE(324)] = 15463,
  [SMALL_STATE(325)] = 15492,
  [SMALL_STATE(326)] = 15521,
  [SMALL_STATE(327)] = 15554,
  [SMALL_STATE(328)] = 15583,
  [SMALL_STATE(329)] = 15612,
  [SMALL_STATE(330)] = 15641,
  [SMALL_STATE(331)] = 15670,
  [SMALL_STATE(332)] = 15707,
  [SMALL_STATE(333)] = 15736,
  [SMALL_STATE(334)] = 15765,
  [SMALL_STATE(335)] = 15793,
  [SMALL_STATE(336)] = 15821,
  [SMALL_STATE(337)] = 15849,
  [SMALL_STATE(338)] = 15881,
  [SMALL_STATE(339)] = 15913,
  [SMALL_STATE(340)] = 15941,
  [SMALL_STATE(341)] = 15969,
  [SMALL_STATE(342)] = 16001,
  [SMALL_STATE(343)] = 16029,
  [SMALL_STATE(344)] = 16077,
  [SMALL_STATE(345)] = 16105,
  [SMALL_STATE(346)] = 16153,
  [SMALL_STATE(347)] = 16201,
  [SMALL_STATE(348)] = 16229,
  [SMALL_STATE(349)] = 16257,
  [SMALL_STATE(350)] = 16285,
  [SMALL_STATE(351)] = 16313,
  [SMALL_STATE(352)] = 16341,
  [SMALL_STATE(353)] = 16369,
  [SMALL_STATE(354)] = 16397,
  [SMALL_STATE(355)] = 16433,
  [SMALL_STATE(356)] = 16461,
  [SMALL_STATE(357)] = 16489,
  [SMALL_STATE(358)] = 16517,
  [SMALL_STATE(359)] = 16545,
  [SMALL_STATE(360)] = 16573,
  [SMALL_STATE(361)] = 16601,
  [SMALL_STATE(362)] = 16629,
  [SMALL_STATE(363)] = 16657,
  [SMALL_STATE(364)] = 16685,
  [SMALL_STATE(365)] = 16715,
  [SMALL_STATE(366)] = 16743,
  [SMALL_STATE(367)] = 16771,
  [SMALL_STATE(368)] = 16799,
  [SMALL_STATE(369)] = 16827,
  [SMALL_STATE(370)] = 16859,
  [SMALL_STATE(371)] = 16887,
  [SMALL_STATE(372)] = 16915,
  [SMALL_STATE(373)] = 16963,
  [SMALL_STATE(374)] = 16991,
  [SMALL_STATE(375)] = 17019,
  [SMALL_STATE(376)] = 17047,
  [SMALL_STATE(377)] = 17075,
  [SMALL_STATE(378)] = 17103,
  [SMALL_STATE(379)] = 17131,
  [SMALL_STATE(380)] = 17159,
  [SMALL_STATE(381)] = 17187,
  [SMALL_STATE(382)] = 17215,
  [SMALL_STATE(383)] = 17243,
  [SMALL_STATE(384)] = 17271,
  [SMALL_STATE(385)] = 17301,
  [SMALL_STATE(386)] = 17329,
  [SMALL_STATE(387)] = 17377,
  [SMALL_STATE(388)] = 17405,
  [SMALL_STATE(389)] = 17433,
  [SMALL_STATE(390)] = 17461,
  [SMALL_STATE(391)] = 17489,
  [SMALL_STATE(392)] = 17517,
  [SMALL_STATE(393)] = 17545,
  [SMALL_STATE(394)] = 17573,
  [SMALL_STATE(395)] = 17601,
  [SMALL_STATE(396)] = 17629,
  [SMALL_STATE(397)] = 17664,
  [SMALL_STATE(398)] = 17699,
  [SMALL_STATE(399)] = 17734,
  [SMALL_STATE(400)] = 17778,
  [SMALL_STATE(401)] = 17822,
  [SMALL_STATE(402)] = 17868,
  [SMALL_STATE(403)] = 17912,
  [SMALL_STATE(404)] = 17958,
  [SMALL_STATE(405)] = 18002,
  [SMALL_STATE(406)] = 18046,
  [SMALL_STATE(407)] = 18092,
  [SMALL_STATE(408)] = 18136,
  [SMALL_STATE(409)] = 18180,
  [SMALL_STATE(410)] = 18226,
  [SMALL_STATE(411)] = 18272,
  [SMALL_STATE(412)] = 18316,
  [SMALL_STATE(413)] = 18346,
  [SMALL_STATE(414)] = 18392,
  [SMALL_STATE(415)] = 18436,
  [SMALL_STATE(416)] = 18480,
  [SMALL_STATE(417)] = 18526,
  [SMALL_STATE(418)] = 18572,
  [SMALL_STATE(419)] = 18616,
  [SMALL_STATE(420)] = 18660,
  [SMALL_STATE(421)] = 18704,
  [SMALL_STATE(422)] = 18748,
  [SMALL_STATE(423)] = 18792,
  [SMALL_STATE(424)] = 18836,
  [SMALL_STATE(425)] = 18882,
  [SMALL_STATE(426)] = 18928,
  [SMALL_STATE(427)] = 18974,
  [SMALL_STATE(428)] = 19018,
  [SMALL_STATE(429)] = 19064,
  [SMALL_STATE(430)] = 19105,
  [SMALL_STATE(431)] = 19146,
  [SMALL_STATE(432)] = 19189,
  [SMALL_STATE(433)] = 19222,
  [SMALL_STATE(434)] = 19265,
  [SMALL_STATE(435)] = 19306,
  [SMALL_STATE(436)] = 19347,
  [SMALL_STATE(437)] = 19390,
  [SMALL_STATE(438)] = 19433,
  [SMALL_STATE(439)] = 19476,
  [SMALL_STATE(440)] = 19517,
  [SMALL_STATE(441)] = 19558,
  [SMALL_STATE(442)] = 19599,
  [SMALL_STATE(443)] = 19642,
  [SMALL_STATE(444)] = 19685,
  [SMALL_STATE(445)] = 19726,
  [SMALL_STATE(446)] = 19755,
  [SMALL_STATE(447)] = 19798,
  [SMALL_STATE(448)] = 19841,
  [SMALL_STATE(449)] = 19870,
  [SMALL_STATE(450)] = 19913,
  [SMALL_STATE(451)] = 19954,
  [SMALL_STATE(452)] = 19997,
  [SMALL_STATE(453)] = 20038,
  [SMALL_STATE(454)] = 20081,
  [SMALL_STATE(455)] = 20122,
  [SMALL_STATE(456)] = 20165,
  [SMALL_STATE(457)] = 20208,
  [SMALL_STATE(458)] = 20251,
  [SMALL_STATE(459)] = 20292,
  [SMALL_STATE(460)] = 20335,
  [SMALL_STATE(461)] = 20378,
  [SMALL_STATE(462)] = 20419,
  [SMALL_STATE(463)] = 20460,
  [SMALL_STATE(464)] = 20488,
  [SMALL_STATE(465)] = 20530,
  [SMALL_STATE(466)] = 20556,
  [SMALL_STATE(467)] = 20598,
  [SMALL_STATE(468)] = 20632,
  [SMALL_STATE(469)] = 20674,
  [SMALL_STATE(470)] = 20700,
  [SMALL_STATE(471)] = 20742,
  [SMALL_STATE(472)] = 20768,
  [SMALL_STATE(473)] = 20794,
  [SMALL_STATE(474)] = 20834,
  [SMALL_STATE(475)] = 20860,
  [SMALL_STATE(476)] = 20883,
  [SMALL_STATE(477)] = 20906,
  [SMALL_STATE(478)] = 20945,
  [SMALL_STATE(479)] = 20984,
  [SMALL_STATE(480)] = 21023,
  [SMALL_STATE(481)] = 21046,
  [SMALL_STATE(482)] = 21069,
  [SMALL_STATE(483)] = 21092,
  [SMALL_STATE(484)] = 21115,
  [SMALL_STATE(485)] = 21138,
  [SMALL_STATE(486)] = 21161,
  [SMALL_STATE(487)] = 21184,
  [SMALL_STATE(488)] = 21211,
  [SMALL_STATE(489)] = 21234,
  [SMALL_STATE(490)] = 21273,
  [SMALL_STATE(491)] = 21296,
  [SMALL_STATE(492)] = 21319,
  [SMALL_STATE(493)] = 21352,
  [SMALL_STATE(494)] = 21391,
  [SMALL_STATE(495)] = 21414,
  [SMALL_STATE(496)] = 21446,
  [SMALL_STATE(497)] = 21473,
  [SMALL_STATE(498)] = 21499,
  [SMALL_STATE(499)] = 21523,
  [SMALL_STATE(500)] = 21547,
  [SMALL_STATE(501)] = 21577,
  [SMALL_STATE(502)] = 21601,
  [SMALL_STATE(503)] = 21625,
  [SMALL_STATE(504)] = 21649,
  [SMALL_STATE(505)] = 21671,
  [SMALL_STATE(506)] = 21697,
  [SMALL_STATE(507)] = 21719,
  [SMALL_STATE(508)] = 21741,
  [SMALL_STATE(509)] = 21765,
  [SMALL_STATE(510)] = 21787,
  [SMALL_STATE(511)] = 21811,
  [SMALL_STATE(512)] = 21832,
  [SMALL_STATE(513)] = 21855,
  [SMALL_STATE(514)] = 21874,
  [SMALL_STATE(515)] = 21897,
  [SMALL_STATE(516)] = 21924,
  [SMALL_STATE(517)] = 21949,
  [SMALL_STATE(518)] = 21972,
  [SMALL_STATE(519)] = 21993,
  [SMALL_STATE(520)] = 22016,
  [SMALL_STATE(521)] = 22037,
  [SMALL_STATE(522)] = 22060,
  [SMALL_STATE(523)] = 22083,
  [SMALL_STATE(524)] = 22104,
  [SMALL_STATE(525)] = 22127,
  [SMALL_STATE(526)] = 22150,
  [SMALL_STATE(527)] = 22173,
  [SMALL_STATE(528)] = 22192,
  [SMALL_STATE(529)] = 22215,
  [SMALL_STATE(530)] = 22242,
  [SMALL_STATE(531)] = 22263,
  [SMALL_STATE(532)] = 22282,
  [SMALL_STATE(533)] = 22306,
  [SMALL_STATE(534)] = 22328,
  [SMALL_STATE(535)] = 22350,
  [SMALL_STATE(536)] = 22370,
  [SMALL_STATE(537)] = 22392,
  [SMALL_STATE(538)] = 22414,
  [SMALL_STATE(539)] = 22436,
  [SMALL_STATE(540)] = 22456,
  [SMALL_STATE(541)] = 22478,
  [SMALL_STATE(542)] = 22500,
  [SMALL_STATE(543)] = 22529,
  [SMALL_STATE(544)] = 22558,
  [SMALL_STATE(545)] = 22579,
  [SMALL_STATE(546)] = 22608,
  [SMALL_STATE(547)] = 22629,
  [SMALL_STATE(548)] = 22650,
  [SMALL_STATE(549)] = 22675,
  [SMALL_STATE(550)] = 22696,
  [SMALL_STATE(551)] = 22725,
  [SMALL_STATE(552)] = 22744,
  [SMALL_STATE(553)] = 22767,
  [SMALL_STATE(554)] = 22796,
  [SMALL_STATE(555)] = 22817,
  [SMALL_STATE(556)] = 22836,
  [SMALL_STATE(557)] = 22855,
  [SMALL_STATE(558)] = 22876,
  [SMALL_STATE(559)] = 22905,
  [SMALL_STATE(560)] = 22924,
  [SMALL_STATE(561)] = 22953,
  [SMALL_STATE(562)] = 22974,
  [SMALL_STATE(563)] = 22997,
  [SMALL_STATE(564)] = 23026,
  [SMALL_STATE(565)] = 23051,
  [SMALL_STATE(566)] = 23080,
  [SMALL_STATE(567)] = 23099,
  [SMALL_STATE(568)] = 23118,
  [SMALL_STATE(569)] = 23134,
  [SMALL_STATE(570)] = 23150,
  [SMALL_STATE(571)] = 23166,
  [SMALL_STATE(572)] = 23182,
  [SMALL_STATE(573)] = 23198,
  [SMALL_STATE(574)] = 23216,
  [SMALL_STATE(575)] = 23234,
  [SMALL_STATE(576)] = 23254,
  [SMALL_STATE(577)] = 23274,
  [SMALL_STATE(578)] = 23292,
  [SMALL_STATE(579)] = 23308,
  [SMALL_STATE(580)] = 23326,
  [SMALL_STATE(581)] = 23342,
  [SMALL_STATE(582)] = 23362,
  [SMALL_STATE(583)] = 23380,
  [SMALL_STATE(584)] = 23400,
  [SMALL_STATE(585)] = 23422,
  [SMALL_STATE(586)] = 23440,
  [SMALL_STATE(587)] = 23458,
  [SMALL_STATE(588)] = 23476,
  [SMALL_STATE(589)] = 23492,
  [SMALL_STATE(590)] = 23508,
  [SMALL_STATE(591)] = 23524,
  [SMALL_STATE(592)] = 23540,
  [SMALL_STATE(593)] = 23556,
  [SMALL_STATE(594)] = 23574,
  [SMALL_STATE(595)] = 23602,
  [SMALL_STATE(596)] = 23620,
  [SMALL_STATE(597)] = 23638,
  [SMALL_STATE(598)] = 23656,
  [SMALL_STATE(599)] = 23674,
  [SMALL_STATE(600)] = 23694,
  [SMALL_STATE(601)] = 23714,
  [SMALL_STATE(602)] = 23734,
  [SMALL_STATE(603)] = 23758,
  [SMALL_STATE(604)] = 23778,
  [SMALL_STATE(605)] = 23793,
  [SMALL_STATE(606)] = 23810,
  [SMALL_STATE(607)] = 23825,
  [SMALL_STATE(608)] = 23840,
  [SMALL_STATE(609)] = 23857,
  [SMALL_STATE(610)] = 23872,
  [SMALL_STATE(611)] = 23891,
  [SMALL_STATE(612)] = 23906,
  [SMALL_STATE(613)] = 23921,
  [SMALL_STATE(614)] = 23940,
  [SMALL_STATE(615)] = 23957,
  [SMALL_STATE(616)] = 23974,
  [SMALL_STATE(617)] = 23993,
  [SMALL_STATE(618)] = 24010,
  [SMALL_STATE(619)] = 24025,
  [SMALL_STATE(620)] = 24040,
  [SMALL_STATE(621)] = 24061,
  [SMALL_STATE(622)] = 24078,
  [SMALL_STATE(623)] = 24095,
  [SMALL_STATE(624)] = 24114,
  [SMALL_STATE(625)] = 24129,
  [SMALL_STATE(626)] = 24146,
  [SMALL_STATE(627)] = 24163,
  [SMALL_STATE(628)] = 24180,
  [SMALL_STATE(629)] = 24201,
  [SMALL_STATE(630)] = 24218,
  [SMALL_STATE(631)] = 24233,
  [SMALL_STATE(632)] = 24248,
  [SMALL_STATE(633)] = 24265,
  [SMALL_STATE(634)] = 24280,
  [SMALL_STATE(635)] = 24299,
  [SMALL_STATE(636)] = 24315,
  [SMALL_STATE(637)] = 24331,
  [SMALL_STATE(638)] = 24347,
  [SMALL_STATE(639)] = 24363,
  [SMALL_STATE(640)] = 24379,
  [SMALL_STATE(641)] = 24395,
  [SMALL_STATE(642)] = 24411,
  [SMALL_STATE(643)] = 24429,
  [SMALL_STATE(644)] = 24445,
  [SMALL_STATE(645)] = 24463,
  [SMALL_STATE(646)] = 24479,
  [SMALL_STATE(647)] = 24501,
  [SMALL_STATE(648)] = 24517,
  [SMALL_STATE(649)] = 24533,
  [SMALL_STATE(650)] = 24547,
  [SMALL_STATE(651)] = 24563,
  [SMALL_STATE(652)] = 24579,
  [SMALL_STATE(653)] = 24595,
  [SMALL_STATE(654)] = 24611,
  [SMALL_STATE(655)] = 24629,
  [SMALL_STATE(656)] = 24645,
  [SMALL_STATE(657)] = 24661,
  [SMALL_STATE(658)] = 24677,
  [SMALL_STATE(659)] = 24699,
  [SMALL_STATE(660)] = 24721,
  [SMALL_STATE(661)] = 24737,
  [SMALL_STATE(662)] = 24753,
  [SMALL_STATE(663)] = 24768,
  [SMALL_STATE(664)] = 24783,
  [SMALL_STATE(665)] = 24796,
  [SMALL_STATE(666)] = 24811,
  [SMALL_STATE(667)] = 24826,
  [SMALL_STATE(668)] = 24839,
  [SMALL_STATE(669)] = 24854,
  [SMALL_STATE(670)] = 24867,
  [SMALL_STATE(671)] = 24882,
  [SMALL_STATE(672)] = 24895,
  [SMALL_STATE(673)] = 24908,
  [SMALL_STATE(674)] = 24923,
  [SMALL_STATE(675)] = 24938,
  [SMALL_STATE(676)] = 24957,
  [SMALL_STATE(677)] = 24976,
  [SMALL_STATE(678)] = 24995,
  [SMALL_STATE(679)] = 25008,
  [SMALL_STATE(680)] = 25023,
  [SMALL_STATE(681)] = 25036,
  [SMALL_STATE(682)] = 25051,
  [SMALL_STATE(683)] = 25066,
  [SMALL_STATE(684)] = 25079,
  [SMALL_STATE(685)] = 25098,
  [SMALL_STATE(686)] = 25111,
  [SMALL_STATE(687)] = 25126,
  [SMALL_STATE(688)] = 25141,
  [SMALL_STATE(689)] = 25156,
  [SMALL_STATE(690)] = 25171,
  [SMALL_STATE(691)] = 25184,
  [SMALL_STATE(692)] = 25197,
  [SMALL_STATE(693)] = 25210,
  [SMALL_STATE(694)] = 25229,
  [SMALL_STATE(695)] = 25248,
  [SMALL_STATE(696)] = 25263,
  [SMALL_STATE(697)] = 25278,
  [SMALL_STATE(698)] = 25291,
  [SMALL_STATE(699)] = 25306,
  [SMALL_STATE(700)] = 25319,
  [SMALL_STATE(701)] = 25338,
  [SMALL_STATE(702)] = 25353,
  [SMALL_STATE(703)] = 25372,
  [SMALL_STATE(704)] = 25385,
  [SMALL_STATE(705)] = 25398,
  [SMALL_STATE(706)] = 25413,
  [SMALL_STATE(707)] = 25428,
  [SMALL_STATE(708)] = 25443,
  [SMALL_STATE(709)] = 25462,
  [SMALL_STATE(710)] = 25481,
  [SMALL_STATE(711)] = 25494,
  [SMALL_STATE(712)] = 25509,
  [SMALL_STATE(713)] = 25524,
  [SMALL_STATE(714)] = 25539,
  [SMALL_STATE(715)] = 25554,
  [SMALL_STATE(716)] = 25569,
  [SMALL_STATE(717)] = 25582,
  [SMALL_STATE(718)] = 25601,
  [SMALL_STATE(719)] = 25620,
  [SMALL_STATE(720)] = 25635,
  [SMALL_STATE(721)] = 25650,
  [SMALL_STATE(722)] = 25663,
  [SMALL_STATE(723)] = 25682,
  [SMALL_STATE(724)] = 25697,
  [SMALL_STATE(725)] = 25716,
  [SMALL_STATE(726)] = 25735,
  [SMALL_STATE(727)] = 25754,
  [SMALL_STATE(728)] = 25767,
  [SMALL_STATE(729)] = 25782,
  [SMALL_STATE(730)] = 25795,
  [SMALL_STATE(731)] = 25808,
  [SMALL_STATE(732)] = 25824,
  [SMALL_STATE(733)] = 25838,
  [SMALL_STATE(734)] = 25852,
  [SMALL_STATE(735)] = 25868,
  [SMALL_STATE(736)] = 25882,
  [SMALL_STATE(737)] = 25898,
  [SMALL_STATE(738)] = 25912,
  [SMALL_STATE(739)] = 25926,
  [SMALL_STATE(740)] = 25940,
  [SMALL_STATE(741)] = 25954,
  [SMALL_STATE(742)] = 25968,
  [SMALL_STATE(743)] = 25984,
  [SMALL_STATE(744)] = 25994,
  [SMALL_STATE(745)] = 26008,
  [SMALL_STATE(746)] = 26022,
  [SMALL_STATE(747)] = 26034,
  [SMALL_STATE(748)] = 26048,
  [SMALL_STATE(749)] = 26062,
  [SMALL_STATE(750)] = 26078,
  [SMALL_STATE(751)] = 26094,
  [SMALL_STATE(752)] = 26110,
  [SMALL_STATE(753)] = 26126,
  [SMALL_STATE(754)] = 26142,
  [SMALL_STATE(755)] = 26158,
  [SMALL_STATE(756)] = 26174,
  [SMALL_STATE(757)] = 26188,
  [SMALL_STATE(758)] = 26204,
  [SMALL_STATE(759)] = 26218,
  [SMALL_STATE(760)] = 26234,
  [SMALL_STATE(761)] = 26250,
  [SMALL_STATE(762)] = 26262,
  [SMALL_STATE(763)] = 26278,
  [SMALL_STATE(764)] = 26294,
  [SMALL_STATE(765)] = 26310,
  [SMALL_STATE(766)] = 26324,
  [SMALL_STATE(767)] = 26338,
  [SMALL_STATE(768)] = 26354,
  [SMALL_STATE(769)] = 26370,
  [SMALL_STATE(770)] = 26384,
  [SMALL_STATE(771)] = 26398,
  [SMALL_STATE(772)] = 26411,
  [SMALL_STATE(773)] = 26420,
  [SMALL_STATE(774)] = 26433,
  [SMALL_STATE(775)] = 26446,
  [SMALL_STATE(776)] = 26459,
  [SMALL_STATE(777)] = 26472,
  [SMALL_STATE(778)] = 26485,
  [SMALL_STATE(779)] = 26498,
  [SMALL_STATE(780)] = 26511,
  [SMALL_STATE(781)] = 26522,
  [SMALL_STATE(782)] = 26535,
  [SMALL_STATE(783)] = 26546,
  [SMALL_STATE(784)] = 26557,
  [SMALL_STATE(785)] = 26570,
  [SMALL_STATE(786)] = 26583,
  [SMALL_STATE(787)] = 26596,
  [SMALL_STATE(788)] = 26609,
  [SMALL_STATE(789)] = 26622,
  [SMALL_STATE(790)] = 26635,
  [SMALL_STATE(791)] = 26648,
  [SMALL_STATE(792)] = 26661,
  [SMALL_STATE(793)] = 26672,
  [SMALL_STATE(794)] = 26685,
  [SMALL_STATE(795)] = 26698,
  [SMALL_STATE(796)] = 26711,
  [SMALL_STATE(797)] = 26724,
  [SMALL_STATE(798)] = 26735,
  [SMALL_STATE(799)] = 26748,
  [SMALL_STATE(800)] = 26761,
  [SMALL_STATE(801)] = 26774,
  [SMALL_STATE(802)] = 26787,
  [SMALL_STATE(803)] = 26798,
  [SMALL_STATE(804)] = 26811,
  [SMALL_STATE(805)] = 26824,
  [SMALL_STATE(806)] = 26837,
  [SMALL_STATE(807)] = 26850,
  [SMALL_STATE(808)] = 26863,
  [SMALL_STATE(809)] = 26876,
  [SMALL_STATE(810)] = 26885,
  [SMALL_STATE(811)] = 26894,
  [SMALL_STATE(812)] = 26907,
  [SMALL_STATE(813)] = 26920,
  [SMALL_STATE(814)] = 26929,
  [SMALL_STATE(815)] = 26942,
  [SMALL_STATE(816)] = 26955,
  [SMALL_STATE(817)] = 26968,
  [SMALL_STATE(818)] = 26977,
  [SMALL_STATE(819)] = 26990,
  [SMALL_STATE(820)] = 27003,
  [SMALL_STATE(821)] = 27012,
  [SMALL_STATE(822)] = 27025,
  [SMALL_STATE(823)] = 27034,
  [SMALL_STATE(824)] = 27047,
  [SMALL_STATE(825)] = 27060,
  [SMALL_STATE(826)] = 27073,
  [SMALL_STATE(827)] = 27082,
  [SMALL_STATE(828)] = 27095,
  [SMALL_STATE(829)] = 27108,
  [SMALL_STATE(830)] = 27121,
  [SMALL_STATE(831)] = 27130,
  [SMALL_STATE(832)] = 27141,
  [SMALL_STATE(833)] = 27154,
  [SMALL_STATE(834)] = 27167,
  [SMALL_STATE(835)] = 27176,
  [SMALL_STATE(836)] = 27185,
  [SMALL_STATE(837)] = 27198,
  [SMALL_STATE(838)] = 27208,
  [SMALL_STATE(839)] = 27218,
  [SMALL_STATE(840)] = 27228,
  [SMALL_STATE(841)] = 27238,
  [SMALL_STATE(842)] = 27248,
  [SMALL_STATE(843)] = 27258,
  [SMALL_STATE(844)] = 27268,
  [SMALL_STATE(845)] = 27278,
  [SMALL_STATE(846)] = 27288,
  [SMALL_STATE(847)] = 27298,
  [SMALL_STATE(848)] = 27308,
  [SMALL_STATE(849)] = 27318,
  [SMALL_STATE(850)] = 27328,
  [SMALL_STATE(851)] = 27338,
  [SMALL_STATE(852)] = 27348,
  [SMALL_STATE(853)] = 27358,
  [SMALL_STATE(854)] = 27368,
  [SMALL_STATE(855)] = 27378,
  [SMALL_STATE(856)] = 27388,
  [SMALL_STATE(857)] = 27398,
  [SMALL_STATE(858)] = 27408,
  [SMALL_STATE(859)] = 27418,
  [SMALL_STATE(860)] = 27428,
  [SMALL_STATE(861)] = 27438,
  [SMALL_STATE(862)] = 27448,
  [SMALL_STATE(863)] = 27458,
  [SMALL_STATE(864)] = 27468,
  [SMALL_STATE(865)] = 27478,
  [SMALL_STATE(866)] = 27488,
  [SMALL_STATE(867)] = 27498,
  [SMALL_STATE(868)] = 27508,
  [SMALL_STATE(869)] = 27518,
  [SMALL_STATE(870)] = 27528,
  [SMALL_STATE(871)] = 27538,
  [SMALL_STATE(872)] = 27546,
  [SMALL_STATE(873)] = 27556,
  [SMALL_STATE(874)] = 27566,
  [SMALL_STATE(875)] = 27576,
  [SMALL_STATE(876)] = 27586,
  [SMALL_STATE(877)] = 27596,
  [SMALL_STATE(878)] = 27606,
  [SMALL_STATE(879)] = 27616,
  [SMALL_STATE(880)] = 27626,
  [SMALL_STATE(881)] = 27636,
  [SMALL_STATE(882)] = 27644,
  [SMALL_STATE(883)] = 27652,
  [SMALL_STATE(884)] = 27662,
  [SMALL_STATE(885)] = 27670,
  [SMALL_STATE(886)] = 27680,
  [SMALL_STATE(887)] = 27688,
  [SMALL_STATE(888)] = 27698,
  [SMALL_STATE(889)] = 27708,
  [SMALL_STATE(890)] = 27718,
  [SMALL_STATE(891)] = 27728,
  [SMALL_STATE(892)] = 27738,
  [SMALL_STATE(893)] = 27748,
  [SMALL_STATE(894)] = 27758,
  [SMALL_STATE(895)] = 27768,
  [SMALL_STATE(896)] = 27778,
  [SMALL_STATE(897)] = 27788,
  [SMALL_STATE(898)] = 27798,
  [SMALL_STATE(899)] = 27808,
  [SMALL_STATE(900)] = 27818,
  [SMALL_STATE(901)] = 27828,
  [SMALL_STATE(902)] = 27838,
  [SMALL_STATE(903)] = 27848,
  [SMALL_STATE(904)] = 27858,
  [SMALL_STATE(905)] = 27868,
  [SMALL_STATE(906)] = 27878,
  [SMALL_STATE(907)] = 27888,
  [SMALL_STATE(908)] = 27898,
  [SMALL_STATE(909)] = 27906,
  [SMALL_STATE(910)] = 27916,
  [SMALL_STATE(911)] = 27926,
  [SMALL_STATE(912)] = 27936,
  [SMALL_STATE(913)] = 27946,
  [SMALL_STATE(914)] = 27956,
  [SMALL_STATE(915)] = 27966,
  [SMALL_STATE(916)] = 27974,
  [SMALL_STATE(917)] = 27984,
  [SMALL_STATE(918)] = 27994,
  [SMALL_STATE(919)] = 28004,
  [SMALL_STATE(920)] = 28012,
  [SMALL_STATE(921)] = 28020,
  [SMALL_STATE(922)] = 28030,
  [SMALL_STATE(923)] = 28040,
  [SMALL_STATE(924)] = 28050,
  [SMALL_STATE(925)] = 28060,
  [SMALL_STATE(926)] = 28070,
  [SMALL_STATE(927)] = 28078,
  [SMALL_STATE(928)] = 28088,
  [SMALL_STATE(929)] = 28098,
  [SMALL_STATE(930)] = 28108,
  [SMALL_STATE(931)] = 28116,
  [SMALL_STATE(932)] = 28126,
  [SMALL_STATE(933)] = 28136,
  [SMALL_STATE(934)] = 28143,
  [SMALL_STATE(935)] = 28150,
  [SMALL_STATE(936)] = 28157,
  [SMALL_STATE(937)] = 28164,
  [SMALL_STATE(938)] = 28171,
  [SMALL_STATE(939)] = 28178,
  [SMALL_STATE(940)] = 28185,
  [SMALL_STATE(941)] = 28192,
  [SMALL_STATE(942)] = 28199,
  [SMALL_STATE(943)] = 28206,
  [SMALL_STATE(944)] = 28213,
  [SMALL_STATE(945)] = 28220,
  [SMALL_STATE(946)] = 28227,
  [SMALL_STATE(947)] = 28234,
  [SMALL_STATE(948)] = 28241,
  [SMALL_STATE(949)] = 28248,
  [SMALL_STATE(950)] = 28255,
  [SMALL_STATE(951)] = 28262,
  [SMALL_STATE(952)] = 28269,
  [SMALL_STATE(953)] = 28276,
  [SMALL_STATE(954)] = 28283,
  [SMALL_STATE(955)] = 28290,
  [SMALL_STATE(956)] = 28297,
  [SMALL_STATE(957)] = 28304,
  [SMALL_STATE(958)] = 28311,
  [SMALL_STATE(959)] = 28318,
  [SMALL_STATE(960)] = 28325,
  [SMALL_STATE(961)] = 28332,
  [SMALL_STATE(962)] = 28339,
  [SMALL_STATE(963)] = 28346,
  [SMALL_STATE(964)] = 28353,
  [SMALL_STATE(965)] = 28360,
  [SMALL_STATE(966)] = 28367,
  [SMALL_STATE(967)] = 28374,
  [SMALL_STATE(968)] = 28381,
  [SMALL_STATE(969)] = 28388,
  [SMALL_STATE(970)] = 28395,
  [SMALL_STATE(971)] = 28402,
  [SMALL_STATE(972)] = 28409,
  [SMALL_STATE(973)] = 28416,
  [SMALL_STATE(974)] = 28423,
  [SMALL_STATE(975)] = 28430,
  [SMALL_STATE(976)] = 28437,
  [SMALL_STATE(977)] = 28444,
  [SMALL_STATE(978)] = 28451,
  [SMALL_STATE(979)] = 28458,
  [SMALL_STATE(980)] = 28465,
  [SMALL_STATE(981)] = 28472,
  [SMALL_STATE(982)] = 28479,
  [SMALL_STATE(983)] = 28486,
  [SMALL_STATE(984)] = 28493,
  [SMALL_STATE(985)] = 28500,
  [SMALL_STATE(986)] = 28507,
  [SMALL_STATE(987)] = 28514,
  [SMALL_STATE(988)] = 28521,
  [SMALL_STATE(989)] = 28528,
  [SMALL_STATE(990)] = 28535,
  [SMALL_STATE(991)] = 28542,
  [SMALL_STATE(992)] = 28549,
  [SMALL_STATE(993)] = 28556,
  [SMALL_STATE(994)] = 28563,
  [SMALL_STATE(995)] = 28570,
  [SMALL_STATE(996)] = 28577,
  [SMALL_STATE(997)] = 28584,
  [SMALL_STATE(998)] = 28591,
  [SMALL_STATE(999)] = 28598,
  [SMALL_STATE(1000)] = 28605,
  [SMALL_STATE(1001)] = 28612,
  [SMALL_STATE(1002)] = 28619,
  [SMALL_STATE(1003)] = 28626,
  [SMALL_STATE(1004)] = 28633,
  [SMALL_STATE(1005)] = 28640,
  [SMALL_STATE(1006)] = 28647,
  [SMALL_STATE(1007)] = 28654,
  [SMALL_STATE(1008)] = 28661,
  [SMALL_STATE(1009)] = 28668,
  [SMALL_STATE(1010)] = 28675,
  [SMALL_STATE(1011)] = 28682,
  [SMALL_STATE(1012)] = 28689,
  [SMALL_STATE(1013)] = 28696,
  [SMALL_STATE(1014)] = 28703,
  [SMALL_STATE(1015)] = 28710,
  [SMALL_STATE(1016)] = 28717,
  [SMALL_STATE(1017)] = 28724,
  [SMALL_STATE(1018)] = 28731,
  [SMALL_STATE(1019)] = 28738,
  [SMALL_STATE(1020)] = 28745,
  [SMALL_STATE(1021)] = 28752,
  [SMALL_STATE(1022)] = 28759,
  [SMALL_STATE(1023)] = 28766,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(774),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(827),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [85] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9),
  [87] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(1013),
  [90] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(774),
  [93] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(1011),
  [96] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(277),
  [99] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(88),
  [102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(91),
  [105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(966),
  [108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(839),
  [111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(1022),
  [114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(1021),
  [117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(763),
  [120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(841),
  [123] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(842),
  [126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(759),
  [129] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(753),
  [132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(846),
  [135] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(1017),
  [138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(951),
  [147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(827),
  [150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(1014),
  [153] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(374),
  [156] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(111),
  [159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(89),
  [162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(992),
  [165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(856),
  [168] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(993),
  [171] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(994),
  [174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(757),
  [177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(852),
  [180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(855),
  [183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(760),
  [186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(767),
  [189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(854),
  [192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(995),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 1, 0, 1),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 3, 0, 17),
  [217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 3, 0, 17),
  [219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 19),
  [221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 19),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primitive, 1, 0, 0),
  [227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primitive, 1, 0, 0),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_group, 3, 0, 0),
  [243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_group, 3, 0, 0),
  [245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 20),
  [247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 20),
  [249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 28),
  [251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 28),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2, 0, 0),
  [261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2, 0, 0),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, 0, 0),
  [271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, 0, 0),
  [273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3, 0, 0),
  [275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3, 0, 0),
  [277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 14),
  [279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 14),
  [281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 16),
  [283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 16),
  [285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 37),
  [287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 37),
  [289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, 0, 35),
  [291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ternary_expression, 5, 0, 35),
  [293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullish_coalescing_expression, 3, 0, 15),
  [295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullish_coalescing_expression, 3, 0, 15),
  [297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 38),
  [299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 38),
  [301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4, 0, 0),
  [307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4, 0, 0),
  [309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9),
  [311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9),
  [313] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(839),
  [316] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(842),
  [319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(759),
  [322] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(753),
  [325] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(846),
  [328] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(1017),
  [331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 4, 0, 26),
  [333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 4, 0, 26),
  [335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bracket_expression, 4, 0, 19),
  [337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bracket_expression, 4, 0, 19),
  [339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 43),
  [341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 43),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(856),
  [376] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(855),
  [379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(760),
  [382] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(767),
  [385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(854),
  [388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(995),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__binding_assignment_repeat1, 1, 0, 0), SHIFT_REPEAT(676),
  [400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__binding_assignment_repeat1, 1, 0, 0),
  [402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0),
  [428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0),
  [430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(894),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 46),
  [437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 46),
  [439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 46), SHIFT_REPEAT(189),
  [442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe_arguments, 2, 0, 36),
  [444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_arguments, 2, 0, 36),
  [446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__any_expression, 1, 0, 0),
  [458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__any_expression, 1, 0, 0),
  [460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe_arguments, 3, 0, 42),
  [466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_arguments, 3, 0, 42),
  [468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe_call, 1, 0, 18),
  [470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_call, 1, 0, 18),
  [472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe_sequence, 1, 0, 0),
  [474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_sequence, 1, 0, 0),
  [476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(58),
  [504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23),
  [506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(24),
  [514] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 46), SHIFT_REPEAT(133),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(29),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(36),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(34),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(904),
  [536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17),
  [542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 1, 0, 0),
  [544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 2, 0, 11),
  [556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 2, 0, 11),
  [558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 10),
  [560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 10),
  [562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 36),
  [572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 36),
  [574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe_call, 2, 0, 27),
  [578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_call, 2, 0, 27),
  [580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(902),
  [587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(863),
  [590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22),
  [612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(60),
  [614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(26),
  [622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(28),
  [624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19),
  [626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(93),
  [630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_statement, 5, 0, 28),
  [634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_statement, 5, 0, 28),
  [636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 1),
  [638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 1),
  [640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 1, 0, 1),
  [652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 1, 0, 1),
  [654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element, 1, 0, 0),
  [656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_element, 1, 0, 0),
  [658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__node, 1, 0, 1),
  [660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__node, 1, 0, 1),
  [662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__any_statement, 1, 0, 1),
  [664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__any_statement, 1, 0, 1),
  [666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 2),
  [670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 2),
  [672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_statement, 6, 0, 38),
  [674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_statement, 6, 0, 38),
  [676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 3),
  [678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 3),
  [680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 4),
  [682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 4),
  [684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 5),
  [686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 5),
  [688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 6),
  [690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 6),
  [692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 7),
  [694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 7),
  [696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_statement, 2, 0, 8),
  [698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_statement, 2, 0, 8),
  [700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_statement, 2, 0, 8),
  [702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defer_statement, 2, 0, 8),
  [704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 2, 0, 8),
  [706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 2, 0, 8),
  [708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_statement, 2, 0, 8),
  [710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_statement, 2, 0, 8),
  [712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loading_statement, 2, 0, 8),
  [716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_loading_statement, 2, 0, 8),
  [718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_statement, 2, 0, 8),
  [720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_statement, 2, 0, 8),
  [722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(864),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 45),
  [729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 45),
  [731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element, 2, 0, 0),
  [733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_element, 2, 0, 0),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3, 0, 0),
  [739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3, 0, 0),
  [741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_element, 2, 0, 0),
  [743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_script_element, 2, 0, 0),
  [745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_style_element, 2, 0, 0),
  [747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_style_element, 2, 0, 0),
  [749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 3, 0, 0),
  [751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 3, 0, 0),
  [753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2, 0, 0),
  [755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2, 0, 0),
  [757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_icu_expression, 7, 0, 0),
  [759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_icu_expression, 7, 0, 0),
  [761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_statement, 3, 0, 12),
  [763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defer_statement, 3, 0, 12),
  [765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_statement, 3, 0, 0),
  [767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_statement, 3, 0, 0),
  [769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 46), SHIFT_REPEAT(118),
  [772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_statement, 3, 0, 12),
  [774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_statement, 3, 0, 12),
  [776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loading_statement, 3, 0, 12),
  [778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_loading_statement, 3, 0, 12),
  [780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_self_closing_tag, 3, 0, 0),
  [782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_self_closing_tag, 3, 0, 0),
  [784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_erroneous_end_tag, 3, 0, 0),
  [786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_erroneous_end_tag, 3, 0, 0),
  [788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element, 3, 0, 13),
  [790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_element, 3, 0, 13),
  [792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_element, 3, 0, 0),
  [794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_script_element, 3, 0, 0),
  [796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_style_element, 3, 0, 0),
  [798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_style_element, 3, 0, 0),
  [800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3, 0, 13),
  [804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3, 0, 13),
  [806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_doctype, 4, 0, 0),
  [808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_doctype, 4, 0, 0),
  [810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_self_closing_tag, 4, 0, 0),
  [812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_self_closing_tag, 4, 0, 0),
  [814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_tag, 3, 0, 0),
  [816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_tag, 3, 0, 0),
  [818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 5, 0, 30),
  [820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 5, 0, 30),
  [822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 29),
  [824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, 0, 29),
  [826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_start_tag, 3, 0, 0),
  [828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_start_tag, 3, 0, 0),
  [830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_start_tag, 4, 0, 0),
  [834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_start_tag, 4, 0, 0),
  [836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(873),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(761),
  [849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(665),
  [909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(61),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(42),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(900),
  [938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(46),
  [958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(853),
  [988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0),
  [996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(566),
  [999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(428),
  [1002] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(967),
  [1005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(413),
  [1008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(406),
  [1011] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(401),
  [1014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(598),
  [1017] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(410),
  [1020] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(1023),
  [1023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(417),
  [1026] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(409),
  [1029] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(426),
  [1032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [1034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [1036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [1038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [1040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [1042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [1044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [1046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [1048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [1050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [1052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [1054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [1056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_assignment, 3, 0, 0),
  [1058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(37),
  [1060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [1062] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 46), SHIFT_REPEAT(199),
  [1065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(840),
  [1068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [1070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [1072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [1074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [1076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [1078] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 46), SHIFT_REPEAT(162),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [1083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [1085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [1089] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 46), SHIFT_REPEAT(200),
  [1092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [1094] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(853),
  [1097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [1099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [1101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [1105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(888),
  [1108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_animation_binding, 3, 0, 0),
  [1110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_animation_binding, 3, 0, 0),
  [1112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [1114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [1116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [1118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [1120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 46), SHIFT_REPEAT(143),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [1125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 46), SHIFT_REPEAT(134),
  [1128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [1130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [1132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [1134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [1136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [1138] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0), SHIFT_REPEAT(677),
  [1141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0), SHIFT_REPEAT(676),
  [1144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0),
  [1146] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0), SHIFT_REPEAT(983),
  [1149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [1151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_directive, 2, 0, 0),
  [1153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structural_directive, 2, 0, 0),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [1159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(859),
  [1162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [1164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [1166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [1168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [1170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [1172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__normal_attribute, 1, 0, 0),
  [1174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__normal_attribute, 1, 0, 0),
  [1176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [1178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_assignment, 4, 0, 0),
  [1180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_assignment, 4, 0, 0),
  [1182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_assignment, 5, 0, 0),
  [1184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_assignment, 5, 0, 0),
  [1186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event_binding, 4, 0, 0),
  [1188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event_binding, 4, 0, 0),
  [1190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_binding, 4, 0, 0),
  [1192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_binding, 4, 0, 0),
  [1194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_two_way_binding, 4, 0, 0),
  [1196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_two_way_binding, 4, 0, 0),
  [1198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [1200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [1202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 0),
  [1204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 1, 0, 0),
  [1206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [1208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [1210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [1212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_attribute_value, 2, 0, 0),
  [1214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_attribute_value, 2, 0, 0),
  [1216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_directive, 6, 0, 0),
  [1218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structural_directive, 6, 0, 0),
  [1220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_attribute_value, 3, 0, 0),
  [1222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_attribute_value, 3, 0, 0),
  [1224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_animation_binding, 4, 0, 41),
  [1226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_animation_binding, 4, 0, 41),
  [1228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__normal_attribute, 3, 0, 0),
  [1230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__normal_attribute, 3, 0, 0),
  [1232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 1, 0, 0),
  [1234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [1236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [1238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [1240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [1242] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 46), SHIFT_REPEAT(167),
  [1245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 1, 0, 18),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [1255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, 0, 25),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [1259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [1261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [1265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 46), SHIFT_REPEAT(176),
  [1268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(849),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [1275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [1277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding_name, 1, 0, 0),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [1281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [1283] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 46), SHIFT_REPEAT(142),
  [1286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [1288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [1290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 23),
  [1292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [1294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenation_expression_repeat1, 2, 0, 0),
  [1296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0),
  [1298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1000),
  [1301] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(895),
  [1304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_trigger_condition, 2, 0, 21),
  [1306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [1308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [1310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [1312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [1314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [1316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0),
  [1318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_trigger_condition, 3, 0, 31),
  [1320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(879),
  [1323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [1325] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(906),
  [1328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [1330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [1332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [1334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [1336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [1338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [1340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [1342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [1344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [1346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [1348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 3, 0, 55),
  [1350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [1352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [1354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [1356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [1358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [1360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [1362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [1364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 46), SHIFT_REPEAT(173),
  [1367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [1369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [1371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [1373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [1375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [1377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [1379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [1383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [1387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [1389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [1393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [1395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [1397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [1399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [1401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [1403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [1405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [1407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [1409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [1413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 4, 0, 57),
  [1415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(67),
  [1417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [1419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [1421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [1423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [1425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 46), SHIFT_REPEAT(127),
  [1428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(48),
  [1430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [1432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [1434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [1436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_reference_repeat1, 2, 0, 48), SHIFT_REPEAT(889),
  [1439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_reference_repeat1, 2, 0, 48),
  [1441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_declaration, 3, 0, 0),
  [1443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [1447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [1449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [1451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [1453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_declaration, 2, 0, 0),
  [1455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__binding_assignment_repeat1, 2, 0, 0),
  [1457] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(890),
  [1460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 4, 0, 25),
  [1462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_declaration, 6, 0, 47),
  [1464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_icu_expression_repeat1, 2, 0, 0),
  [1466] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_icu_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(965),
  [1469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_condition, 1, 0, 0),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [1477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 2, 0, 49),
  [1479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0),
  [1481] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(752),
  [1484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(752),
  [1487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [1491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [1493] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(754),
  [1496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(754),
  [1499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [1501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [1503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [1505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [1507] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(923),
  [1510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [1512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [1514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [1516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_reference, 2, 0, 39),
  [1518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(348),
  [1520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [1522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [1524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [1526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_reference, 3, 0, 44),
  [1528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_structural_declaration_repeat1, 2, 0, 0),
  [1530] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_structural_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(816),
  [1533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [1535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [1537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [1539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [1541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [1543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [1545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [1547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [1549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [1551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [1553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [1555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [1557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [1559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [1561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [1563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [1565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [1567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [1569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [1571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [1575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [1577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [1587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [1589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation_expression, 3, 0, 0),
  [1591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [1593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(372),
  [1596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0),
  [1598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [1600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation_expression, 4, 0, 0),
  [1602] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_defer_trigger_repeat1, 2, 0, 33), SHIFT_REPEAT(749),
  [1605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_defer_trigger_repeat1, 2, 0, 33),
  [1607] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(450),
  [1610] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(452),
  [1613] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(454),
  [1616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [1618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [1620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 3, 0, 23),
  [1622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 5, 0, 30),
  [1624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [1626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [1628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [1630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [1632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [1634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [1636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 5, 0, 60),
  [1638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__context_expression, 4, 0, 59),
  [1640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__context_expression, 4, 0, 0),
  [1642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 2, 0, 51),
  [1644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 2, 0, 0),
  [1646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [1648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 2, 0, 8),
  [1650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 3, 0, 49),
  [1652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [1654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [1656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [1658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alias, 2, 0, 39),
  [1660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [1662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__binding_assignment_repeat1, 2, 0, 0), SHIFT_REPEAT(85),
  [1665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [1667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 4, 0, 58),
  [1669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(976),
  [1671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [1673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [1675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_reference_repeat1, 2, 0, 39),
  [1677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [1679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [1681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [1683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [1685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [1687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [1689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [1691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [1693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [1695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [1697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [1699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [1703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [1705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [1707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [1711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [1715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [1717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__else_template_expression, 3, 0, 0),
  [1719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_icu_case, 4, 0, 54),
  [1721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_icu_case, 4, 0, 54),
  [1723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [1725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [1727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [1729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [1731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [1733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [1735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [1741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_style_start_tag, 3, 0, 0),
  [1743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [1745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [1747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [1749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [1751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [1753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [1755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [1757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [1769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_start_tag, 3, 0, 0),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [1773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [1781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_timed_expression, 3, 0, 34),
  [1783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [1785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_defer_trigger_repeat1, 2, 0, 22),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [1789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_start_tag, 4, 0, 0),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [1795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_style_start_tag, 4, 0, 0),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [1799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 2, 0, 50),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [1805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_icu_clause, 1, 0, 0),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [1823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loading_condition, 3, 0, 22),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [1827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_minimum, 3, 0, 24),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [1831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_trigger, 4, 0, 32),
  [1833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_trigger, 3, 0, 22),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [1841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_member_expression, 3, 0, 0),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [1845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_reference, 3, 0, 0),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [1849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [1851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loading_condition, 5, 0, 40),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [1857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [1873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [1887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 3, 0, 52),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [1893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 3, 0, 53),
  [1895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 4, 0, 56),
  [1897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [1901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [1911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [1915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [1933] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__start_tag_name = 0,
  ts_external_token__script_start_tag_name = 1,
  ts_external_token__style_start_tag_name = 2,
  ts_external_token__end_tag_name = 3,
  ts_external_token_erroneous_end_tag_name = 4,
  ts_external_token_SLASH_GT = 5,
  ts_external_token__implicit_end_tag = 6,
  ts_external_token_raw_text = 7,
  ts_external_token_comment = 8,
  ts_external_token__interpolation_start = 9,
  ts_external_token__interpolation_end = 10,
  ts_external_token_if_start = 11,
  ts_external_token_else_start = 12,
  ts_external_token_for_start = 13,
  ts_external_token_switch_start = 14,
  ts_external_token_case_start = 15,
  ts_external_token_default_start = 16,
  ts_external_token_defer_start = 17,
  ts_external_token_let_start = 18,
  ts_external_token_empty_start = 19,
  ts_external_token_placeholder_start = 20,
  ts_external_token_loading_start = 21,
  ts_external_token_error_start = 22,
  ts_external_token_else_if_start = 23,
  ts_external_token_at_sign = 24,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__start_tag_name] = sym__start_tag_name,
  [ts_external_token__script_start_tag_name] = sym__script_start_tag_name,
  [ts_external_token__style_start_tag_name] = sym__style_start_tag_name,
  [ts_external_token__end_tag_name] = sym__end_tag_name,
  [ts_external_token_erroneous_end_tag_name] = sym_erroneous_end_tag_name,
  [ts_external_token_SLASH_GT] = anon_sym_SLASH_GT,
  [ts_external_token__implicit_end_tag] = sym__implicit_end_tag,
  [ts_external_token_raw_text] = sym_raw_text,
  [ts_external_token_comment] = sym_comment,
  [ts_external_token__interpolation_start] = sym__interpolation_start,
  [ts_external_token__interpolation_end] = sym__interpolation_end,
  [ts_external_token_if_start] = sym_if_start,
  [ts_external_token_else_start] = sym_else_start,
  [ts_external_token_for_start] = sym_for_start,
  [ts_external_token_switch_start] = sym_switch_start,
  [ts_external_token_case_start] = sym_case_start,
  [ts_external_token_default_start] = sym_default_start,
  [ts_external_token_defer_start] = sym_defer_start,
  [ts_external_token_let_start] = sym_let_start,
  [ts_external_token_empty_start] = sym_empty_start,
  [ts_external_token_placeholder_start] = sym_placeholder_start,
  [ts_external_token_loading_start] = sym_loading_start,
  [ts_external_token_error_start] = sym_error_start,
  [ts_external_token_else_if_start] = sym_else_if_start,
  [ts_external_token_at_sign] = sym_at_sign,
};

static const bool ts_external_scanner_states[13][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__start_tag_name] = true,
    [ts_external_token__script_start_tag_name] = true,
    [ts_external_token__style_start_tag_name] = true,
    [ts_external_token__end_tag_name] = true,
    [ts_external_token_erroneous_end_tag_name] = true,
    [ts_external_token_SLASH_GT] = true,
    [ts_external_token__implicit_end_tag] = true,
    [ts_external_token_raw_text] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__interpolation_start] = true,
    [ts_external_token__interpolation_end] = true,
    [ts_external_token_if_start] = true,
    [ts_external_token_else_start] = true,
    [ts_external_token_for_start] = true,
    [ts_external_token_switch_start] = true,
    [ts_external_token_case_start] = true,
    [ts_external_token_default_start] = true,
    [ts_external_token_defer_start] = true,
    [ts_external_token_let_start] = true,
    [ts_external_token_empty_start] = true,
    [ts_external_token_placeholder_start] = true,
    [ts_external_token_loading_start] = true,
    [ts_external_token_error_start] = true,
    [ts_external_token_else_if_start] = true,
    [ts_external_token_at_sign] = true,
  },
  [2] = {
    [ts_external_token_comment] = true,
    [ts_external_token__interpolation_start] = true,
    [ts_external_token_if_start] = true,
    [ts_external_token_else_start] = true,
    [ts_external_token_for_start] = true,
    [ts_external_token_switch_start] = true,
    [ts_external_token_defer_start] = true,
    [ts_external_token_let_start] = true,
    [ts_external_token_empty_start] = true,
    [ts_external_token_placeholder_start] = true,
    [ts_external_token_loading_start] = true,
    [ts_external_token_error_start] = true,
    [ts_external_token_else_if_start] = true,
    [ts_external_token_at_sign] = true,
  },
  [3] = {
    [ts_external_token__implicit_end_tag] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__interpolation_start] = true,
    [ts_external_token_if_start] = true,
    [ts_external_token_else_start] = true,
    [ts_external_token_for_start] = true,
    [ts_external_token_switch_start] = true,
    [ts_external_token_defer_start] = true,
    [ts_external_token_let_start] = true,
    [ts_external_token_empty_start] = true,
    [ts_external_token_placeholder_start] = true,
    [ts_external_token_loading_start] = true,
    [ts_external_token_error_start] = true,
    [ts_external_token_else_if_start] = true,
    [ts_external_token_at_sign] = true,
  },
  [4] = {
    [ts_external_token_comment] = true,
  },
  [5] = {
    [ts_external_token_comment] = true,
    [ts_external_token__interpolation_end] = true,
  },
  [6] = {
    [ts_external_token_SLASH_GT] = true,
    [ts_external_token_comment] = true,
  },
  [7] = {
    [ts_external_token_comment] = true,
    [ts_external_token_case_start] = true,
    [ts_external_token_default_start] = true,
  },
  [8] = {
    [ts_external_token__start_tag_name] = true,
    [ts_external_token__script_start_tag_name] = true,
    [ts_external_token__style_start_tag_name] = true,
    [ts_external_token_comment] = true,
  },
  [9] = {
    [ts_external_token_raw_text] = true,
    [ts_external_token_comment] = true,
  },
  [10] = {
    [ts_external_token__end_tag_name] = true,
    [ts_external_token_erroneous_end_tag_name] = true,
    [ts_external_token_comment] = true,
  },
  [11] = {
    [ts_external_token__end_tag_name] = true,
    [ts_external_token_comment] = true,
  },
  [12] = {
    [ts_external_token_erroneous_end_tag_name] = true,
    [ts_external_token_comment] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_angular_external_scanner_create(void);
void tree_sitter_angular_external_scanner_destroy(void *);
bool tree_sitter_angular_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_angular_external_scanner_serialize(void *, char *);
void tree_sitter_angular_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_angular(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_angular_external_scanner_create,
      tree_sitter_angular_external_scanner_destroy,
      tree_sitter_angular_external_scanner_scan,
      tree_sitter_angular_external_scanner_serialize,
      tree_sitter_angular_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
